Using QuickBooks Help

Getting the most out of QuickBooks Help

QuickBooks provides several ways for you to learn and find information about using QuickBooks.

Finding the information you need

When you have questions or need help completing a task, follow this approach:

1. Use the Learning Center

The QuickBooks Learning Center provides step-by-step instructions for common tasks and interactive tutorials that will teach you important QuickBooks concepts.

To open the Learning Center, go to the Help menu and click Learning Center Tutorials.

2. Use the How Do I menus

Many QuickBooks windows include a How Do I menu. Click these drop-down menus for step-by-step instructions and information for tasks associated with the active window.

3. Look in Help Search and Index

When to use Search: Use Search when you want to find the answer to a specific question. To get the most accurate search results, type a 3- to 10-word question.

For example, instead of typing invoices, type How do I create invoices? in the search field. Make your questions as specific as possible. They should be short and contain only one major topic. For example, How do I add customers? will return better results than How do I add new customers and vendors?

When to use the Index: Use the Index to look up a specific QuickBooks term or task. Use the index just like you would a book index. Type the term you want in the field and scroll through the surrounding entries. When you find the topic you want to view, double-click it.

4. Try the Support Resources page

If you can't find the information you need in Help, refer to the Support Resources page. Support Resources describes all of the self-help and assisted support options available.

To open the Support Resources page, go to the Help menu and click Contact Support.

Conventions used in QuickBooks Help

QuickBooks in-program Help provides these visual aids for different functions.

Show extra help and hide extra help Shows or hides additional Help content.

Shortcut icon Performs an action in QuickBooks.

Go online Indicates an external link on the Web.

Tutorial icon Indicates a link to a tutorial in the QuickBooks Learning Center.


QuickBooks Help

Ask a question e.g. "how do I reset my check?"

Powered by Vantage AnswerWorks
Show all results


Search Results

Topics that match your request will appear after search is complete.
To start a search: enter your question, then click 'ask'


 Activate Index Page.


 Calling QuickBooks....


 Search Activate Page.


About the QuickBooks Usage Study

Only the administrator of the company file can turn the QuickBooks Usage Study on and off. Once you turn off the study, you can't turn it on again.

The Usage Study helps us improve our products. The study collects anonymous information about the features our customers use most often and how they navigate through the product.

We value your trust and privacy. Because we collect all data into a single pool and analyze it as a whole, your information remains anonymous and cannot be traced back to you. The transmission of data is completely secure and encrypted and is never shared with anyone else.

Data transmission takes place in the background without disturbing your current tasks and should not affect the performance of your computer.

If you change your mind about participating in the study, go to the Help menu, choose Usage Study, and then click Discontinue.

See also

  • Disabling the Usage Study

  • Read the QuickBooks Privacy Statement


No Penalties Guarantee

As long as the information you send us is correct and on time, and you have sufficient funds in your payroll bank account, we'll file your payroll tax forms and payments accurately and on time—or we'll pay the resulting tax penalties!


What information does QuickBooks send to Zipingo?

No financial data or account numbers are sent to Zipingo. The only information sent to Zipingo is the vendor name and address for the vendor you want to rate, plus the location of your business to help Zipingo narrow its search for local businesses.

See the Go online Zipingo Privacy Promise for more information.


What are QuickBooks Business Services?

QuickBooks Business Services enable small business owners to streamline management of their business and automate their essential business activities. Combining the power of the desktop and the Internet, QuickBooks Business Services provide maximum efficiency through tight integration and revolutionary ease-of-use.

Some services may require Internet access and an additional fee.

Go online Learn more about QuickBooks Business Services


Ordering sales receipt forms and envelopes

buy sales receipts

purchase sales receipts

Intuit offers a multi-purpose form that is perfect for printing sales receipts. Use this form to print other forms, such as credit memos, purchase orders, and cost estimates. When it's time to mail your forms, Intuit also offers professional-looking, compatible envelopes.

Go online Order or learn more about the multi-purpose form and compatible envelope.

or

Call us.


Ordering credit memos, refund forms, and envelopes

buy credit memos

purchase credit memos

Intuit offers a multi-purpose form that is perfect for printing credit memos and refunds. You also can use this form to print other forms you might need, such as purchase orders and cost estimates. And when it's time to mail your forms, Intuit also offers professional-looking, compatible envelopes.

Go online Order or learn more about credit memos, refund forms, and envelopes.

or

Call us.


Ordering deposit slips

buy deposit slips

purchase deposit slips

Intuit offers Printable Deposit Slips for use with QuickBooks. These slips are personalized with your company name, address and financial institution information.

There is one deposit slip per inkjet or laser printable page, perforated, with an area at the bottom for the deposit summary. You can't use Printable Deposit Slips with a cdot matrix printer unless it has a single-sheet feed attachment.

You can also order regular deposit slips which are also personalized with your company name, address, and financial institution information. Although you can't print on these deposit slips, you can print a deposit summary that makes it easier to fill out your deposit slip.

Both types of deposit slips are guaranteed to be accepted by any financial institution in the U.S.

Go online Order or learn more about deposit slips.

or

Call us.


Ordering invoices and envelopes

buy invoices

purchase invoices

buy envelopes

purchase envelopes

Intuit offers professional-looking invoice forms for all three standard QuickBooks invoice types (Service, Product, and Professional) with a variety of matching envelopes. These forms can also be preprinted with your company name, address, or business logo.

Go online Order or learn more about invoice forms and envelopes.

or

Call us.


Ordering mailing labels

buy mailing labels

purchase mailing labels

Intuit offers professional, personalized mailing labels that save time by letting you print them directly from QuickBooks. These labels can preprinted with your company name, address, and logo.

Go online Order or learn more about QuickBooks mailing labels.

or

Call us.


Ordering purchase order forms and envelopes

buy purchase orders

purchase purchase orders

buy envelopes

purchase envelopes

Intuit offers a multi-purpose form that is perfect for printing purchase orders. You can also use this form to print other forms, such as credit memos, sales receipts, and cost estimates. When it's time to mail your forms, Intuit also offers professional-looking, compatible envelopes.

Go online Order or learn more about purchase order forms and envelopes.

or

Call us.


Ordering statement forms and envelopes

buy statement forms

purchase statement forms

buy envelopes

purchase envelopes

Intuit offers statement forms and compatible envelopes that give your business a professional look.

Go online Order or learn more about statement forms and envelopes.

or

Call us.


TurboTax for Businesses

buy turbo tax

purchase turbo tax

TurboTax Premier Home and Business for Sole Proprietors and TurboTax Business for Corporations, S Corporations, and Partnerships help small businesses complete their tax returns quickly, easily, and accurately. Both products walk you through your tax return step by step, providing comprehensive, business-specific guidance and helping you to better understand how taxes affect your business.

Both TurboTax Premier Home and Business and TurboTax Business import data directly from QuickBooks 2002-2006. Importing data from QuickBooks helps ensure the accuracy of your return and speeds you through the tax preparation process.

See also

  • Exporting tax information from QuickBooks to your tax software

  • Ordering TurboTax Business for Corporations, S Corporations, or Partnerships

  • Ordering TurboTax Premier Home and Business for Sole Proprietors


Ordering preprinted W-2, W-3, and 1099-MISC forms

 Order 1099-MISC forms to print on 60 Order preprinted forms to print on 10

Ordering W-2, W-3, 1099-Misc and 1096 forms

buy W2

buy W3

purchase W2

purchase W3

Tax forms are used to report such items as employee wages and salaries to federal, state, local agencies, and your employees.

  • Preprinted forms, You can print tax information onto preprinted Forms W-2, W-3, 1099-Misc and 1096. Special ink on the forms enables them to be scanned at the government offices where they are processed. Because tax form printing formats can change from year to year, be sure to order new forms each year.

    Note: If you subscribe to a payroll service, you will receive updates to the form layouts that QuickBooks uses when printing your forms. Updates may be required to print data correctly onto forms in the years following the QuickBooks publish date. Subscribing to a payroll service keeps you current with the correct form updates.

  • Blank perforated paper, You can print government-accepted black and white laser W-2, Copy A, and W-3 forms on plain paper. There is no need to buy preprinted red W-2 Copy A or W-3 forms. However, the IRS requires the use of perforated paper for any Employee Copy W-2 that is printed on plain paper.

    Note: 1099-Misc and 1096 forms must be printed on preprinted forms.

Go online Order or learn more about preprinted tax forms.

or

Call us.


About Zipingo

Think of Zipingo as the yellow pages with customer ratings.

The next time you're looking for a business vendor (a local contractor, supplier, or bank, for example), go to Go online Zipingo.com to find out what other people are saying about a business before you make a choice. See what other people are saying about your business, too!

Zipingo is also a great resource for your personal business. Use it to rate and research restaurants, dry cleaners, stores, or any other business you use each day. You don't need to run QuickBooks to use Zipingo—you can access Zipingo in any browser at any time by going to www.zipingo.com.

When you see the blue star in the QuickBooks Vendor Center, you're one step away from telling your friends, neighbors, and community what you think of a business you've used. When you rate a business, you're helping someone make a smart choice.

Want to ask your customers to rate your business online? We make it easy for you with a custom message you can include on your customer invoices.

Rate a local service on Zipingo.com. It's fast, and it's free. And, you don't have to use your real name when you rate. Plus, you can preview and update your reviews on the site.

  • What happens when I rate a local business?

    When you rate a recent experience you had with a local real estate agent, mechanic, plumber, or caterer on Zipingo.com, you are:

    • Helping someone else make a smart decision.

    • Rewarding a local business for doing a good job.

    • Suggesting ways that poor service can be improved.

    • Warning the Zipingo community about rip-offs.

    Go online Try it. It's free. It's fast. And you don't have to use your real name when you rate. With each contribution, the Zipingo community grows!

    Note: Your rating is viewable by anyone who visits the www.zipingo.com Web site. It is not just available to QuickBooks users.

  • Why should I rate?

    First, your opinions are the soul of Zipingo, but that's not all:

    • It's quick. Rating a business takes just a couple of minutes.

    • It's easy. Follow simple instructions and read your review before it's published.

    • It's free. Use it any time you're looking for a quality service.

    Yes, you'll help others, but you'll also get help when you need it.

    Go to Go online Zipingo.com to find out what other customers are saying about a business before you make a decision.

  • What should I rate?

    Any local business or service and not just once.

    Each time you have an experience with a local business, rant or rave about it. That'll give your community a complete picture of your experience over time with that business.

    If you change your mind about an experience, you can update your star rating or add new comments right from the Vendor Center.

    Say you had a great experience with an office supplier and you rated it on Zipingo last month. You use the supplier again. This time your order is lost, then goods arrive damaged and the customer service representative is surly. Go ahead and update your Zipingo rating.

    We welcome your comments about your experience with local real estate agents, landscapers, contractors, auto mechanics, electricians, and other service providers.

    Tell your friends and family about Zipingo! Rate businesses you know in other cities; spread the word.

    Each rating adds value to the site. Best of all, it's free.

  • Can I change a rating?

    You can change a star rating at any time. Simply find your vendor in the Vendor Center and click the link by the blue star to return to your rating and make changes. You cannot delete your original comments, but you can add new comments and update your rating.

  • Can I edit vendor information for a business I've already rated?

    You can edit your QuickBooks vendors as necessary. The changes you make are reflected in QuickBooks, but are not updated in your rating on the Zipingo Web site.

  • What information does QuickBooks send to Zipingo?

See also

  • Rate a vendor online with Zipingo

  • Research vendors online with Zipingo

  • Ask customers to rate your business online

  • Turn Zipingo on or off


Ordering supplies from Intuit

 Print invoices, statements, and other forms 30 Order forms to print on 50 Verify and print 1099 information 20 Order 1099-MISC forms to print on 10 Verify and print 1099 information 20 Order 1099-MISC forms to print on 10

Ordering supplies

Intuit offers a complete line of checks, forms, windowed envelopes, check-storage boxes, mailing labels, Rolodex cards, tax forms, and more to help you take full advantage of QuickBooks.

Go online Order or learn more about QuickBooks business forms.

or

Call us.

See also

Ordering invoices

Ordering mailing labels

Ordering deposit slips

Ordering credit memos and refunds

Ordering sales receipt forms

Ordering statement forms

Ordering purchase order forms

Ordering W-2s, W-3s, and 1099s


ProSeries

ProSeries helps you complete clients' tax returns. Tax professionals developed ProSeries to help you be more productive. ProSeries contains all the depth, sophistication, and time-saving benefits you expect from the leading professional tax software.


About the QuickBooks Payroll services

You must sign up for one of the QuickBooks Payroll services to automatically calculate payroll tax deductions and prepare tax forms. Intuit offers three levels of service designed to meet your payroll needs.

Learn more about how to automate your payroll with QuickBooks Payroll.

See also

  • Contacting the payroll services

  • Calculating payroll taxes without a subscription to the payroll services


Online backup for QuickBooks data

The Online Backup service can make scheduled backups of your QuickBooks company files to a remote location. If you register for and use this service, you will no longer need to remember to make these backups, nor will you need to worry about loss or damage of local storage media.

To find out more about QuickBooks Online Backup go to the File menu, click Save copy or backup, click Backup copy, click Next, and then click the Learn more about QuickBooks Online Backup link.


Disabling the QuickBooks Usage Study

If you change your mind, you can turn off the Usage Study. Go to the Help menu, choose Usage Study, and then click Discontinue.


Get small business industry information, tools, and advice

Go online QuickBooks.com provides all the essential business resources you need to help start, manage, and build your business.

  • Answers to more than 1,000 business questions.

  • The latest business news and updates.

  • Free advice and articles from renowned small business experts.

  • Easy-to-use tools for the common business tasks like comparison shopping for loans and booking travel reservations.

  • User-to-user idea exchanges.


 Find an accountant to help me set up accounts correctly 40 Find an accountant to help me set up items correctly 60 Find an accountant to help me get this right 60 Pay my payroll taxes and liabilities 20 Find an accountant to help me do this right 50 Pay my payroll taxes and liabilities 20 Find an accountant to help me do this right 50 Locate an accountant in my area 70

QuickBooks Professional Advisors

ProAdvisor

adviser

pro adviser

Certified QuickBooks Professional Advisors (ProAdvisors) are independent accountants, bookkeepers, computer consultants, and trainers who work with small businesses every day. They can offer guidance on everything from setting up QuickBooks to mastering advanced features.

Learn how to:

Go online Find a QuickBooks ProAdvisor

Go online Become a QuickBooks ProAdvisor

or

Call us for further information.


Ordering checks and envelopes

buy checks

purchase checks

buy envelopes

purchase envelopes

QuickBooks checks

Intuit offers multiple check styles in a variety of colors and designs that are guaranteed to work with QuickBooks. Intuit also offers matching envelopes to give your business a professional, polished look.

Go online Order or learn more about QuickBooks checks and envelopes

or

Call us.


QuickBooks Privacy Statement

The QuickBooks Privacy Statement

To read the QuickBooks Privacy Statement, go to the Help menu and click QuickBooks Privacy Statement.


Setting a reminder to reorder checks

QuickBooks makes it easy to remember to order new checks by letting you set reminders and order checks while you work.

For any bank account, adding a new account or editing an existing one allows you to:

  • Set a reminder

  • Change the check number that prompts the reminder

  • Order checks

If you set a reminder for a particular account, each time you print a check that matches or exceeds the reminder check number, you'll see a window that asks if you'd like to order more checks, reset your reminder check number, or be reminded later.

Use the reminder option to give yourself enough time to reorder checks before your supplies run out. For example, if your current supply of checks ends at check #500, enter 450 in the reminder field so that you'll be reminded to order more checks while you still have 50 checks left.

To set a reminder for a particular account

  1. Go to the Lists menu and click Chart of Accounts.

  2. Select the account from which you want to write checks.

  3. Click the Account drop-down list and choose New or Edit Account.

At the bottom of the General tab, you'll see the field for entering a reminder and the checkbox for ordering checks. Selecting the checkbox and then saving your changes takes you to a page where you can order supplies. If you want to know more about ordering checks, or if you prefer to order by phone, click Learn more.


Ask customers to rate your business online

Go online Zipingo.com is a Web site where you can rate businesses you use every day, and see what other people are saying about businesses in your area.

If you'd like to ask your customers to rate your business, you can include a request to do so on your invoices, sales orders, statements, or other sales forms.

When filling out an invoice or other sales form, simply select "Rate our business on www.zipingo.com" in the Customer Message area.

Note: If you do not see this customer message, it is probably because you have not recently created your company data file, or updated it during an upgrade or patch. In that case, you can easily add your own message to the Customer Message list.

  1. Go to the Lists menu, choose Customer & Vendor Profile Lists, and then click Customer Message List.

  2. Click the Customer Message button at the bottom of the list and choose New.

  3. Type the message in the New Customer Message window.

  4. Click OK.

See also

  • Using the Customer Message list

  • About Zipingo


Rate your vendors online with Zipingo

  1. Go to the Vendors menu and click Vendor Center.

  2. On the Vendors tab of the Vendor Center, select the vendor you want to rate.

  3. In the Vendor Information area, click the Rate Online link by the blue star.

    QuickBooks connects to Zipingo.com, and searches for the vendor based on the vendor's name and address, plus your company's location.

    Click Rate when you find the appropriate vendor.

    • If multiple business locations are found, all the possible matches are listed.

    • If no results are found, you can type in your own search criteria and click Search.

    • If the vendor you have in mind still doesn't appear, Zipingo probably doesn't know about it yet. In that case, click Add a Company to add the vendor to Zipingo's database.

  4. Fill out the Rate It screen with your review.

    The star rating and comments you enter will be viewable by anyone who visits the www.zipingo.com Web site. It is not just available to QuickBooks users.

    1. For Overall Experience, select the number of stars (from 1 to 5) that best describes your most recent experience with this vendor.

      What do the stars mean?

      star rating system
      * Poor Never again!
      ** Fair Only in an emergency.
      *** Good Not bad, but I have a couple of concerns.
      **** Very good I'd go again and even send my mom.
      ***** Excellent Wow! I need a megaphone to sing its praises.

    2. Add your comments. Tell the Zipingo community what you would tell a friend who is considering using this service.

      See a sample rating

    On the Rate It screen, you can also click the See All Reviews tab to see existing reviews.

  5. (Optional) Click Preview My Review to see what your review will look like before you post it.

  6. Click Sign In and Post Review.

    The first time you sign in, you'll need to create a Zipingo user name. This will allow you to return to Zipingo.com at any time and find your existing ratings, or add more.

    You'll see the review you posted, plus other reviews for that vendor. You can optionally rate the company again if you'd like to add more comments or change your star rating.

  7. When you're satisfied with your rating, click Close.

You don't need to run QuickBooks to use Zipingo—you can access Zipingo in any browser at any time by going to www.zipingo.com.

See also

  • About Zipingo

  • Research vendors online with Zipingo

  • Ask customers to rate your business online

  • What information does QuickBooks send to Zipingo?

  • Turn Zipingo on or off


Research vendors online with Zipingo

The next time you're looking for a new vendor (a local contractor, supplier, or bank, for example), use Zipingo.com to see what other people think about the businesses in your area.

You can look up Zipingo ratings for a specific vendor already in your Vendor Center, or you can go to Zipingo.com to research potential new vendors.

To see ratings for a current vendor

  1. Go to the Vendors menu and click Vendor Center.

  2. On the Vendors tab of the Vendor Center, select the desired vendor.

  3. In the Vendor Information area, click the Rate Online link by the blue star.

    QuickBooks connects to Zipingo.com, and searches for the vendor based on the vendor's name and address, plus your company's location.

    Click Rate when you find the appropriate vendor.

    • If multiple business locations are found, all the possible matches are listed.

    • If no results are found, you can type in your own search criteria and click Search.

    • If the vendor you have in mind still doesn't appear, Zipingo probably doesn't know about it yet. In that case, click Add a Company to add the vendor to Zipingo's database.

  4. On the Rate It screen, click the See All Reviews tab to see existing reviews.

    What do the stars mean?

    star rating system
    * Poor Never again!
    ** Fair Only in an emergency.
    *** Good Not bad, but I have a couple of concerns.
    **** Very good I'd go again and even send my mom.
    ***** Excellent Wow! I need a megaphone to sing its praises.

    Consider rating the vendor yourself while you're here.

To research potential vendors

  1. Go to the Go online www.zipingo.com Web site.

    You can just click the link here for now; in the future, you can go to the Vendors menu and click Vendor Ratings Online.

    You don't need to run QuickBooks to use Zipingo—you can access Zipingo in any browser at any time by going to www.zipingo.com.

  2. To find a business near you, enter the name of the business you're looking for in the search box at the top of your screen, the number of miles near your location, and the city and state (or the ZIP code) where you're searching.

    You can also browse for vendors using the category links on the left side of the Zipingo Home page.

See also

  • About Zipingo

  • Rate a vendor online with Zipingo

  • Ask customers to rate your business online


Turn Zipingo on or off

To do this task

  1. Go to the Edit menu and click Preferences.

  2. Click Bills in the left side of the window.

  3. Select Use Zipingo rating system to turn on the rating system or click to clear Use Zipingo rating system to turn off the feature.

See also

  • About Zipingo

  • Rate a vendor online with Zipingo


TurboTax Business

TurboTax Business helps you complete your business Form 1065 (Partnership), Form 1120 (Corporation), or Form 1120-S (S-Corporation) quickly and easily, with EasyStep Interview walking you through every step of the return. When you're done, TurboTax reviews the return for missed deductions, errors, omissions, and anything likely to trigger an IRS audit. After reviewing your return and making any necessary changes, you can print and mail it to the IRS or file it electronically.


TurboTax Premier Home and Business

TurboTax Premier Home and Business includes everything sole proprietors need to prepare their personal and business tax returns. TurboTax Premier Home and Business contains all the award-winning features of TurboTax Deluxe plus money-saving guidance just for small and home-based businesses. Preparing your 1040 with Schedule C has never been easier!


Upgrade your QuickBooks product

QuickBooks has a wide range of software products to meet your business needs. To see which product is right for your business, visit Go online QuickBooks.com and click the Products tab.


QuickBooks training

  • QuickBooks Learning Guide is a self-study guide designed for self-motivated users who want to learn QuickBooks features.

  • QuickBooks Training Seminars are one- and two-day seminars designed for users who want a comprehensive course on using QuickBooks.

Learn more about QuickBooks Training


Select the file type for your backup or portable company file

You can create a backup file to safeguard your QuickBooks files against accidental data loss, or create a portable company file to move your data from one computer to another or send it to another person.

What's a backup file?

This is an external expando

What's a portable company file?

This is an external expando

See also

  • Portable company files overview

  • Back up company files overview

  • Back up company files


Choose whether to save your backups locally or online

Use this window to indicate whether to store backup copies locally or using QuickBooks Online Backup.

Choose Local backup if you want to:

  • Back up to a network drive

  • Back up to removable media such as a CD or USB flash drive

  • Create a temporary backup file on your local computer (not recommended)

Choose Online backup if you want to:

  • Store your backup file at an offsite data center using the Internet.

    You can back up your data online using QuickBooks Online Backup. If you're already registered for this service, click Next to open the Online Backup application, or click the Manage your QuickBooks Online Backup account link to access your account. If you're not registered yet, click the Learn more about QuickBooks Online Backup link to find out more about this service.

See also

  • Back up company files

  • Back up or restore using QuickBooks Online Backup


Set your backup options

Use the Save Backup Copy: Options window to set default options for backing up your files (such as where you want to save your local backup).

Set options for local backups

Set options for online backups

Note: If you're using QuickBooks Online Backup, you can use this window to set reminders and verification settings only. QuickBooks first verifies the integrity of your data before opening the Online Backup application.

To do this task

  1. If not already displayed, open the Save Backup Copy: Options window.

    1. Go to the File menu and click Save Copy or Backup to open the backup wizard.

    2. Click Backup Copy and then click Next.

    3. Click the Options button.

  2. (Optional) Set reminders.

    Select the checkbox to determine how often you're reminded to back up your company file. To remove the reminder, clear the checkbox.

  3. Set verification level.

    When you run a backup or create a portable file, QuickBooks first verifies the integrity of your company file before it continues the backup or creates the portable file. You can choose between:

    • Complete verification (recommended)

    • Quicker verification (faster but less thorough)

    • No verification (not recommended for regular backup routines)

  4. Indicate where to store your local backup copies.

    Click Browse to locate the directory where you want to store your local backup copies. The directory you choose remains your default until you change it.

    Note: This location is for your manual backups. To change the location for scheduled backups, click OK, click Next, and then click Next again to use the Save Backup Copy: Schedule window.

  5. (Optional) Add a timestamp.

    Click the checkbox to add the date and time to the backup file. This helps you manage multiple backups. If you do not choose this option, your backup file is overwritten each time you save a backup unless you rename the file. You can limit the number of copies you keep in order to manage space on your computer.

  6. (Optional) Limit the number of backup copies in a folder.

    When you choose to add a timestamp to save multiple versions, you can limit the number of copies you keep for manual backups. This helps manage space on your computer. Enter a number to indicate how many copies you want to keep. When you reach your limit, the oldest file is removed and the newest one is saved.

    Note: This setting is for your manual backups. If you want to limit the number of scheduled backups you keep, click OK, click Next, and then click Next again to use the Save Backup Copy: Schedule window.

To do this task

  1. If not already displayed, open the Save Backup Copy: Options window.

    1. Go to the File menu and click Save Copy or Backup to open the backup wizard.

    2. Click Backup Copy and then click Next.

    3. Click the Options button.

  2. (Optional) Set reminders.

    Select the checkbox to determine how often you're reminded to back up your company file. To remove the reminder, clear the checkbox.

  3. Set verification level.

    When you run a backup or create a portable file, QuickBooks first verifies the integrity of your company file before it continues the backup or creates the portable file. You can choose between:

    • Complete verification (recommended)

    • Quicker verification (faster but less thorough)

    • No verification (not recommended for regular backup routines)

See also

  • Back up company files overview

  • Recommended backup routine


Choose whether to restore local or online backups

Use this window to indicate whether to restore a backup saved locally, or a backup using QuickBooks Online Backup.

To do this task

  1. Choose whether to restore a local or an online backup.

    • Choose local backup if you want to:

      • Restore a backup from a network drive

      • Restore a backup from removable media such as a CD or USB flash drive

      • Restore a backup file from your local machine

    • Choose online backup if you want to:

      • Restore your backup file from the QuickBooks Online Backup service.

  2. If you are restoring a backup from a removable storage device such as a CD or a USB flash drive, prepare the device now. For example, put the CD in the CD-ROM drive.

  3. Click Next.

See also

  • Restore a backup

  • Back up or restore using QuickBooks Online Backup


Select a location to restore backups and portable files

Now that the backup copy or portable file you want to restore is open, you can specify the folder where you want to restore it.

Before you click Next, keep these things in mind:

  • If you are restoring a backup

    The files you restore will enable you to recover your company file and recreate your QuickBooks environment. If you do not want to overwrite your existing company file, restore the company file to a new folder. The supporting files (such as templates, letters, images, and so forth) are located in the \Restored_(company filename)_Files folder. For details about those files and completing the restore process, see the file HowToRestoreExternalFiles.txt located in the restore folder in the directory where you restored your files and completing the restore process.

  • If you are restoring a portable file

    To prevent overwriting your existing company file while restoring the portable company file, be sure to rename the company file when you are prompted to restore it. For example, you may want to add a date or version number, such as mycompanyname-Jan2-2006.QBW, or mycompanyname-v2.QBW.

See also

  • Restore a backup

  • Restore a portable file


Select the file type to open or restore

Use this window to open a different company file, or to restore a backup or portable file.

  • Click Open a company file (.QBW) if you want to work in another company file.

  • Click Restore a backup copy (.QBB) if you want to restore a backup file.

  • Click Restore a portable file (.QBM) if you want to restore a portable file.

See also

  • Restore a backup

  • Restore a portable file


How do I use the backup and portable file restore wizard?

The backup and portable file restore wizard asks you a series of questions to help you restore backup copies and portable files. Click the answer that suits your needs and then click Next to continue.


Which verify option should I choose?

When you run a backup or create a portable file, QuickBooks first verifies the integrity of your company file by checking for damage.

Complete verification

This level checks both the data in the database and the accuracy of your company file. Intuit recommends that you use this verification level as part of your regular backup routine.

Quicker verification

This level checks the database only. Although it's faster, it doesn't check the accuracy of your company file.

No verification

There may be specific instances when you need to quickly back up a file without verifying it. Don't use this verification level as part of your regular backup routine.


How do I use the backup and portable file wizard?

The backup and portable file wizard asks you a series of questions to help you save backup copies and portable files. Click the answer that suits your needs and then click Next to continue.

If you are saving a backup copy, you can click the Finish button any time it is available and use the default options you have already set (such as where you want to save the file). If you have not already set your default options you will be prompted to do so.

If you are creating a portable file, you can click the Finish button to save the file to the same location where you last saved a portable file. If you haven't yet created a portable file, it will be saved to your desktop.


Back up now or set a backup schedule

Choose whether to save a backup copy right now, save now and schedule future backups, or just schedule future backups.

If you're saving now and want to back up to a removable storage device such as a CD or a USB flash drive, prepare the device now. For example, put the CD in the CD-ROM drive.

See also

  • Recommended backup routine


Save your backups automatically or set a backup schedule

Use this window to save your backups automatically or to create a backup schedule.

  • An automatic backup saves your company file after it closes a certain number of times.

  • A scheduled backup saves your company file on specific days and times.

Save backups automatically

To do this task

  1. Click to select the checkbox to automatically back up a company file at regular intervals.

    QuickBooks backs up your company file after it closes for the number of times you specify.

  2. To view or change the location where the file is backed up, click the Options button.

Schedule backups

Note: If you are using the Online Backup service, you need to schedule your backups through that service.

Use this section of the window to:

  • Create a new backup schedule.

    Click New and enter the requested information in the Schedule Backup window.

    You can set up to nine different backup schedules.

  • Change an existing backup schedule.

    Click Edit and make your changes in the Schedule New Backup window.

  • Remove a backup schedule from the list.

    Click to select it and then click Remove.

For the backup to take place:

  • The computer you use to run QuickBooks must be turned on.

  • The company file must not be in use.

  • The location where you are storing your backups must be available.

Be sure to schedule your backups accordingly.

See also

  • Recommended backup routine

  • Schedule a backup


Finding a file on a computer

find company file

To locate a file on your computer, follow the appropriate search procedure below for your Windows operating system.

For information on more advanced search techniques, consult your operating system's Help files.

What is the default location used by QuickBooks?

The default location used by QuickBooks for company files is:

C:\Documents and Settings\All Users\(Shared) Documents\Intuit\QuickBooks\Company Files

Note: Windows XP users will see the folder "Shared Documents" when browsing (clicking folders) but QuickBooks and Windows will display the folder only as "Documents" in paths and addresses.

Microsoft Windows XP (Home and Professional Editions)

  1. On the taskbar, click Start and click Search (then click For Files or Folders if using the Classic interface). The Search Results window opens.

  2. Click All files and folders in the What do you want to search for? section.

  3. In the All or part of the file name field, enter the name of the file you're looking for.

    • If you don't remember the entire filename, try entering the part you do remember.

    • If you only know the file's extension, use an asterisk as a "wildcard" for the filename. For example, type *.qbw to search for QuickBooks company files or *.doc to search for Microsoft® Word documents.

  4. Click the Look in drop-down arrow and choose the combination of drive name, drive letter, and folder to search.

  5. Click Search.

Search results display on the right side of the Search Results window. The file's location appears in the In Folder column.

Note: Depending on what file you're looking for, you might find more than one with the same filename.

Microsoft Windows 2000

  1. On the taskbar, click the Start button, click Search, and then click Files or Folders.

  2. In the Search for files or folders named field, enter the name of the file you are looking for.

    • If you don't remember the entire filename, try entering the part you do remember.

    • If you only know the file's extension, use an asterisk as a "wildcard" for the filename; for example, type *.qbw to search for QuickBooks company files or *.doc to search for Microsoft® Word documents.

  3. Click the Look in drop-down arrow and choose the combination of drive name, drive letter, and folder to search.

  4. Click Search Now.

Search results display on the right side of the Search Results window. The file's location appears in the In Folder column.

Note: Depending on what file you're looking for, you might find more than one with the same filename.

See also

  • Opening the company file and logging in


Open a portable company file

What is a portable company file?

Expando text about portable company files.

Use this window to specify which portable company (.QBM) file you want to open.

  1. Select the file you want to open. The file must have a .QBM extension.

  2. Click Open.

See also

  • Use a portable company file to e-mail or move a company file

  • Exchanging files with an accountant

  • When do I use a portable company file vs. a backup?


Save a portable company file

What is a portable company file?

Expando text about portable company files.

Use this window to save a portable version of your company file, suitable for e-mailing or moving to another location. You can choose where the portable company file will be saved, as well as its name.

  1. (Optional) Change the filename that QuickBooks suggests for the portable company file. The file must have a .QBM extension.

  2. (Optional) Change the suggested location for the file.

  3. Click Save.

See also

  • Use a portable company file to e-mail or move a company file

  • Exchanging files with an accountant

  • When do I use a portable company file vs. a backup?


About opening a portable company file

What is a portable company file?

Expando text about portable company files.

When QuickBooks opens a portable company file, it converts it to a QuickBooks company (.QBW) file. You use this window to specify the portable company file that you want to open and the QuickBooks company file that should be created from it.

  1. In the top portion of the window, specify the name and location of the portable company (.QBM) file that you want to open.

  2. In the bottom portion of the window, specify the name and location of the QuickBooks company file that should be created.

    Consider creating a new company file, rather than overwriting your existing company file.

  3. Click Open.

Note: When you open the portable company file, the .QBW file that is created may be smaller than your original .QBW file. This is normal.

See also

  • Using a portable company file to e-mail or move a company file

  • Exchanging files with an accountant

  • When do I use a portable company file vs. a backup?


Restore a backup file

Use the Restore To window to specify where you want to restore your backup.

Restore To

  1. (Optional) Change the filename that QuickBooks suggests for the restored file. The file must have a .QBW or a .QBA extension.

  2. (Optional) Change the suggested location for the file.

  3. Click Save.


Save a backup file

Save or open a backup file

Use the Save Backup to window to specify where to save your backup. When you're ready to restore the backup, use the Open window to select the backup file to restore.

Save Backup to

To do this task

  1. (Optional) Change the filename that QuickBooks suggests for the backup. The file must have a .qbb extension.

  2. (Optional) Change the suggested location for the file.

  3. Click Save.

    If you're backing up to a CD using Windows XP or Windows Vista: If you select your CD-ROM drive, your backup will be saved to a temporary CD burning folder. See Back up to a CD using Microsoft® Windows XP or Back up to a CD/DVD using Windows Vista for details.

Open

To do this task

  1. Select the file you want to restore. The file must have a .qbb extension.

  2. Click Open.


What's important about the Restore From/Restore To window

About saving a portable company file

What is a portable company file?

Expando text about portable company files.

When QuickBooks opens the portable company file, it is converted to a QuickBooks company (.QBW) file and saved to your computer. Specify the name of the .QBW file that should be created from the portable company file.

Consider saving the portable company file to a new .QBW file, rather than overwriting your existing company file.

  1. (Optional) Change the filename that QuickBooks suggests for the company file.

  2. (Optional) Change the suggested location for the file.

  3. Click Save.

See also

  • Using a portable company file to e-mail or move a company file

  • Exchanging files with an accountant


Selecting criteria for removing transactions

Selecting one or more of the criteria allows you to further refine your choices and remove those transactions that QuickBooks would otherwise keep.


Starting the cleanup process

Before you click Begin Cleanup, read through this list of operations to ensure that you are ready to begin. If you have a large data file, be sure to plan your time so that a long process can run without impacting your work.


Choosing a cleanup option

Before you do anything else, choose whether to remove transactions as of a specific date or remove all transactions.

If you choose to remove transactions as of a specific date, enter the ending date for the period of time you want QuickBooks to remove the transactions.

Example

This text will get overwritten.

If you choose to remove all transactions, QuickBooks will retain all customer and vendor names, and all items, but will delete all associated transactions. Selecting this option is like starting a new company without having to enter all the names and items over again.

See also

  • How does QuickBooks clean up data?

  • How long does the cleanup process take?

  • How can I use the archive copy of my company file?


Removing unused list items

Transactions that are removed by cleanup may have associated list items. QuickBooks can remove those items to reduce the number of items in your QuickBooks lists.

Note: Inventory or inventory assembly items that are included as components of other assembly items are considered "used" if the parent assembly item is used in a transaction.


Export file (definition)

Export file

A file that stores company list and budget information in text format for transfer to another QuickBooks company or to another application such as a word processor or spreadsheet. To create an export file, go to the File menu, choose Utilities, choose Export, and then click one of the options.

Important: QuickBooks can't include transaction data when it creates an export file. You can add transaction data yourself by editing the file or by using a spreadsheet program to create an import file.

See also

  • Creating an import file

  • Importing transactions to QuickBooks

  • Reference guide to import files (IIF files)


Import file (definition)

Import file

A text file that transfers list, budget, and transaction data to a QuickBooks company file. An import file must conform to a specific structure for QuickBooks to interpret the data in the file correctly.

You can also use an export file that you created with QuickBooks Export command as a way to import data to another QuickBooks company. Export files conform to the same internal structure as import files. The only difference is that QuickBooks can't add transaction data to an export file. If you want the file to contain transaction data, you must edit it yourself.

See also

  • Creating an import file

  • Importing transactions to QuickBooks

  • Reference guide to import files


Transaction log file (definition)

Transaction log (.qbw.tlg) file

QuickBooks uses a transaction log file to track changes to your data since the last time you backed up your company file. In case of an accidental data loss, Intuit Technical Support can use your transaction log file, in conjunction with your most recent backup, to recover your data up to your most recently saved transactions. For more information about data recovery, contact Intuit Technical Support.

The transaction log file has the same name as your company file, but with a .qbw.tlg extension. For example, MyCompany.qbw has a transaction log file named MyCompany.qbw.tlg.

Note: If you are using an Accountant's Copy, the transaction log file will have a .qba.tlg extension.

See also

  • Back up company files

  • Restore company files


Recommended backup routine

Back up your company file at the end of each session or each day. You can:

  • Have QuickBooks back up your company file when you close it without prompting you.

  • Manually back up your company file. You can even have QuickBooks remind you to back up your company file each time you close it (or at whatever interval is convenient for you).

  • Schedule automated daily backups either locally, or to a remote site by using QuickBooks Online Backup.

    To find out more about QuickBooks Online Backup go to the File menu, click Save copy or backup, click Backup copy, click Next, and then click the Learn more about QuickBooks Online Backup link.

  • A combination of the above (for example, schedule daily backups but manually run the backups you take offsite).

Which should I choose?

If you are backing up locally

If you back up locally and your hard disk has more than one drive, back up onto a different drive from the one where you keep your working data, or back up to a network drive. If you have only one hard disk drive, back up onto a removable storage device such as a USB flash drive, Zip disk or CD-ROM. Remember that an important purpose for backing up data is to protect against a hard disk failure.

  1. Each day, back up onto removable media to keep in the office.

  2. At least once a month, make a backup copy to keep off your premises.

  3. At the end of your fiscal year, make a copy of your data to keep off-premises.

If you are using QuickBooks Online Backup

If you are using QuickBooks Online Backup, your QuickBooks company file (.QBW) is automatically preselected for backup when you open the Online Backup application from within QuickBooks. Backing up this file is sufficient.

In addition to your daily backup, we also recommend that once or twice a week you back up your company file locally, and then back up the resulting .QBB file to QuickBooks Online Backup.

See also

  • Back up company files


What is a backup file?

A backup file is a compressed file containing everything you need to recreate your company file and QuickBooks environment. Use a backup file to safeguard your QuickBooks files against accidental data loss.

The backup file is saved with a .QBB extension.

Note: To ensure that you can restore your company data in case of accidental loss, create regular backups of your QuickBooks files. You can create a routine schedule for backups to take place, or you can have the backups take place automatically.

See also

  • Recommended backup routine

  • Back up company files


Cleaning up data

condense

condense

You must be in single-user mode to do this task.

Cleaning up data significantly affects your company file by removing transactions. We suggest you review these topics before you proceed:

  • How QuickBooks cleans up data

  • When should I clean up data?

  • How long will it take?

  • Which transactions can be removed?

  • Which transactions can't be removed?

  • How can I use the archive copy of my data file?

Cleaning up a data file

  1. Select an end date.

  2. Clean up a data file.

See also

  • What if I use one of the QuickBooks Payroll Services?


How QuickBooks cleans up data

Important: When you clean up your data file, QuickBooks deletes transactions that you no longer need, replacing them with new general journal transactions that summarize, by month, the deleted transactions. You can also choose to have QuickBooks clean up data by removing list items that you no longer need.

An example of what happens during clean up follows:

If an invoice has been paid in full, QuickBooks deletes the details and includes the amount in a summary transaction showing income accounts. Neither the customer name nor the items sold are retained. However, if an invoice is unpaid, QuickBooks leaves the invoice in your file so you can apply future payments to the invoice.

Important: Cleaning up data has a significant effect on your company file. We suggest you print and review this topic before you proceed.

Which transactions are affected?

The ending date, specified for the period of time before which you want to remove transactions, has no effect on transactions dated after the ending date. For example, if your ending date is 12/31/05, all transactions dated 1/1/06 and later remain unchanged in your company file.

Of the transactions dated on or before the ending date, QuickBooks deletes and summarizes only those that have no effect on transactions dated after the ending date.

This table gives examples of the situations that cause QuickBooks to retain transactions dated on or before the ending date:

Situation | Examples
A transaction has an open balance | Unpaid or partially-paid invoices, undeposited customer payments, unpaid bills, unused credit memos.
A transaction is linked to another transaction that has an open balance | An undeposited customer payment that you applied to an invoice. Even though the invoice is paid, QuickBooks retains the invoice because it has a link to an open transaction (the undeposited payment).
A transaction is not marked as cleared | Unreconciled transactions in a checking or credit card account.
A transaction is marked as "to be printed" | Any invoice, credit memo, sales receipt, or check that has a checkmark in its "To be printed" checkbox.

QuickBooks summarizes deleted transactions

QuickBooks creates summary general journal transactions for the transactions it deletes from your file. Except for transactions that affect the value of your inventory, you can spot the summary transactions by looking for GENJRNL in the Type field of your registers.

There is usually one GENJRNL transaction for each month in which QuickBooks deleted transactions. The transaction amount is the total of the transactions that QuickBooks deleted for the month. For a given month, the register may also show other transactions that QuickBooks did not delete. These are transactions that could be affected by transactions you have yet to enter.

The effect on inventory

QuickBooks removes all inventory transactions until it finds one that cannot be removed. Any inventory transactions falling after the date of the unremovable transaction will not be removed. Upon finding a transaction that cannot be removed, QuickBooks creates an inventory adjustment reflecting the average cost of items on that date.

The effect on your reports

Cleaning up your company file will affect reports that include part or all of the period of time you cleaned up. The main effects are:

Account balances | You can still create reports that summarize financial activity for the period of time you cleaned up because QuickBooks adds summary transactions to your company file to preserve account balances. For example, if you clean up last year's data, you can still create profit and loss reports that compare last year's results to this year's.
Transaction detail | You won't be able to create reports that show daily detail for the period of time you cleaned up because QuickBooks has deleted the individual transactions that would have provided the detail. In addition, you won't be able to create reports that show balances for individual customers or vendors over that period of time. (As a precaution, QuickBooks creates an archive file and a backup file in case you need access to the deleted transactions later.)
Cash basis | Cash basis reports won't be accurate for data that includes a cleaned up time period. Detail transactions needed to determine whether transactions are collected or paid are replaced with transactions summarized by month.
Sales tax | QuickBooks retains information about each of your taxable items and your tax agencies (vendors) so that you can get accurate reports about your tax liability. This is the case even if some of the transactions occurred within the period of time that you cleaned up data.

The effect on payroll

QuickBooks does not remove payroll transactions dated in the current calendar year.

The effect on estimates and time data

QuickBooks deletes only those estimates that have a job status of Closed. If an estimate has any other job status, QuickBooks retains the estimate.

QuickBooks deletes time data if it is marked as "billed" or "not billable," or if its job status is Closed. If you base your payroll on time data, you must also have paid your employees for the time. For example, if you billed your customer for the time but you have not yet paid your employee, QuickBooks does not delete the time data.

See also

  • Cleaning up data


Cleaning up a data file if you use one of the QuickBooks Payroll Services

Cleaning up a data file if you use one of the Intuit Payroll Services

If you process payroll using one of the Intuit Payroll Services, you can clean up data only for the previous calendar year and earlier. For example, to clean up data from the previous year, choose December 31 of the previous year. You cannot clean up data in the current year.

If you use the Assisted Payroll Service, you must also start payroll for the current year before cleaning up data from previous years. To start payroll for the current year, write at least one paycheck and send payroll data to the service during the current year.


File extensions used in QuickBooks

The following table describes the file extensions that QuickBooks uses for files that it creates, imports, or exports.

Extension | File type | Description
.IIF | Intuit Interchange Format file | You can import and export lists and/or transactions using text files with an .IIF extension.
.ND | QuickBooks Network Data File | A configuration file that allows access to the QuickBooks company file. Do not delete this configuration file.
.QBA | Accountant's Copy working file | When you export your QuickBooks data for your accountant to review, the accountant restores the export file on his or her computer as a file with a .QBA extension.
.QBA.TLG | transaction log file (for Accountant's Copy) | When you back up an Accountant's Copy, QuickBooks starts a log of transactions that you've entered since the last time you backed up. In case of accidental loss of data, Intuit Technical Support can use your most recent backup in conjunction with the transaction log file to recover your data.
.QBB | QuickBooks backup file | When you back up your company file, QuickBooks saves the backup file with a .QBB extension. To open a .QBB file, go to the File menu and click Restore.
.QBM | QuickBooks portable company file | When you want to e-mail or move a company file, QuickBooks creates a compressed version of the company file with a .QBM extension.
.QBW | QuickBooks for Windows company file | When you create a company file, QuickBooks saves the file with a .QBW extension. For example, if you enter MyBusiness as the company name, QuickBooks saves the file as MyBusiness.QBW.
.QBW.TLG | transaction log file (for QuickBooks company file) | When you back up your company file, QuickBooks starts a log of transactions that you've entered since the last time you backed up. In case of accidental loss of data, Intuit Technical Support can use your most recent backup in conjunction with the transaction log file to recover your data.
.QBX | Accountant's Copy (export file) | When you export your QuickBooks data for your accountant to review, QuickBooks creates an Accountant's Copy with a .QBX extension.
.QBY | Accountant's Copy (import file) | When your accountant is finished making changes in an Accountant's Copy, he or she provides you with an .QBY file to be imported into your company file.

See also

  • Backing up your data

  • Restoring a backup

  • Exporting lists to another QuickBooks company

  • Creating an import file

  • Accountant's Copy overview

  • About portable company files


Starting a QuickBooks company if you've already been using Quicken or QuickBooks

For information about converting from Quicken, read the Quicken conversion instructions.

For information about upgrading from a previous version of QuickBooks, refer to the QuickBooks Startup and Quick Reference Guide.

See also

  • What happens to your Quicken data when you convert?


What is a portable company file?

A portable company file is a compact version of your company file, small enough to send by e-mail or save to portable media such as a CD. Use a portable company file whenever you need to copy your company data to another location, or send it to another person.

The portable company file is saved with a .QBM extension. When it is opened in the other location, it is saved as a QuickBooks company (.QBW) file.

Note: Be sure you don't need to work in the company file at the same time as the person you are sending it to. Changes made by the other person cannot be merged into your existing company file.

See also

  • E-mail or move a company file


When do I use a backup vs. a portable company file?

To safeguard your QuickBooks data against accidental loss, Intuit recommends that you back up your company file using the backup feature. Use a portable company file only when you need to move your data to from one computer to another or send it to another person (such as your accountant).

Use backups to protect against accidental loss of data

To ensure that you can restore your company data in case of accidental loss, create regular backups of your QuickBooks data. In addition to allowing you to schedule backups of your data, QuickBooks keeps a transaction log file that can be used in conjunction with your backup file to recover your data up to the most recently-entered transactions.

Use a portable company file to e-mail or move your data

A portable company file is a compact version of your company file, small enough to be sent by e-mail or saved to portable media. Use a portable company file whenever you need to copy your company data to another location or send it to another person.

Note: In case of accidental loss of data, you can restore your QuickBooks data using a portable company file that you previously created. However, you will lose any transactions that you entered after the portable company file was created.

See also

  • E-mail or move a company file

  • Back up company files


Sample company files

QuickBooks has the following sample files that you can use as examples for setting up your own QuickBooks company.

Sample contractor business is a construction business created specifically for QuickBooks Contractor Editions. Called Quality-Built Construction, this sample file contains three years of data designed for the construction industry. The Item list, for example, contains items for construction industry phases.

Sample consulting business,
Sample engineering or architecture firm,
Sample graphic design or advertising agency,
and Sample law firm are sample company files with data designed for professional service businesses. For example, the Item list in each sample file contains items for services typically performed by that particular professional business.

Sample manufacturing business and Sample wholesale-distribution business are sample company files with data designed for the corresponding industry. For example, the chart of accounts contains accounts that are typically used in manufacturing or wholesale/distribution organizations.

Sample nonprofit organization is a sample company file that provides examples of using the features of QuickBooks Nonprofit Edition to manage a nonprofit organization. The file includes several specialized funding and budget reports specifically designed for non-profit financial management.

Sample retailer who tracks summarized sales and Sample retailer who tracks individual sales are sample company files with data designed for retailers and retail service businesses. For example, the Item list in each sample file contains items for services typically performed by that particular retail business.

Sample product-based business is a construction business that provides examples for both products and services. If you have a product-based business, much of this information can be useful to you. This sample file contains QuickBooks Pro and QuickBooks Premier features, such as estimates and time tracking. This sample file is also of interest to accountants because it contains fixed asset items that can be accessed from the Fixed Asset Manager (QuickBooks Accountant editions only).

Sample service-based business is a landscaping business that provides numerous services to its customers. If you have a service-based business, much of this information can be useful to you. Although you can use this sample file with QuickBooks Pro or QuickBooks Premier, it does not contain any of the QuickBooks Pro or QuickBooks Premier features, such as estimates, time tracking, or the ability to export report templates.

To open a sample company file

  1. Go to the File menu and click Close Company.

    This will close the company file that you currently have open.

  2. In the No Company Open window, click the Open a Sample File button and choose the sample company file you want to use.


Change a QuickBooks installation type

You can change an existing QuickBooks installation type from a full installation to a server installation or from a server installation to a full installation. A full installation of QuickBooks allows a user to run the QuickBooks program on their computer whereas the server installation only installs the server components.

Change from a server installation to a full installation

To do this task

  1. Exit all running programs, including virus protection programs.

  2. Insert the QuickBooks CD in your computer's CD-ROM drive.

    Note: If the Installation Wizard doesn't start automatically:

    1. Click the Start button and then click Run. (In Windows Vista, click the Start button, click All Programs, click Accessories, and then click Run.)

    2. Type D:\setup.exe (where "D" is the CD-ROM drive letter) and then click OK.

  3. In the Welcome to QuickBooks Installation window, click I know which installation I want, so take me to Installation Options.

  4. In the Installation Options window, click either Multi-User Host Installation or Standard Installation and then click Begin Installation.

  5. Follow the onscreen instructions to complete the installation.

Change from a full installation to a server installation

To do this task

  1. Uninstall the existing full installation of QuickBooks.

    To do this task in Windows XP or Windows 2000

    1. Exit QuickBooks.

    2. Go to the Windows Start button, click Settings, and then click Control Panel.

    3. Double-click Add/Remove Programs.

    4. Select the QuickBooks application from the list of programs.

    5. Click Change/Remove.

    6. Click Next in the QuickBooks installation window.

    7. Select the option to Remove and click Next.

    8. Click Remove to begin the uninstall process.

    To do this task in Windows Vista

    1. Exit QuickBooks.

    2. Go to the Windows Start button and click Control Panel.

    3. Under Programs, click Uninstall a program.

    4. Right-click the entry for the QuickBooks you want to uninstall and then click Uninstall/Change.

    5. If prompted, provide Windows permission to continue.

    6. Click Next in the QuickBooks installation window.

    7. Select the option to Remove and click Next.

    8. Click Remove to begin the uninstall process.

  2. Insert the QuickBooks CD in your computer's CD-ROM drive.

    Note: If the Installation Wizard doesn't start automatically:

    1. Click the Start button and then click Run. (In Microsoft Windows Vista, click the Start button, click All Programs, click Accessories, and then click Run.)

    2. Type D:\setup.exe (where "D" is the CD-ROM drive letter) and then click OK.

  3. In the Welcome to QuickBooks Installation window, click I know which installation I want, so take me to Installation Options.

  4. In the Installation Options window, select Server Installation and then click Begin Installation.

  5. Follow the onscreen instructions to complete the installation.

  6. If the QuickBooks Database Server Manager opens.

    Use the QuickBooks Database Server Manager utility to scan for company files:

    1. Click the Add Folder button.

    2. Select the folder that contains QuickBooks company files and then click OK. Click the Add Folder button again to add additional folders. (If you're not sure where files are stored, you can select an entire drive.)

    3. Click the Scan button to begin the scan.

    4. Once the scan is complete, click Close.

    Once the scan is complete, the company files in the scanned folders are configured for multi-user access.

    Important: All company files stored on the server must be scanned once to ensure that they're configured properly.

See also

  • Use the QuickBooks Database Server Manager


Use the QuickBooks Database Server Manager

The QuickBooks Database Server Manager is a utility that allows you to configure the QuickBooks Server for multi-user access. You can use the QuickBooks Database Server Manager to:

  • Scan folders for QuickBooks company files that need to be configured for multi-user access.

  • Monitor local hard drives to configure new company files automatically.

Open the QuickBooks Database Server Manager

Go to the Start button, click Programs, click QuickBooks, and then click QuickBooks Database Server Manager.

Scan Folders feature

Important: All company files stored on the server must be scanned once to ensure that they're configured properly to allow other users access to these company files.

  1. Open the QuickBooks Database Server Manager and click the Scan Folders tab.

  2. Indicate which folders contain QuickBooks company files. If you're not sure where files are stored, you can choose to scan entire disks.

  3. Click the Scan button to begin the scan. The display bar will indicate which folders are being scanned.

Once the scan is complete, the company files in the scanned folders are configured for multi-user access.

Monitored Drives feature

Use the Monitored Drives feature to keep the QuickBooks Database Server Manager up to date as you add new company files to your server.

  1. Open the QuickBooks Database Server Manager and click the Monitored Drives tab.

  2. Click to select all local drives that you want to be monitored for company files that are added, removed, or renamed.

    Note: Mapped drives are not displayed and cannot be monitored.

Database Server feature

Use the Database Server feature to determine the status of the QuickBooks Database Server service. When the server is hosting company files, the service should be running.

To change the status of the service, use the Services Administrative Tool to configure the service QuickBooksDB17.

Updates feature

Use the Updates feature to download updates to the QuickBooks Server and to view the version of the QuickBooks Server.

  1. Open the QuickBooks Database Server Manager and click the Updates tab.

  2. Follow the onscreen instructions to check for and install updates.

Note: You can also update the QuickBooks Server manually.


Install the QuickBooks Server

QuickBooks offers an installation option for dedicated file servers, which lets you store and access company files on a file server without having to install or run QuickBooks itself on the server.

To do this task

  1. Exit all running programs, including virus protection programs.

  2. Insert the QuickBooks CD in your computer's CD-ROM drive.

    Note: If the Installation Wizard doesn't start automatically:

    1. Click the Start button and click Run. (In Windows Vista, click the Start button, click All Programs, click Accessories, and then click Run.)

    2. Type D:\setup.exe (where "D" is the CD-ROM drive letter) and click OK.

  3. In the Welcome to QuickBooks Installation window, click I know which installation I want, so take me to Installation Options.

  4. In the Installation Options window, click Server Installation and then click Begin Installation.

  5. Follow the onscreen instructions to complete the server installation.

  6. At the end of the server installation, the QuickBooks Database Server Manager opens to scan the server for company files:

    1. Indicate which folders contain QuickBooks company files. If you're not sure where files are stored, you can choose to scan entire drives.

    2. Click the Scan button to begin the scan.

    Once the scan is complete, the company files in the scanned folders are configured for multi-user access.

    Important: Be sure that all company files stored on the server are scanned once to ensure that they're configured properly for multi-user access.

See also

  • Use the QuickBooks Database Server Manager

  • Change a QuickBooks installation type


Update QuickBooks version to match version of QuickBooks hosting multi-user access

In some instances, the version (release number) of QuickBooks that is hosting multi-user access must match the version (release number) of QuickBooks that is opening a company file. There are two scenarios when this can occur: either the computer you are using needs to be updated or QuickBooks (or the QuickBooks Server) on another computer needs to be updated.

Before you continue, gather the following information:

  1. Review the message you received and note the name of the computer that needs to be updated.

  2. In all copies of QuickBooks (or the QuickBooks Server) that store or use company files in multi-user mode, make a note of the release of QuickBooks installed.

    Determine release

  3. Based on the release numbers, determine which copies of QuickBooks are not at the higher release number. (If you update QuickBooks on one computer but not the others, those users will receive the same message when they log in to company files.)

Update all QuickBooks that are not at the higher release number

  • For full installations of QuickBooks, update QuickBooks.

  • If you need to update an installation of the QuickBooks Server, update the QuickBooks Server.


Use the QBWin.log to troubleshoot errors

QuickBooks records information about unexpected conditions in a file named "QBWin.log". You can review this log for information about the cause of many messages and errors in QuickBooks.

QuickBooks stores the log in this location:

C:\Documents and Settings\(your user name)\Local Settings\Application Data\intuit\Quickbooks\log

Locate and review the QBWin.log

To do this task

  1. Right-click the Windows Start button and click Explore.

  2. In the left side of the window, look for your user name listed under Documents and Settings.

  3. Under your user name, find and double-click on Local Settings.

  4. Under Local Settings, double-click on Application Data.

    If you don't see the "Application Data" folder.

    1. Go to the Tools menu and click Folder Options.

    2. Click the View tab.

    3. In Hidden files and folders, click to select Show hidden files and folders.

  5. Under Application Data, find and double-click on Intuit.

  6. Under Intuit, double-click on QuickBooks.

  7. Under QuickBooks, double-click on log.

  8. On the right side of the window, double-click the file QBWin.log.

    Note: Logs that end with ".old" are logs from earlier sessions in QuickBooks.

  9. Go to the end of the log to locate and review the most recent log entry.


Message: Move file failed. Low disk space

Please contact technical support.


Resolve warning that company file already exists

QuickBooks assists you in moving your company files out of the Program Files folder.

When you try to move a company file to a location that already has a company file with the same filename, you receive a warning.

To resolve this warning, compare the two files and rename the file that is not current:

  1. Open the company file that caused the warning. (When you click OK to the warning, you will be taken back to the "No Company Open" window.)

  2. In the Move Company File window, edit the filename of your company file in the File field. For example, you can add "Copy Of" to the beginning of the filename.

  3. Click Move to start the file move process.

    When you click OK to the confirmation message, QuickBooks opens the renamed company file from the new location.

  4. Complete the update file process.

  5. Review this copy of the company file to determine how current it is. You may want to look at your account balances and make a note of the date and amount of the last transaction recorded.

  6. Go to the File menu and click Open or Restore Company.

  7. Click Open a company file (.QBW) and then click Next.

  8. QuickBooks should display the original company file as well as the renamed file in the Open a Company window. Select the original company file (not the renamed file) and then click Open.

  9. Complete the update file process.

  10. Review this company file to determine how current it is. Again, you may want to look at your account balances and make a note of the date and amount of the last transaction recorded.

  11. To make sure you work only in the correct, current company file, rename the older file. (If both company files appear to be identical, keep both files available until you are absolutely certain you are using a current company file.)

  12. To rename a file, go to the File menu and click Open or Restore Company.

  13. Right-click the older file and click Rename. Enter a new filename that will help you identify this file later.

  14. Open and continue to work in the current company file.


Resolve message that company file is in use

QuickBooks assists you in moving your company files out of the Program Files folder to the recommended location of C:\Documents and Settings\All Users\(Shared) Documents\Intuit\QuickBooks\Company Files.

This message appears because a company file (or an associated file) being moved is in use.

To resolve this message:

  1. Verify that no other user has this company file open.

  2. Close and reopen QuickBooks.

  3. Try to open the company file again to open the Move Company File window.

QuickBooks should now be able to move the company file.


Choose a local drive when you move company files

When QuickBooks assists you in moving your company files (either during installation or when you first open your company file), you can only move them from one location on your computer to another location on your computer.

To do this task

  1. In the Move Company File window, click Browse.

  2. In the left section, click My Computer or (Your name) on (computer name) to show the drives available on your computer.

  3. Double-click a local drive. Typically, the local drive is listed as (C:).

  4. Browse to the folder location on the local drive where you'd like to move the company file to and then click Save.

  5. Click the Move button to start the move process.

See also

  • Choose a recommended location to store company files in

  • Open a company file from a new location


Message: File was not moved

Please contact technical support.


Permissions required to move files using QuickBooks

Permissions required to move company files using QuickBooks

To allow QuickBooks to move your company files, you must be logged in to Windows as a user with administrator privileges.

If you don't have administrator privileges, you can either ask the Windows Administrator to grant you these privileges or ask the Windows Administrator to move the company files for you.

Note: If you need to access your company file immediately, you can choose to open the company file from its current location by clicking Yes in the Windows Administrator Permissions Required message.

See also

  • Choose a recommended location to store company files in


Permissions required to move/open files using QuickBooks

It's recommended that you allow QuickBooks to move your company data file from the Program Files folder to the default data file location used by QuickBooks:

C:\Users\Public\Public Documents\Intuit\Quickbooks\Company Files

To move the file using QuickBooks, open the company file again and click Move in the Move Company File window.

If you want to open a company data file located in the Program Files folder, you must run QuickBooks with a full administrator access token. Refer to Windows Help for detailed information about access tokens.

See also

  • Choose a recommended location to store company files in


Message: Move file failed. File is write-protected

Please contact technical support.


Open a company file from a new location

What is the default location used by QuickBooks?

The default location used by QuickBooks for company files is:

C:\Documents and Settings\All Users\(Shared) Documents\Intuit\QuickBooks\Company Files

Note: Windows XP users will see the folder "Shared Documents" when browsing (clicking folders) but QuickBooks and Windows will display the folder only as "Documents" in paths and addresses.

Note: If you plan to use the company file in multi-user mode, the folder where the company file is located must be shared.

Note: Sharing a folder can only be performed by a user with administrator privileges to the computer where the company file is located.

  1. Right-click the folder where the company file is located and choose Properties.

  2. Select the Sharing tab and set the appropriate permissions:

    For Microsoft® Windows XP or Microsoft® Windows 2003 Server:

    1. Select Share this folder on the network.

    2. Select Allow network users to change my files.

    For Microsoft® Windows® 2000 or Microsoft® Windows 2000 Server:

    1. Select Share this folder.

    2. Click the Permissions button.

    3. On the Share Permissions tab, make sure that the user or the user's group has permissions to access the folder.

    4. Select the checkboxes to allow the user or user's group to Change or Read files in the folder.

  3. If the folder is on a drive that is formatted for NTFS, click the Security tab and give the user or the user's group Read and Write permissions to the folder.

  4. Click the Apply button.

To do this task

  1. In QuickBooks, go to the File menu and click Open or Restore Company.

  2. Click Open a company file (.QBW) and then click Next.

  3. If other users will be working in this company file at the same time, click Open file in multi-user mode at the bottom of the window.

  4. In the Open a Company window, click the Look in drop-down arrow and then browse to the new location of the company file.

  5. Click the company file and then click Open.


Choose a recommended location to store company files in

To store your company files, you can use the recommended (default) location or choose another location. We recommend that you do not store your company files in the Program Files folder.

Note: If you already have a company file in the Program Files folder, QuickBooks will assist you in moving your company files to a recommended location when you install QuickBooks and when you first open your company file.

Why is Program Files no longer a recommended location for storing company files?

To accommodate upcoming operating systems, the use of the Program Files folder is limited to QuickBooks program files. If you store your company files in the Program Files folder and you update your operating system, you will be required to enter the Windows Administrator's password when working in company files.

Recommended (default) folder location used by QuickBooks for company files

As the default, QuickBooks uses the following location when creating new company files or moving existing company files:

C:\Documents and Settings\All Users\(Shared) Documents\Intuit\QuickBooks\Company Files.

Note: Windows XP users will see the folder "Shared Documents" when browsing (clicking folders) but QuickBooks and Windows will display the folder only as "Documents" in paths and addresses.

See also

  • Finding a file on a computer running Windows

  • Choosing a computer to store your company file on


What's important about the Set Defaults window

Use this window to set default values for all your manual backups.

In the Set Defaults Window

Remind me to back up: Select this option to receive a reminder to back up your company data file when you close it. Type a number in the field provided to tell QuickBooks how often you'd like to be reminded.

Default Backup Location: Type a location for saving your backup file, or click Browse and navigate to a location if necessary. This location will be the default used for manual backups. If the directory where you want to save your backup file does not currently exist, QuickBooks can create it for you.

Append date and timestamp: Select this option to have the date and time added to your backup file to help you track backups. Note that this means each backup will be a new file. You will no longer be over-writing previous backups, but your backups will be taking up more disk space.

Use Windows CD Writing Wizard: Deselect this option to bypass the Windows CD Writing Wizard and write your backups directly to a CD-ROM. This option is on by default.

Note: This option is only available to users with Microsoft Windows XP.


No company file is open

Your QuickBooks company file holds the financial data you enter into QuickBooks. You can't work in QuickBooks without one.

When no company file is open, you can do one of the following:

  • Create a new company.

  • Open an existing company.

  • Restore a backup file.

  • Convert financial data from Quicken into a company file.


What's important about the Creating New Company window (Enter company name)

What's important about the Creating New Company window

You must enter a name for your Company. The rest of the information is optional. However, entering it here can be useful because QuickBooks uses this information to prefill some forms and reports.

How does QuickBooks use this information?

How does QuickBooks use this information?


What's important about the Create New Company window (Choose chart of accounts)

What's important about the Creating New Company window

You can have QuickBooks set up a preset chart of accounts for your new QuickBooks company. Click Next to go to the next part of the setup.


What's important about the Create a New Company window

QuickBooks provides two options for setting up your company file:

  • Using the EasyStep Interview. The EasyStep Interview guides you through the process of setting up your company file and entering the data specific to your company. The Interview lets you specify your industry and provides specific tips for your type of business. You will learn about some QuickBooks features as you go through the EasyStep Interview.

  • Create your own company file from scratch. If you are familiar with QuickBooks, this lets you enter information directly using the QuickBooks menus and dialog boxes.


Create a backup of an older company file

You reached the QuickBooks Backup window because you are opening a company file that is older than the QuickBooks release that is installed on this computer. You will need to back up your company file in order to continue.

To do this task

  1. (Optional) Change the name of the backup file. Be sure to keep the three-character filename extension (.QBB).

  2. Click Browse to select the location where you want to store the backup.

  3. If you are using a CD, USB flash drive, or other storage device, prepare it now. For example, insert the CD into the CD-ROM drive.

  4. Click OK.

    QuickBooks verifies the integrity of your company file, updates it for this release, and then reopens your company file.


Naming and saving your company file

QuickBooks is creating the data file that will hold the financial records for your new company.

Keep the .QBW extension—it identifies the file as a QuickBooks company file.

Where should I save my company file?

Where should I save my company file?


What's important about the Open a Company window

  1. If you'll be sharing the file with others, select Open file in multi-user mode.

  2. Double-click the file you want to open.

The Look in field defaults to the last folder you used to open a company file. If you don't see your company file in this folder, click the Look in drop-down arrow and browse to the default location QuickBooks uses for company files:

C:\Documents and Settings\All Users\(Shared) Documents\Intuit\QuickBooks\Company Files

Note: Windows XP users will see the folder "Shared Documents" when browsing (clicking folders) but QuickBooks and Windows will display the folder only as "Documents" in paths and addresses.

See also

  • Finding a file on a computer running Windows


Restore backups overview

The backup file (.QBB) contains copies of all of the data you need to recreate your company file and QuickBooks environment.

When to restore a backup file

  • If your current company file is damaged, you can restore a backup that was made before the damage occurred.

  • If you need to recover lost data, you can restore a backup that was made before the data was lost.

  • If you received a backup file from an accountant, use the restore feature to convert the backup to a usable company file on your own computer. Keep in mind that this will overwrite any changes you've made after the date the backup file was created.

  • If you need to move your QuickBooks environment to a new machine, you can restore a backup file to the new location.

How the Restore Process Works

To use the backup file, you must first restore the backup file using the Backup and Portable File Wizard. Your company file (.QBW) is restored to the location you specified in the wizard. The supporting files (such as templates, letters, images, and so forth) are restored to a separate folder named \Restored_(company filename)Files so as not to overwrite the existing files on your computer. To complete the restore process, you then copy any supporting files that you need from the restore folder back to their original folders as described in the file HowToRestoreExternalFiles.txt located in the restore folder in the directory where you restored your files.

Important: Be sure to read the file HowToRestoreExternalFiles.txt before restoring your supporting files. When you copy these files back to their original folders, you will overwrite any changes made since the backup was created.

Common questions about restoring backup files

Can I restore only a part of a company file or data from a specific date range?

No. Restore can't update part of your company data or data for specific date ranges. When you restore a backup file, all data in that backup file will be in the restored company file.

Why is the data in the restored file not current?

The restored file contains only data entered before the backup was created. Make sure you are using the most recent backup file.

Can I recover data that I entered after my last backup?

This text will get overwritten.

See also

  • Restore a backup

  • Why won't my QuickBooks backup restore?

  • Back up company files


Back up company files overview

You can save backup copies of your QuickBooks files to safeguard them against accidental data loss. Backup copies are important insurance—if you lose data for any reason, you can restore the data from your backup copy.

What's a backup file?

This is an external expando

You can:

  • Have QuickBooks back up your company file when you close it without prompting you.

    This is the simplest way to back up your files. QuickBooks will automatically back up your data when you close the company file. How often it does so depends on the number you specified.

  • Manually back up your data to a writable CD or other local media. You can even have QuickBooks remind you to back up your company file each time you close it (or at whatever interval is convenient for you).

    Manual backups give you maximum control. You can choose a filename for your backup and where you want to save it each time you back up, or you can set these in your backup options to use as defaults. You can also have the date and time automatically appended to each backup so you don't overwrite previous backups.

    Note: This option is the most flexible but requires the largest investment of your time.

  • Schedule automated daily backups to a network drive or external hard drive.

    Once you set the schedule and how many backups you want to keep, you're done. Note that at the scheduled time of backup your computer must be on and the data file you want backed up must be closed (however, you can be working in another QuickBooks company file).

  • You can back up your company file online using QuickBooks Online Backup.

    If you register for and use this service, you will no longer need to worry about loss or damage of local storage media, nor will you need to remember to make these backups because you can schedule online backups to run at your convenience. Simply leave the computer on, close the company file, and be sure that your Internet connection is enabled.

    To find out more about QuickBooks Online Backup go to the File menu, click Save copy or backup, click Backup copy, click Next, and then click the Learn more about QuickBooks Online Backup link.

See also

  • Recommended backup routine


Portable company files overview

A portable company file is a compact version of your company file, small enough to be sent by e-mail or saved to portable media. Use a portable company file whenever you need to move your company data to another location or send it to another person.

  • E-mailing or moving a company file: The best way to send a company file to another person or location is to use a portable company file. From your QuickBooks company file, you create a portable company (.QBM) file, copy or send it to another location, and then restore it as a regular company (.QBW) file.

  • Exchanging files with an accountant: If you need to send your company file to an accountant, you should first review the different ways to exchange files with an accountant. The method you use to exchange company files determines the types of changes the accountant can make and whether you can continue using your company file while your accountant is making changes.

Things to consider

If the other person will be making changes to your company file and then returning the file to you, you should not continue working on your original company file. If you are working with your Accountant, consider using an Accountant's copy instead.

When the other person is finished making changes to the company file, he or she will return a portable company (.QBM) file to you, which you will open as a QuickBooks company (.QBW) file. Changes made by the other person cannot be merged into your existing company file; instead, you will use the new company file in place of your existing one.

When you give someone a portable file, they will need the administrator password in order to return the portable company file to you. This gives the person access to all areas of QuickBooks. The person can enter any type of transaction and can view all existing data, they can also change the administrator password.

See also

  • What is the difference between a portable company file and a backup file?

  • Back up company files


Append Date and Timestamp

Select this option to have the date and time added to your backup file to help you track backups.

This means each backup will be a new file. You will no longer be overwriting previous backups, but your backups will be taking up more disk space.


Use Windows CD Writing Wizard (XP only)

Use Windows CD Writing Wizard

Note: This option is only available to users with Microsoft Windows XP.

Deselect this option to bypass the Windows CD Writing Wizard and write your backups directly to a CD-ROM.

This option is on by default.


Change location and filename

Keep the three-character filename extension that QuickBooks suggests.


How QuickBooks uses your fiscal year

QuickBooks uses your fiscal year to set the date range for certain reports and graphs. For example, if your fiscal year begins on July 1, the beginning date for reports based on your fiscal year is July 1. You can change the date range for any individual report or graph when you create it.


How QuickBooks uses your tax year

QuickBooks uses your tax year to create income tax summary and detail reports. For example, if your tax year begins on January 1, your income tax reports show all tax-related transactions from January 1 through December 31 of the current tax year. You can change the date range of any individual report to cover other tax years or periods when you create the report.


Default location

Type a location for saving your backup file, or click Browse and navigate to a location if necessary. This location will be the default used for manual backups.

If the directory where you want to save your backup file does not currently exist, QuickBooks can create it for you.


Filename

The backup file will have a .qbb extension.


Set the number of previous files

Go to the File menu, choose click Open Previous Company, and then click Set number of previous companies.


Remind me to back up...

Select this option to receive a reminder to back up your company data file when you close it. Type a number in the field provided to tell QuickBooks how often you'd like to be reminded.


Restrictions

Because your backup copy is in a compressed file format, you must use the Restore command to bring the data back into QuickBooks. Do not use the Copy command from the Windows File Manager or the DOS prompt.

If your hard disk has malfunctioned, you first need to reinstall QuickBooks on the repaired or new hard disk. For instructions, see the installation chapter of the QuickBooks Startup and Quick Reference Guide.


Messages

If QuickBooks finds a company file with the same name in the folder you specified, QuickBooks asks whether want to replace the existing file. If you click Replace, QuickBooks erases the existing file and replaces it with the file you are restoring. If you are not certain you want the existing file erased, click Cancel and give the file you are restoring a different name.

If your backup file spreads over more than one disk, QuickBooks asks you to insert each disk as it is needed.


Why restore from backup?

You may need to restore data from a backup if one of the following has occurred:

  • Your working data is damaged.

  • Your hard disk has malfunctioned.

  • You need to put the data on another computer.

  • You want your data back the way it was at an earlier date.


Set your backup schedule

Use the Schedule Backup window to set a backup schedule to save a local backup copy to a network drive or an external hard drive.

For the backup to take place, the computer you use to run QuickBooks must be on, but the company file you want to back up cannot be in use. Be sure to schedule your backups accordingly.

Note: If you are using QuickBooks Online Backup, you need to schedule your backups through that service.

To do this task

  1. If not already displayed, open the Schedule Backup window.

    1. Go to the File menu and click Save Copy or Backup to open the backup wizard.

    2. Click Backup Copy, click Next, and then click Local Backup.

    3. If you have not already done so, click Options to set your backup defaults (such as where you want to save your local backup) and then click Next.

    4. Click Save and schedule future backups (to run a backup and create a schedule) or Only schedule future backups (to create a schedule without running a backup) and then click Next.

    5. In the Save Backup: When window click New.

  2. Enter a description for your scheduled backup.

  3. In the Location field click Browse to select the folder where you want to store your backup copies.

    This can be a network drive or an external hard drive.

  4. (Optional) Select the Number of backup copies to keep checkbox and enter a number in the field to the right.

    If you don't enter a number in the field, all of your scheduled backups are saved.

  5. Click Set Password to open the Enter Windows Password window and enter the requested information.

    This provides permission to run the scheduled backup.

  6. Select the time, frequency, and day for the backup to take place.

  7. Click OK to return to the Save Backup Copy: Schedule window.

    The backup appears in the list in the Schedule backups: section.

See also

  • Recommended backup routine


Keeping an audit trail

QuickBooks automatically tracks all the additions, deletions, and modifications made to transactions in your data file. This record of tracked changes is called an audit trail. The audit trail ensures that an accurate record of your data is maintained.

What happens to audit trail information when you clean up the data file?

What happens to audit trail information?

Learn more about Cleaning up data.

See also

  • About the Audit Trail report


What happens to audit trail information?

During the file clean-up process, QuickBooks removes all audit trail information tracked for transactions deleted during the clean-up process.


Back up to a CD/DVD using Microsoft Windows Vista

Back up to a CD/DVD using Windows Vista

You must be in single-user mode to do this.

Windows Vista includes an integrated CD Writing Wizard as part of the operating system.

To do this task

  1. Open the company file you want to back up.

  2. Go to the File menu and click Save Copy or Backup.

  3. Click Backup copy and then click Next.

  4. Click Local backup.

  5. If you haven't already done so, click Options to set your backup defaults. Choose your CD/DVD drive for the location to save your backups to.

  6. Click Next.

  7. Click Save right now or Save right now and schedule future backups if you also want to create a routine backup schedule.

  8. Click Next.

    Note: Although you selected your CD drive as the default location, QuickBooks temporarily saves the backup (until it's written to a CD) to the Windows temporary burn folder.

    C:\Users\(user name)\AppData\Local\Microsoft\Windows\Burn\Burn

  9. Click Save to use this location.

  10. When the backup is complete, QuickBooks displays a message with the location where the backup was saved. Click OK.

  11. In the Save to CD/DVD message, click either:

    • Burn Now to immediately burn the backup file to a CD/DVD.

      Choosing Burn Now starts the Windows CD Writing Wizard. Follow the on-screen instructions to burn the backup to your CD/DVD.

    • Burn Later to burn the backup file to a CD later.

      Note: Complete these steps outside of QuickBooks when you're ready to burn the files to CD.

      1. Click the Windows Start button and click Computer.

      2. Double-click your CD/DVD drive.

      3. Select the files to burn to CD in the Files Ready to Be Written to the Disc window and then click Burn to disc.

      4. Follow the on-screen instructions to burn the backup to your CD/DVD.

If you don't want to use the Windows CD Writing Wizard

If you don't want to use the Windows CD Writing Wizard

How can I verify the backup was burned to the CD?

View the contents of the CD, either on your computer or another computer, using Windows Explorer. The backup file should appear under the Files Currently on the Disc listing.

See also

  • Recommended backup routine

  • Restore a backup


What is an archive copy?

The Clean Up Company Data wizard creates an archive copy of your company file before any transactions are removed. The archive filename will contain the date you run the cleanup process, your company name, and the label "Archive Copy."

Important: The archive copy is read-only; you cannot use it for data entry.

How should I use the archive copy?

This is a copy of your company file as it was before you removed transactions. You can use the archive copy to view data or run reports for those periods in which transactions have already been removed.

Do not depend on the archive copy to restore a data file in case you have a problem with your system. You should always restore from the backup, not the archive copy.

How does QuickBooks use the archive copy?

If QuickBooks encounters an error while cleaning up the company file, it will automatically restore your data file from the archive. In such situations, no archive copy is retained.

If the cleanup process completes successfully, the archive copy and the cleaned-up company file co-exist on your disk. If you want to keep a separate archive in another location, you must back up the archive file in a separate backup process.

Note: As with any two different company files, only one can be open at any time on a single machine. You cannot open both the archive and the cleaned-up copy of your company file.


Cleaning up a data file

You must be in single-user mode to do this.

The Clean Up Company Data wizard will lead you through the process required to clean up a data file. Before you begin, you should have available media for backing up your data and know that a large file will take a long time to clean up. Be sure to schedule this process when you can afford the time.

Note: You will not be able to update any transactions that fall within the period you have selected to clean up.

To do this task

  1. Go to the File menu, choose Utilities, and then click Clean Up Company Data.

  2. Choose a cleanup option. You can choose to remove all transactions as of a specific date or you can remove all transactions.

    Example

  3. Continue through the wizard screens choosing items to be removed.

  4. Click Begin Cleanup when you are sure you want to proceed.

    QuickBooks displays a message stating that it will make a backup file before it removes the transactions. The backup file ensures that you will still have a record of the details of any transactions that QuickBooks deletes from your company file.

    If you are backing up to a 3.5-inch disk, be sure that you have a blank, formatted disk in drive A or drive B and that you've selected that drive. You can change the name and location of the backup file (QuickBooks suggests the name of your company file with a .qbb extension).

  5. Click OK to dismiss the message and open the Back Up Company File window.

  6. Click Create Back Up.

Before starting the cleanup process, QuickBooks:

  • Creates a backup copy of your company file.

    If you need to restore your company file to the state it was in before you cleaned up your data, use the backup copy to do so.

  • Creates an archive copy of your company file.

    If you need to view data that was removed from your company file during the cleanup process, use the archive copy.

  • Verifies the integrity of your company file.

Once your data has been verified, QuickBooks begins the cleanup process.

See also

  • What are the options for cleaning up my company file?

  • Which transactions are not normally removed?


Which transactions can I remove?

The Clean Up Company Data wizard offers several options for cleaning up your company data file. You make these selections in steps as you progress through the wizard.

Remove transactions as of a specific date

Remove all closed transactions on and before the date you specify. Open transactions for the specified period will not be affected.

Remove all transactions

Remove all transactions from the company file. This option will cause QuickBooks to retain all customer and vendor names, and all items, but will delete all associated transactions. Selecting this option is like starting a new company without having to enter all the names and items over again.

Remove additional transactions as specified

Remove uncleared bank and credit card transactions, transactions marked to be printed, transactions marked to be sent, and transactions that contain unreimbursed costs.

Remove unused list items

Remove the unused list items that cleaning up leaves behind.

See also

  • Which transactions can't be removed?


Back up company files

Back up your QuickBooks company file daily. Backup copies are important insurance—if you lose data for any reason, you can restore the data from your backup copy.

Common questions about backing up company files

  • Why can't I select my CD drive letter in the Location field?

    Windows XP overrides the CD drive letter with its CD Burning folder location. See Backing up to a CD using Windows XP for more information.

  • Can I back up or restore data for a specific date range?

    No. QuickBooks backs up all data within a company data file.

  • How can I change the company file that I'm backing up?

    QuickBooks can only back up the company file that you're currently in. To back up a different company file, open the company file you want to back up, and then go to the File menu and click Save Copy or Backup.

  • When do I use a portable company file vs. a backup?

  • Do payroll tax forms get saved with backups?

Steps to back up your company file

To back up company files, you must be in single-user mode.

Switching to single-user mode.

To do this task

  1. Open the company file you want to back up.

  2. Choose how you'd like to back up your company file:

    Back up to CD using Windows XP

    Back up to CD using Windows Vista

    Back up to CD using Windows 2000

    Back up to your hard drive, USB flash drive, Zip drive, or network drive

    Back up using QuickBooks Online Backup (requires service subscription)

    1. Go to the File menu, click Save Copy or Backup to open the backup wizard.

    2. Click Backup copy and click Next.

    3. Click Online backup.

    4. (Optional) Click Options to set your backup defaults, such as reminders and verification levels.

    5. Click Next. The company file closes and the online backup application opens.

See also

  • Schedule regular backups

  • Recommended backup routine

  • Restore a backup


Back up manually to a CD

You must be in single-user mode to back up a company file.

To back up your QuickBooks company file to a CD, you must have a read-writable CD-ROM drive and software for writing to a recordable CD.

If your computer is running Microsoft® Windows XP or Windows Vista, software for writing to a recordable CD is included your operating system.

If your computer is running Microsoft® Windows® 2000, you must use third-party CD writing software. In most cases, this software comes with your CD-R or CD-RW drive.

For detailed steps to back up to a CD, select the topic for your operating system:

  • Back up to a CD using Microsoft® Windows XP
  • Back up to a CD using Microsoft Windows Vista
  • Back up to a CD using Microsoft® Windows® 2000

See also

  • Recommended backup routine

  • Scheduling regular backups


Back up to a CD using Windows 2000

You must be in single-user mode to do this.

To back up your company file to a CD using Windows 2000, you must use a third-party software designed for this purpose, such as Roxio™ Easy CD Creator®.

Most read-writable CD drives come with software designed for creating CDs. Before backing up to a recordable CD, be sure to install the software for your CD-R or CD-RW drive. For more information about using the software to prepare and write to blank CDs, refer to the documentation that came with your CD drive.

Backing up directly to the CD drive

Use these instructions if your CD software allows you to write directly to a CD. Otherwise, see the instructions for "Manually backing up to a CD."

To do this task

  1. Insert a recordable CD into your computer's CD-R or CD-RW drive.

  2. Go to the File menu, click Save Copy or Backup to open the backup wizard.

  3. Click Backup Copy and then click Next.

  4. Click Local Backup.

  5. If you have not already done so, click Options to set your backup defaults, such as where you want to save your local backup.

  6. Click Next.

  7. Click Save right now or Save right now and schedule future backups if you also want to create a routine backup schedule.

  8. Click Next.

  9. Click Browse and select your CD-R or CD-RW drive drive as the backup location. If you want to change the name that QuickBooks suggests for the backup file, type your changes in the File name field.

  10. Click Save to start the backup.

    QuickBooks verifies the integrity of your company file based on the backup defaults you set, and closes and then reopens your company file. Follow any prompts you see to complete the CD burning process.

Manually backing up to a CD

Use these instructions if your CD software does not allow you to write directly to a CD, or if you encountered problems writing directly to a CD. When you manually back up to a CD, you first save the backup to your hard disk and then copy the backup file to the CD.

To do this task

  1. Insert a recordable CD into your computer's CD-R or CD-RW drive.

  2. Go to the File menu and click Save Copy or Backup to open the backup wizard.

  3. Click Backup Copy and then click Next.

  4. Click Local Backup.

  5. If you have not already done so, click Options to set your backup defaults, such as where you want to save your local backup.

  6. Click Next.

  7. Click Save right now or Save right now and schedule future backups if you also want to create a routine backup schedule.

  8. Click Next.

  9. Click Browse and navigate to a location on your hard disk that you will be able to find later. If you want to change the name that QuickBooks suggests for the backup file, type your changes in the File name field.

  10. Click Save to start the backup.

    QuickBooks verifies the integrity of your company file based on the backup defaults you set, and closes and then reopens your company file.

  11. Copy the backup file from your hard disk to the recordable CD using your CD burning software. The backup file will have the same name as your company file, but with a .qbb extension.

See also

  • Recommended backup routine

  • Restore a backup


Back up to a CD using Microsoft® Windows XP

You must be in single-user mode to do this.

Microsoft® Windows XP includes an integrated CD Writing Wizard as part of the operating system.

If you don't want to use the Windows CD Writing Wizard

If you don't want to use the Windows CD Writing Wizard

Backing up your company file using the Windows CD Writing Wizard

Important: After backing up in QuickBooks, you must then use the Windows XP CD Writing Wizard to actually write the file to your CD.

To do this task

  1. Insert a recordable CD into your computer's CD-R or CD-RW drive.

  2. Go to the File menu and click Save Copy or Backup to open the backup wizard.

  3. Click Backup copy and then click Next.

  4. Click Local backup.

  5. If you have not already done so, click Options to set your backup defaults, such as where you want to save your local backup.

  6. Click Next.

  7. Click Save right now or Save right now and schedule future backups if you also want to create a routine backup schedule.

  8. Click Next.

  9. Click Browse and select your CD-R or CD-RW drive as the backup location. If you want to change the name that QuickBooks suggests for the backup file, type your changes in the File name field.

    Note: The Save In field will not show your CD-ROM drive letter. Instead, it will show the Windows XP default location for files waiting to be written to CD in C:\Documents and Settings\(user name)\Local Settings\Application Data\Microsoft\CD Burning\.

  10. Click Save to start the backup.

    QuickBooks verifies the integrity of your company file based on the backup defaults you set, and closes and then reopens your company file.

  11. In the prompt about completing the CD burning process, click Burn Now to burn the backup file to CD now, or click Burn Later if you want to burn the backup file later.

    This step is completed outside of QuickBooks.

    1. In Windows Explorer, browse to your CD-ROM drive.

    2. Under CD Writing Tasks, click Write these files to CD.

    3. Follow the instructions in the CD Writing Wizard to finish burning the file to your CD.

    Important: You must complete this step to complete the backup process.

Why do I receive a message that I do not have rights to save the file?

Most likely, you do not have permission to save to the CD Burning folder in C:\Documents and Settings\(user name)\Local Settings\Application Data\Microsoft\CD Burning\. Search Microsoft Help for "Folder permissions" to learn about editing folder permissions.

How can I verify the backup was burned to the CD?

To verify the backup was burned to the CD, browse to your CD-ROM drive (right-click the Start button and click Explore). Windows XP lists both "Files Ready to be Written to the CD" as well as "Files Currently on the CD". If you've burned the backup to your CD, the backup file will be listed under "Files Currently on the CD".

See also

  • Recommended backup routine

  • Restore a backup


If you don't want to use the Windows CD Writing Wizard

If you have Windows XP or Windows Vista, QuickBooks automatically uses the Windows CD Writing Wizard to back up your company file. If you want to use third-party CD writing software instead, follow these instructions.

To do this task

  1. When the Windows CD Writing Wizard appears click Burn Later.

  2. Use your CD writing software to create a CD that contains that backup files in:

    • Windows XP: C:\Documents and Settings\(user name)\Local Settings\Application Data\Microsoft\CD Burning

    • Windows Vista: C:\Users\(user name)\AppData\Local\Microsoft\Windows\Burn\Burn

For help writing the CD, use the documentation provided with your CD writing software.


What if I don't see the pop-up message?

If you don't see the pop-up message "You have files waiting to be written to the CD," use the following instructions to navigate to your CD-ROM drive and start writing to the CD.

  1. On the Windows XP desktop, double-click My Computer and double-click your CD-ROM drive.

    Under "Files ready to be written to CD," you will see your company file backup.

  2. Click the Write these files to CD link and follow the onscreen instructions in the CD Writing Wizard.


Back up manually to local media

You must be in single-user mode to do this.

Follow these instructions to back up your company file to a removable storage device, such as a USB flash drive or Zip disk, or to back up to a local network drive or hard drive.

Note: If you are backing up to a recordable CD, refer to the information about CD backups.

To do this task

  1. If you are using a USB flash drive or other removable storage device, prepare the device now. For example, insert the flash drive into the USB port.

  2. Go to the File menu and click Save Copy or Backup to open the backup wizard.

  3. Click Backup Copy and then click Next.

  4. Click Local Backup.

  5. If you have not already done so, click Options to set your backup defaults, such as where you want to save your local backup.

  6. Click Next.

  7. Click Save right now or Save right now and schedule future backups if you also want to create a routine backup schedule.

  8. Click Next.

  9. (Optional) If you want to change the name or location that QuickBooks suggests for the backup file, type your changes in the File name field and click the Save In drop-down arrow to select another location.

  10. Click Save to start the backup.

    QuickBooks verifies the integrity of your company file based on the backup defaults you set, and closes and then reopens your company file.

See also

  • Recommended backup routine

  • Restore a backup


Back up or restore company files using QuickBooks Online Backup

Before you can back up or restore your company file using QuickBooks Online Backup, you must first subscribe to this service.

To find out more about QuickBooks Online Backup go to the File menu, click Save copy or backup, click Backup copy, click Next, and then click the Learn more about QuickBooks Online Backup link.

Note: Once you have subscribed to QuickBooks Online Backup, QuickBooks will default to this option when you attempt to back up or restore your data.

Backing up a company file to QuickBooks Online Backup

To do this task

  1. Go to the File menu, click Save Copy or Backup to open the backup wizard.

  2. Click Backup copy and then click Next.

  3. Click Online backup.

  4. (Optional) Click Options to set your backup defaults, such as reminders and verification levels.

  5. Click Next. The company file closes and the online backup application opens.

Restoring a company file from QuickBooks Online Backup

To do this task

  1. In QuickBooks, go to the File menu and click Open or Restore Company to open the backup and portable file restore wizard.

  2. Click Restore a backup copy (.QBB) and then click Next.

  3. Click Online backup and then click Next to open QuickBooks Online Backup.

  4. Use the Online Backup application to restore the backup file.

  5. If you are restoring the .QBW file, return to QuickBooks and reopen the company file.

    1. Go to the File menu and click Open or Restore Company.

    2. Click Open a company file and then click Next.

    3. In the Open a company window select the file you restored and click Open.

    If you are restoring a .QBB file, return to QuickBooks and follow the steps in the section above for restoring a local backup.

See also

  • Restore backups overview


Determining when to clean up your company file

If you don't need the details of transactions anymore

To create detailed reports, file taxes, and track spending, you need the details of individual transactions. But after time passes, you may no longer need these details. Cleaning up your company data file summarizes the transactions for which you no longer need the details. If you later need to check the details of a transaction, you can restore one of your earlier backup copies or open one of the archive files.

If you have a lot of unused items

You can remove many never-used items while cleaning up your company data file.

If you don't want to permanently remove a list item, you can hide it from your growing lists by making it inactive instead.

If you track inventory in QuickBooks

Cleaning up a company file removes all inventory transactions until QuickBooks detects one that cannot be removed. At that point, an inventory adjustment is created to reflect prices up to the date of the unremovable inventory transaction. To get the most benefit from cleaning up your company files, make sure you close all your inventory transactions before starting the cleanup process.

See also

  • Cleaning up data

  • Hiding a list entry

  • Hiding an account

  • Restoring a company data file


Selecting an end date when cleaning up a data file

In general, choose an end date that's a month or more in the past. This gives unpaid bills, uncollected invoice payments, uncleared transactions, and unreconciled transactions some time to complete.

For example, if you want to remove transactions as of the end of each year, wait until February (or later) of the following year to clean up your company file (and choose December 31 of the previous year as the ending date).

If you process payroll using one of the QuickBooks Payroll Services, you cannot clean up data from the current year. In this case, choose an end date from the previous year or earlier.

See also

  • Cleaning up data

  • Cleaning up data if you use one of the QuickBooks Payroll Services


Example

For example, to clean up data up to the end of 2005, enter 12/31/05. This removes all closed transactions dated on or before 12/31/05. Transactions dated 1/1/06 and later are not affected.


Estimating how long it will take to clean up a data file

The amount of time required to clean up your data depends on the size of your company file, your computer's speed and amount of memory, and other factors. The process could take anywhere from a few minutes to a few hours (even longer for some situations). During the process, QuickBooks scans your data three times. Because of this, the completion level displayed on your screen may remain the same for a long time. But if your hard disk shows activity, the process is continuing (so don't click Cancel).

While QuickBooks is cleaning up your data, you can't use other applications. Because of this and the length of time the process could take, you may want to clean up data just before leaving for the day so that it can run during the night.

See also

  • Cleaning up data


Which transactions are not normally removed?

Normally, transactions can't be removed if they have:

  • open balances

  • reimbursable expenses that have not been reimbursed

Or if they if they are:

  • payroll transactions from the current year

  • not reconciled

  • marked to be printed or e-mailed

  • online checks waiting to be sent or check with associated pending payment inquiries

  • linked to other transactions that can't be removed

  • payments that have not yet been deposited

Options in the Clean Up Company Data wizard allow you to override some of these rules and improve the effectiveness of the cleanup process. You can also choose to remove unused list items to further refine the process.

See also

  • Cleaning up data

  • Cleaning up data if you use one of the QuickBooks Payroll Services


Restore files you've backed up

Your backup copy contains your company data up to the date the backup was made. Make sure you restore the most recent file.

To restore backups, you must be in single-user mode.

Restoring a backup from a CD, local hard drive, network drive, or other media

Restrictions

This is an external expando

To do this task

  1. If your backup file is not on your hard drive or on a network drive, insert the CD, USB flash drive, or other storage device in the appropriate drive.

  2. In QuickBooks, go to the File menu and click Open or Restore Company to open the backup and portable file restore wizard.

  3. Click Restore a backup copy (.QBB) and then click Next.

  4. Click Local backup and then click Next. The Open window opens.

  5. If needed, click the Look in drop-down arrow and navigate to the location where you saved the backup file, which will have a .QBB file extension (for example, mycompanyname.QBB).

  6. Select the backup file and click Open.

  7. In the Restore Backup: To Location window, click Next. The Restore To window opens.

  8. Select the backup file and click Open.

  9. If needed, click the Save in drop-down arrow and navigate to the location where you want to restore the backup file.

  10. Select the backup file and click Open.

  11. Click Save and respond to any messages QuickBooks may display.

    This is an external expando

    The company file will be converted to a regular company file, with a .QBW extension (or a .QBA extension if the backup was made from an Accountant's Copy). The company file and all of its related files will be stored in this location.

  12. To completely restore all of the files in this backup on a new computer, or to overwrite changes made to these files since the backup was created, you should copy the related files from their restored location in the \Restored_(company filename)_Files folder back to their original directories.

    Important: Be sure to read the file HowToRestoreExternalFiles.txt located in the \Restored_(company filename)_Files folder before you perform this step. When you copy these files back to their original locations, you will overwrite any changes made since the backup was created.

Restoring an online backup

If you backed up your company file using the service provided by QuickBooks Online Backup, you must restore it through that same service.

To do this task

  1. In QuickBooks, go to the File menu and click Open or Restore Company to open the backup and portable file restore wizard.

  2. Click Restore a backup copy (.QBB) and then click Next.

  3. Click Online backup and then click Next to open QuickBooks Online Backup.

  4. Use the Online Backup application to restore the backup file.

  5. If you are restoring the .QBW file, return to QuickBooks and reopen the company file.

    1. Go to the File menu and click Open or Restore Company.

    2. Click Open a company file and then click Next.

    3. In the Open a company window select the file you restored and click Open.

    If you are restoring a .QBB file, return to QuickBooks and follow the steps in the section above for restoring a local backup.

See also

  • Why won't my QuickBooks backup restore?

  • Restore backups overview

  • Back up company files


Edit scheduled backups

You must be in single-user mode to do this.

To do this task

  1. Go to the File menu and click Save Copy or Backup to open the backup wizard.

  2. Click Backup Copy, click Next, and then click Local Backup.

  3. If you have not already done so, click Options to set your backup defaults (such as where you want to save your local backup) and then click Next.

  4. Click Save and schedule future backups (to run a backup and create a schedule) or Only schedule future backups (to create a schedule without running a backup) and then click Next.

  5. In the Save Backup: When window, select the scheduled backup you want to edit from the scheduled backup list and click Edit.

  6. In the Schedule Backup window, make your changes and click OK.

See also

  • Recommended backup routine

  • Back up company files

  • Set your backup schedule


If you're opening the company file for the first time

If you haven't opened the company file before—for example, if you just installed a colleague's file on your computer or on your company network:

  1. Go to the File menu and click Open or Restore Company.

  2. Click Open a company file and then click Next.

  3. Locate the company file and click the Open button.

Can't find the company file?


Changing your company information

Only the QuickBooks Administrator can do this.

About setting up your company

When you set up your QuickBooks company, you enter information about it in the EasyStep Interview or in the Creating a New Company window. Later, you can change most of the information you entered. For example, you may need to change your company address because your company has moved.

Important: One entry that you can't change later is the business type. When choosing from the Industry list, be careful to choose the one that most closely resembles your company. You can change the set of accounts for your selection.

To do this task

  1. Go to the Company menu and click Company Information.

  2. If needed, change your company's Contact Information.

    Enter your new company name and address as you would like them to appear on printed invoices, checks, and other forms.

    How QuickBooks uses the number and address information

  3. If needed, change your company's Legal Information.

    If your company's legal name and address is different from the name and address you use on printed forms, enter that information in the Legal Information fields. QuickBooks uses your company's legal information on 1099s, 940s, 941s, W-2s, W-3s, paystubs, and state tax forms.

    Be sure that you enter valid characters for your company's legal name and address.

    Changing your legal information when you use a payroll service

    If you use Assisted Payroll or QuickBooks Payroll with Direct Deposit, visit Go online Payroll.com (http://www.payroll.com/support/forms.html) for forms and instructions on how to change your legal company name or address.

  4. If your shipping address is different than the address already shown in this window, click the Ship To Address button to enter it. The Ship To Address button is visible only if you have Inventory and Purchase Order preferences turned on.

  5. In the Report Information section, you can change the dates.

    • If the starting month for your fiscal year has changed, click the new month from the drop-down list.

      How QuickBooks uses your fiscal year

      QuickBooks uses your fiscal year to set the date range for certain reports and graphs. For example, if your fiscal year begins on July 1, the beginning date for reports based on your fiscal year is July 1. You can change the date range for any individual report or graph when you create it.

    • If the starting month for your tax year has changed, click the new month from the drop-down list.

      How QuickBooks uses your tax year

      QuickBooks uses your tax year to create income tax summary and detail reports. For example, if your tax year begins on January 1, your income tax reports show all tax-related transactions from January 1 through December 31 of the current tax year. You can change the date range of any individual report to cover other tax years or periods when you create the report.

  6. If you did not select an income tax form when you created your company file (for example if you used the Easy Step Interview) or if your income tax form has changed, click the new tax form from the drop-down list in the Report Information section.

    Important: If you change the tax form, QuickBooks resets all of the associations between accounts and tax lines to <Unassigned>. You'll have to reassociate your accounts with tax lines for the new tax form you've chosen.

  7. In the Company Identification section, you can change your federal Employer Identification Number or your Social Security Number.

    Changing your EIN or SSN when you use a payroll service

    If you use Assisted Payroll or QuickBooks Payroll with Direct Deposit, you cannot change either number. To change your ID number or for information, contact the payroll service.

  8. If needed, update the name and contact information of the person who is responsible for filling out your payroll tax forms in the Payroll Tax Information section.

  9. Click OK.


Deleting a QuickBooks company file

If you no longer need a QuickBooks company file, you can delete it from your computer.

Important: You can't undo the deletion. Once you have deleted a company file, you can't recover the QuickBooks data contained in the file.

What if I want to start over with my company file?

If you have just started using QuickBooks and want to start over with your company file, you can create a new company file with the same name. When you save the new file, QuickBooks will ask if you want to overwrite your existing company file.

To do this task

  1. Locate the company file on your computer.

    The company file has the same name as the company, with a .qbw extension. By default, the company file is located in the same folder as the QuickBooks application.

  2. (Optional) Verify that you have located the correct company file by double-clicking it.

    When you have verified that the company file is the one you want to delete, close the file.

  3. Delete the company file by moving it to your computer's recycle bin.

See also

  • Creating a new company file


Use a portable company file to e-mail or move a company file

Only the QuickBooks Administrator can do this task.

What is a portable company file?

Expando text about portable company files.

You can move a QuickBooks company file from one computer to another computer, or send the company file to another person as an e-mail attachment. The best way to move a company file to another location is to create a portable company file.

Do not use a portable file if you need to work on your company file at the same time as the person you are sending it to. Changes made by the other person cannot be merged back into your company file. If you are working with your Accountant, consider using an Accountant's copy instead.

To do this task

  1. Create the portable company file.

    1. Go to the File menu, and click Save Copy or Backup.

    2. Click Portable Company File and then click Next.

    3. Save the portable company file to a folder on your computer.

      The portable company file is saved with a .QBM extension.

    4. When prompted to close your company file, click OK.

      QuickBooks must close and reopen your company file before creating a portable company file.

  2. Use your e-mail application to e-mail the portable company file, or copy the portable company file to another computer.

    You can send the file as an e-mail attachment or copy it to a removable disk. Note the location to which you save the portable company file on the destination computer.

  3. Open the portable company file on the destination computer.

    1. Go to the File menu and click Open or Restore Company.

    2. Click Restore a portable file (.QBM) and then click Next.

    3. If needed, browse to the location where you saved the portable file, which will have a .QBM file extension (for example, mycompanyname.QBM).

    4. Select the portable file and click Open.

  4. In the Restore Portable File: To Location window, click Next. The Company File to Save as window opens.

  5. To prevent overwriting your existing company file, rename the company file by typing a new name in the File name field. For example, you may want to add a date or version number such as mycompanyname-Jan2-2007.QBW, or mycompanyname-v2.QBW.

    Never restore a company file without renaming it first unless you intend to overwrite your existing company file. If you do so, you will lose all data in your existing company file.

  6. After you have renamed the file, click Save. The portable file will be converted to a regular company file, with a .QBW extension.

    You will be prompted to perform a backup of the new company file.

Note: When you open the portable company file, the .QBW file that is created may be smaller than your original .QBW file. This is normal.

See also

  • Portable company files overview


Copying a company file using Windows

If you do not want to move your company file using the portable company file feature in QuickBooks, you can copy the company file using Windows. Because the copied company file is not compressed, it is recommended that you use a Zip disk or CD-R disc.

  1. Open the directory in which the QuickBooks company file is located.

    Browse to or search for the data file, which will have a .qbw file extension (for example, mycompanyname.qbw). When moving a file from a network server, browse to the network drive on which the data file is located.

  2. Copy the QuickBooks company (.qbw) file and the corresponding transaction log (.qbw.tlg) file.

    The transaction log file has the same name as the company file, but with a .qbw.tlg extension. It is located in the same directory as the QuickBooks company (.qbw) file.

    If you are moving an Accountant's Copy

    If you are moving an Accountant's Copy, the review copy will have a .qba extension and the transaction log file for it will have a .qba.tlg extension.

  3. Paste the files in the new location.

    If you are moving the files to a network server

    When moving files to a network server, browse to the network drive you want to use and paste the files in that location. This location must be shared and mapped. If you are unsure of these concepts, see your network administrator for assistance.

    Once you have moved the files to a network server, you can use the copied company file. Go to the File menu and click Open or Restore Company.

    If you are using removable media (such as a CD)

    Paste the files to the removable media and then take the media to the computer to which you want to copy the files.

    Once you've moved the files to the new computer, right-click the company file and choose Properties. If the Read-only checkbox at the bottom of the Properties window is selected, clear the selection and click OK.

    You are now ready to use the company file. Go to the File menu and click Open or Restore Company.

See also

  • About portable company files

  • Using a portable company file to e-mail or move a company file


Starting a new QuickBooks company file

A QuickBooks company contains all the financial records for a single business. If you are just starting out with QuickBooks, the first thing you must do is create a QuickBooks company for your financial records.

We recommend that you use the EasyStep Interview to create your QuickBooks company. The Interview walks you through the setup procedure and helps you tailor QuickBooks to suit your business. The Interview also creates some of the QuickBooks accounts you'll need.

QuickBooks provides you with sample company files that you can use as examples for setting up your own QuickBooks company.

The Contractor editions of QuickBooks provide a sample company file created specifically for a construction business.

You can't use the sample company file for your own financial transactions. You must set up a company file just for your business.

See also

  • Starting a QuickBooks company if you've already been using Quicken or QuickBooks

  • Bypassing the Interview

  • Creating a new company file for a new business year


How QuickBooks uses the information you enter

  • Company name: Appears on all reports.

  • Legal name: Appears on income tax reports, 1099s, 940s, 941s, W-2s, W-3s, and paystubs.

  • Address: If you choose to print your name and address on invoices, checks, or other forms, QuickBooks uses the name and address you enter here. You can add your company's phone number if you want it to print with your address.

  • Phone and fax numbers: Appears on the cover note for faxes you send using the fax service. These fields can be added to your business forms using the Layout Designer.

  • E-mail address: Becomes the return address when you send invoices and estimates to customers by e-mail. This field can be added to your business forms using the Layout Designer.

  • Web site: QuickBooks does not automatically use the URL to your company Web site other than to show it, along with your company address and phone numbers, in the Company Information window. This field can be added to your business forms using the Layout Designer.

  • Fiscal year: QuickBooks uses your fiscal year to set the date range for year-to-date reports.

  • Tax year: QuickBooks uses your tax year to set the date range for income tax summary and detail reports.

  • Income tax form used: QuickBooks associates your accounts with the appropriate tax lines on the form you choose. This is very useful if you use Turbo Tax for your business taxes, as it allows you to easily transfer the information. It also helps you create tax reports in QuickBooks that help you prepare tax forms by showing the amounts to fill in for each tax line on the tax forms.
    If you change the tax form later, QuickBooks resets all of the associations between accounts and tax lines to <Unassigned>. You'll have to reassociate your accounts with tax lines for the new tax form you've chosen.

You can change any of this information later by going to the Company menu and clicking Company Information. You can change the date range of any report when you create the report.


Benefits of a preset chart of accounts

A preset chart of accounts gives you these benefits:

  • Speedy setup: The fastest way to develop your own chart of accounts is to choose the preset chart that best suits your company and then add or delete accounts as needed.

  • Expertise: You get a list of accounts developed by accounting experts after careful research into businesses like your own.

  • Other preset lists: QuickBooks automatically supplies other lists (payment methods, customer and vendor types, and payment terms) suited to your type of business.


Create a new company file for a new business year

If you prefer to keep transactions from each business year in a separate company file:

  1. Create a backup of your existing company file

    or

    Create a portable company file

    1. Go to the Filemenu, choose Portable Company File, and then click Create File.

    2. When prompted to close your company file, click OK.

      QuickBooks must close and reopen your company file before creating a portable company file.

    3. Save the portable company file to a folder on your computer.

      The portable company file is saved with a .QBM extension.

    Note: An alternative is to manually copy your QuickBooks company file to another place and rename it to something recognizable, such as MyCompany2006Data.qbw.

  2. Clean up the data in your existing company file

"Cleaning up" the data in a company file removes all transaction data prior to the date you specify, leaving only the list, vendor, customer, and chart of accounts information. You then do not have to re-enter all your company information, as you would if you created a new company file.

See also

  • Backing up your data
  • How QuickBooks cleans up data


Creating a QuickBooks company without using the Interview

Use this procedure to set up a QuickBooks company if you want to bypass the EasyStep Interview and enter only the minimum amount of information you need to get started.

To do this task

  1. Go to the File menu and click New Company.

  2. In the Create New Company window, enter information about your company and click Next.

    How does QuickBooks use this information?

    How does QuickBooks use this information?

  3. Choose one of the QuickBooks preset charts of accounts by selecting the type of company that most closely matches yours. Click Next.

    Note: You can't change the company type later, so be sure to select the one that most closely resembles your company.

    What do you get from a preset chart of accounts?

    What do you get from a preset chart of accounts?

  4. In the Filename for New Company window, review the proposed filename and location, make any changes you'd like, and then click Save to create your new QuickBooks company.


Opening a different company file

If you work with several companies, you'll keep their financial records in separate company files. You can change to another company file at any time.

QuickBooks provides an easy way to find and open a company file that you've worked with before.

Go to the File menu, choose Open Previous Company, and then click the company you want to open.

You can increase the number of companies that QuickBooks displays in the submenu.

See also

  • If you're opening the company file for the first time


Rebuilding a company file after using the Verify Data utility

If the Verify Data utility detects damaged transactions in your company file, you can run Rebuild Data to correct the errors.

Because Rebuild Data can cause additional problems that can increase the difficulty of recovering your data file, we do not recommend running Rebuild Data unless directed to do so by a technical support representative.

Note: The Rebuild Data utility requires that you back up your company first. If a technical support representative asks you to run Rebuild Data, you will need to have formatted disks on hand for the backup.

To do this task

  1. Close all open windows.

  2. Go to the File menu, choose Utilities, and then click Rebuild Data.


Recovering data from a damaged company file

If your QuickBooks company file becomes damaged (for example, due to a bad backup disk, power outage, or lightning strike) and no backup file is available, our data recovery service can attempt to recover the file.

Call Technical Support for assistance. The typical turnaround time is about ten (10) working days. There is a fee for this service.

See also

  • Protecting your QuickBooks data


Set backup reminders

To do this task

  1. Go to the File menu and click Save Copy or Backup to open the backup wizard.

  2. Click Backup Copy and then click Next.

  3. Click the Options button.

  4. Select the checkbox and enter a number to determine how often you're reminded to back up your company file. (The default is every four times.)

    To remove the reminder, clear the checkbox.

See also

  • Set your backup options

  • Recommended backup routine

  • Back up your company files


Schedule regular backups of your data

You must be in single-user mode to do this.

You have two options when scheduling local backups:

  • You can schedule automatic backups that take place when you close your company file.

  • You can schedule backups that take place at regular intervals, even when you're away from your desk. (Your computer must be on and your data file closed.)

    Note: If you are using QuickBooks Online Backup, you must schedule your backups using that service.

To schedule automatic backups

  1. From the File menu, click Save Copy or Backup to open the backup wizard.

  2. Click Backup Copy, then click Next, then click Local Backup.

  3. If you have not already done so, click Options to set your backup defaults (such as where you want to save your local backup) then click Next.

  4. Click Only schedule future backups (to create a schedule without running a backup) and click Next.

  5. Select the first checkbox and enter a number to specify how often you want your company file to be backed up. For example, to back up your data file every fifth time you close it, type 5 in the field provided.

    The backup will be stored in the location you specified in the Set Backup Copy: Options window. To view or change this location, click Options.

  6. Click Finish to close the wizard.

To schedule regular backups

Note: For the backup to take place, the computer you use to run Quickbooks must be on, but the company file you want to back up cannot be in use. Be sure to schedule your backups accordingly.

  1. From the File menu, click Save Copy or Backup to open the backup wizard.

  2. Click Backup Copy, then click Next, then click Local Backup.

  3. If you have not already done so, click Options to set your backup defaults (such as where you want to save your local backup) then click Next.

  4. Click Save and schedule future backups (to run a backup and create a schedule) or Only schedule future backups (to create a schedule without running a backup).

  5. Click Next and in the Save Backup: When window click New.

  6. Enter a Description for your scheduled backup.

  7. Click Browse to select the folder where you want to store your backup copies. This can be on a network drive, or on local media.

  8. Optionally, click the checkbox to Limit the number of backup copies in this folder and enter a number in the field provided. If you do not specify a number, QuickBooks saves all of your scheduled backups.

  9. Click Set Password to open the Enter Windows Password window and enter the requested information. This provides permission to run the scheduled backup.

  10. Select the time, frequency, and day for the backup to take place.

  11. Click OK to return to the Save Backup Copy: Schedule window. The backup appears in the list in the Schedule backups: section.

  12. Click Finish to close the wizard.

See also

  • Recommended backup routine

  • Set backup options

  • Back up company files


Set a password for your scheduled backups

In order for a scheduled backup to run, you must provide your Windows password.

To do this task

  1. If not already displayed, open the Enter Windows Password window.

    1. From the File menu, click Save Copy or Backup to open the backup wizard.

    2. Click Backup Copy, then click Next, then click Local Backup.

    3. If you have not already done so, click Options to set your backup defaults (such as where you want to save your local backup) then click Next.

    4. Click Only schedule future backups and then click Next.

    5. Click New or select one of your previous backups and click Edit.

    6. In the Schedule Backup window, click Set Password.

  2. Enter your Windows login in the Username field if it does not already appear.

  3. Enter your Windows password and then reenter it in the Confirm Password field.

  4. Click OK.

See also

  • Recommended backup routine

  • Back up company files

  • Schedule regular backups of your data


Uninstall QuickBooks or QuickBooks Server

To do this task

  1. Exit QuickBooks.

  2. Click the Windows Start button.

  3. Choose Settings and then click Control Panel.

  4. Double-click Add or Remove Programs.

  5. Select either the QuickBooks Server or the full QuickBooks application from the list of programs.

  6. Click Change/Remove.

  7. Click Next in the QuickBooks installation window.

  8. Click Remove and then click Next.

  9. Click Remove to begin the uninstallation process.


Verifying the integrity of a company file

A technical support representative may ask you to run the Verify Data utility to check your data file for errors. Depending on the results of the verification, you may be asked to use the Rebuild Data utility to correct the errors.

Note: For the most thorough verification, it is recommended that you switch to single-user mode before using the Verify Data utility.

To start the verification process

  1. Close all open windows.

  2. Go to the File menu, choose Utilities, and then click Verify Data.


What does error C=88 or C=43 mean?

If you receive a message containing the value C=88 or C=43 when you try to open your company file, the file may be damaged. There is a utility function in QuickBooks that often will repair the damage.

If your company file is on a network

  1. Copy your company file to a local hard drive and try to open it there. If you're not sure of the current location of your QuickBooks company file, search for *.qbw. (If you need further assistance copying or finding the file, contact your system administrator.)

  2. After you've copied the file, go to the File menu and click Open or Restore Company.

  3. Click Open a company file and then click Next.

  4. Navigate to the new location through the Look In drop-down list.

  5. If the file opens on the local computer, make sure everyone is logged off the network, and try restarting your server and each workstation.

  6. Attempt to open the file again across the network. If the file will open locally, but will not open on the network, please contact your network administrator.

If the company file normally resides on your local computer, or you were not able to open your company file locally with the steps above:

  1. Go to the File menu and click Open or Restore Company.

  2. Click Open a company file and then click Next.

  3. Navigate to the default location used for sample company files. The default location is C:\Documents and Settings\All Users\(Shared*) Documents\Intuit\QuickBooks\Sample Company Files\QuickBooks (version). (If you are having difficulty finding your QuickBooks files, you can search for *.qbw files to find the location of the sample files.)

    *Windows XP users will see the folder "Shared Documents" when browsing (clicking folders) but QuickBooks and Windows will display the folder only as "Documents" in paths and addresses.

  4. When the QuickBooks (version) folder is displayed in the Look In field of the Open a Company window, choose one of the sample companies (product-based or service-based) and click Open.

  5. Open the desktop view preferences.

    Opening desktop view preferences

  6. Select the Don't save in the desktop option.

  7. In the Preferences window, click Reminders in the list on the left. (If you receive a message asking if you want to save the changes you made, click Yes.)

  8. On the My Preferences tab, clear the Show Reminders List when opening a Company file check box and click OK to close the window.

  9. Go to the File menu and click Close Company. If you do not see your company name in the No Company Open window, click Open an existing company and navigate to the local copy of your file. Click the company name once to highlight it and press the ALT key on your keyboard while you click Open.

  10. If you are prompted for a password, release the ALT key, type your password, and then press ALT again while you click OK.

    • If the company still will not open, proceed to Step 13.

    • If the company opens, and there are other QuickBooks windows open, from the Window menu, choose Close All.

  11. Go to the File menu, choose Utilities, and then click Rebuild Data. You will be prompted to make a backup. Make sure that you do not overwrite your existing backup. The rebuild utility will run as soon as the backup completes.

  12. When the rebuild data utility has finished, close your company file and then reopen it in order to refresh the lists in your data file.

  13. Go to the File menu, choose Utilities, and then click Verify Data. This checks the file for remaining damage.

    • If the verify completes with the message QuickBooks detected no problems with your data, then your data is clear.

      • If your file normally resides on the local computer, it is ready to use.

      • If your file normally resides on a network server, rename the file that is still on the server, then copy the rebuilt file back to the server. You should be able to work across the network again.

    • If the verify completes with the message: "Your data has lost integrity.... there is still damage in the file", continue to Step 11.

  14. You can try restoring a recent backup of your company. Make sure that you do not overwrite your existing company. Any information entered in the company file since the backup was made will need to be manually reentered into the restored file. (If you do not have a backup to restore, see Step 13.)

  15. Once the backup is restored, run the verify utility again, as outlined in Step 10, to ensure that the restored file does not contain damage. If the verify indicates damage, you can run the rebuild utility once on the restored file, as outlined in Step 8. Close and reopen the file, and check it again with the verify utility (see Step 10).

  16. If the restored file is still damaged, or if you do not have a recent backup to restore, Intuit may be able to recover your data. Please contact Technical Support at (888) 320-7276 from 6:00 A.M. to 4:00 P.M. pacific time to speak with a Data Services Specialist. Premier Plan members should call the priority hotline to speak directly to a Support Engineer about data recovery. There is a fee for data recovery services.


My QuickBooks backup won't restore

If your QuickBooks backup won't successfully restore on your first attempt, try the following:

  • Restore the file again. You may have accidentally clicked Cancel, which causes QuickBooks to stop restoring. If the file still fails to restore, try another recent backup or review the remaining suggestions.

  • If you're restoring from a CD backup, make sure the file on the CD has a .qbb file extension. Occasionally users will copy the company file to a CD instead of making a backup of the company file to a CD. To check:

    1. Double-click the My Computer icon on your Windows desktop. (In Windows Vista, click the Start button and click Computer.)

    2. Double-click on the CD drive, and then view the file.

      • If the file has a .qbb extension, you can try some of the other suggestions below for restoring it.

      • If the file has a .qbw file extension, you copied it to the CD instead of backing it up. Copy this file to your QuickBooks directory. You also may need to change the attribute. To do this, right-click on the file and select Properties. At the bottom of the Properties window, select the Archive checkbox. This change allows you to copy the file to another system and try to open it there. Windows XP and Vista will do this automatically, but Windows 2000 will not. In QuickBooks, go to the File menu, and then click Open or Restore Company.

  • Sometimes backup media can get damaged (scratches, bad sectors on the disk, and so on.). If you're restoring a backup to a new computer and the old computer is still available, try using a new CD, Zip® disk, or USB flash drive (for example, a data stick) to make another backup of your company file from the old computer, and then restore this newer backup on the new computer.

  • Your backup CD may be damaged. Try copying the CD to your hard drive. If it won't copy, the CD is probably damaged. If it will copy, try getting a new CD and copying the information from the hard drive onto the new CD. Then try to restore the file again from the new CD.

  • If your backup is on different media, such as a Zip® disk or USB flash drive, try copying the backup file from that media to your hard drive. Then try to restore by browsing to the file location on your hard drive:

    1. Go to the File menu and click Open or Restore Company.

    2. Click Restore a backup copy and then click Next.

    3. In the Get Company Backup From section of the window, click the Browse button.

    4. Click the Look in drop-down list and choose the hard disk backup location.

    5. Select the backup file and click Open.

    6. Continue restoring normally.

If the backup CD or other backup media is damaged and the file won't copy, or if you continue to experience other problems restoring the file, do not run SCAN DISK or any other disk-repair utility. The QuickBooks backup is a compressed file, and while a repair utility may fix a damaged sector on a disk, it will cause further problems with the backup file, preventing it from restoring at all.

If you can't restore a backup at all, including older backups, Intuit may be able to recover your data. The probability of recovery depends on the following:

  • If the CD is damaged, Intuit may be able to recover most of the information, although there may be gaps in the recovered data.

  • If you used another media to make the backup, such as a Zip® disk, and the file can be copied to the hard drive, there is a good chance for recovery. However, Intuit can't accept damaged hard drives.

Call Technical Support for assistance. The typical turnaround time is about ten (10) working days. There is a fee for this service.


Assets (definition)

Assets

Your company assets are the things that your company owns.

QuickBooks distinguishes between two types of assets:

Current assets | These are the assets you are likely to convert to cash within one year. They include the cash you have on hand, the money in your checking and savings accounts, and the money your customers owe your business.
Fixed assets | These are the assets you do not expect to convert to cash during one year of normal operations. A fixed asset is usually something that is necessary for the operation of your business—like a truck, cash register, or computer.


Corporation (definition)

Corporation

A legal entity owned by its stockholders. Unlike a sole proprietorship or a partnership, a corporation can pay a working owner a salary.

In a corporation, you'll usually want to separate the stockholders' investment of capital from the stockholders' share of earnings.

To track paid-in capital or investments of stockholders, add an equity account with a name such as Capital Stock. Although you do need to have records of the names and investments of each stockholder, you probably won't want to show this detail on your chart of accounts. For the opening balance, enter the total paid-in capital as of your QuickBooks start date.

After you have set up all your accounts, the amount remaining in Opening Bal Equity represents retained earnings prior to the start date. You can rename this account with a name such as Prior Earnings or Pre-2003 Earnings.

QuickBooks automatically tracks the corporation's retained earnings for completed fiscal years in an equity account called Retained Earnings. After the end of the year, you may distributed some or all of the retained earnings of the corporation to stockholders as dividends.


Equity (definition)

Equity

Equity is the net worth of a company. This represents the difference between what you owe (liabilities) and what you have (assets). If you sold all your assets today, and if you paid off your liabilities with the money received from the sale of your assets, the money you would have left would be equity.

Your equity represents the health of your business since it is the amount of money left after all of your debts are satisfied.

Equity comes from two sources:

  • Money invested in your company

  • Profits or losses from your business

Of course, an owner can also take money out of the company. Such withdrawals, called owner's draws, reduce the company equity.


FOB (definition)

FOB

In QuickBooks, this term appears on the Product format invoice. You can use it for the site from which an invoiced product is shipped; it has no bookkeeping implications within QuickBooks. In traditional accounting terms, FOB is an acronym for "free on board" and refers to terms between the buyer and seller regarding transportation costs and the moment at which the buyer assumes ownership of an item.


Net worth (definition)

Net worth

Same as equity. QuickBooks has a net worth graph that shows assets, liabilities, and their difference (net worth).


Partnership (definition)

Partnerships

An unincorporated business owned by two or more persons. Each partner owns a share of all assets and liabilities. Each partner may have invested in the partnership, and each receives a specified share of profits. Partners do not receive salaries, but they may withdraw money against their share of profits (unlike a sole proprietorship or a corporation).


Sole proprietorship (definition)

Sole proprietorship

An unincorporated company owned by one person, unlike a corporation or a partnership.

All the equity is initially in the Opening Bal Equity account QuickBooks creates when you set up a new QuickBooks company. QuickBooks creates a second equity account, called Retained Earnings, which initially has a zero balance.


QuickBooks company (definition)

QuickBooks company

The data file that stores all the information about your company and its finances. Creating the company file is the first thing you do when you set up your financial records in QuickBooks. All company files for QuickBooks have the extension .QBW.


Start date (definition)

Start date

A date you choose as the starting point for your financial records in QuickBooks. This is the date by which QuickBooks has complete information. The balance for each balance sheet account must be correct as of the start date.

The start date can be in the past if you enter historical records, it can be the current date, or it can be a future date if you prefer to enter information gradually.


Terms (definition)

Terms

A shorthand way of expressing when you expect to receive payment from a customer, or when a vendor expects to receive payment from you. Terms show the number of days (or date) by which payment is due and can include a discount for early payment.

Example: 1% 10 Net 30

This means: payment due in 30 days, 1% discount if paid within 10 days.


Add users to my QuickBooks license

QuickBooks Pro and Premier allow up to five users to work in a company file at the same time based on the number of user licenses you have.

How do I find out how many user licenses I have?

  1. Open QuickBooks.

  2. Press the F2 key.

    You may need to minimize the Help window before pressing F2.

  3. In the top left corner of the Product Information window, note the number of licenses listed under User Licenses.

  4. Repeat for each installation of QuickBooks.

If you would like to allow additional users access to your company file, you must first purchase additional licenses for those users.

If you need to have more than five users access your company file

QuickBooks Enterprise Solutions (QBES) allows up to 20 users to work with a company file at the same time. QBES comes with a 5-user, 10-user, 15-user, or 20-user Value Pack license.

Additional 5-user seats can be added to increase the number of users simultaneously accessing a QBES data file (up to a maximum of 20). For pricing information and the phone number to call to purchase a QBES 5-user seat, go to the Go online QuickBooks Enterprise Solutions Web site.

Note: QuickBooks Enterprise Solutions: Accountant Edition comes with a single-user license, and additional users cannot be added. Please see your license agreement for further details.

Find current pricing information for adding users to your license

  1. Go to the Help menu and click Manage My License.

  2. Click Buy additional user license.

  3. Click the Add Seats Online link for current pricing.

Why isn't "Buy additional user license" available?

If you installed using a QuickBooks Premier 5-user value pack license, Buy additional user license isn't available under the Help menu because you're already at the maximum users allowed. See About multi-user QuickBooks for multi-user setup steps.

To purchase additional user licenses

  1. Go to the QuickBooks Help menu, click Manage My License, and then click Buy additional user license.

    Why isn't "Buy additional user license" available?

    If you installed using a QuickBooks Premier 5-user value pack license, Buy additional user license isn't available under the Help menu because you're already at the maximum users allowed. See About multi-user QuickBooks for multi-user setup steps.

  2. The page that opens gives you the option to buy additional licenses online or by phone. If you choose to use the phone option, you will be given the phone number to contact Intuit. If you choose to use the online option, a new page will open allowing you to choose the number of licenses you'd like to buy.

  3. After purchasing the licenses, install QuickBooks on additional computers based on the number of licenses you purchased. Use the same license and product numbers that you used to originally install QuickBooks.

  4. After installing, click Register QuickBooks from the Help menu to register QuickBooks as well as update your new license information.

    You can also go to the Help menu, click Manage My License, and then click Sync License Data Online to update your new license information.

  5. If you are installing QuickBooks on a computer that does not have Internet access, you can manually update your new license information by going to the Help menu, clicking Manage My License, and then clicking Buy additional user license. Use the phone option to enter the same validation code you received when you purchased your additional license.

QuickBooks Enterprise Solutions (QBES) allows up to 20 users to work with a company file at the same time. QBES comes with a 5-user, 10-user, 15-user, or 20-user Value Pack license.

Additional 5-user seats can be added to increase the number of users simultaneously accessing a QBES data file (up to a maximum of 20). For pricing information and the phone number to call to purchase a QBES 5-user seat, go to the Go online QuickBooks Enterprise Solutions web site.

QuickBooks Enterprise Solutions: Accountant Edition comes with a single-user license, and additional users cannot be added. Please see your license agreement for further details.

See also

  • Troubleshoot QuickBooks licenses

  • About multi-user QuickBooks

  • About QuickBooks licenses


Allowing more than one user access (multi-user access)

Learn about:

  • How to determine the number of licenses you have

    With QuickBooks open, press the F2 key on your keyboard. (You may need to minimize Help before pressing F2.) In the top-left corner of the Product Information window, the number of licenses for this installation is listed under User Licenses. Repeat this process for each installation of QuickBooks.

  • About QuickBooks licenses

  • Adding users to your QuickBooks license

  • About multi-user QuickBooks

  • Troubleshooting QuickBooks licenses


About QuickBooks registration

You can use QuickBooks up to 30 days without registering. After 30 days, you must register to continue using QuickBooks.

There is no charge to register QuickBooks. Registration entitles you to many benefits including access to technical support and notification of product upgrades, so we encourage you to register early.

For steps to register QuickBooks, go to Registering QuickBooks.

Where is my registration number?

QuickBooks no longer uses registration numbers. The license number you received when you purchased QuickBooks takes the place of what was formerly known as a "registration" number.

You can find your license number on a sticker with your CD or by choosing About QuickBooks from the Help menu.

What if I reinstalled QuickBooks on a new computer?

Registering QuickBooks on a new computer

See also

  • About QuickBooks licenses


About QuickBooks licenses (an overview)

users

A QuickBooks license determines the number of individuals who can use QuickBooks.

Multi-user access to QuickBooks allows individuals to work in QuickBooks company files at the same time. For multi-user access to company files in QuickBooks Pro or Premier, you can either purchase more than one single-user license or a multi-user license. QuickBooks Pro offers a 3-user license and QuickBooks Premier offers a 5-user license. A maximum of five users can use a company file at the same time.

If you have more than five users who need to use QuickBooks at the same time, QuickBooks Enterprise Solutions (QBES) offers a 5-user, 10-user, 15-user, or 20-user Value Pack license. Additional 5-user seats can be added to increase the number of users simultaneously accessing a QBES data file (up to a maximum of 20). These seats are available only in increments of five users. New seats are installed using the same license and product number used for the original installation.

If you would like to add another user license to your existing QuickBooks Pro or Premier license, you can do so right in QuickBooks. Go to the Help menu, click Manage My License, and then click Buy additional user license.

Note: The option to buy an additional license is not available on QuickBooks Premier 5-pack license installations.

Single-user licenses

If you purchased a single-user license of QuickBooks, you can use QuickBooks on the computers used by a single individual.

Example

If you use QuickBooks at the office but also need to use QuickBooks on your home computer or laptop, a single-user license allows you to install QuickBooks on each of the computers you, the individual, use.

Multi-user licenses

There are two ways you can purchase licenses for multi-user access to QuickBooks Pro or Premier.

  • If you purchased a multi-user 5-pack license, you can use this one license for QuickBooks on up to five computers, where all computers are owned by you and are used by up to a total of five individuals. You can install QuickBooks on a sixth computer only if required to host your company's data file and enable multi-user access.

  • If you purchased a multi-user 3-pack license, you can use this one license for QuickBooks on up to three computers where all computers are owned by you and are used by up to a total of three individuals. You can install QuickBooks on a fourth computer only if required to host your company's data file and enable multi-user access.

  • If you purchased more than one single-user license for multi-user access to QuickBooks, you can use QuickBooks on the number of computers corresponding to the number of licenses you have purchased. The maximum number of single-user licenses that can access a company file at one time is five.

See also

  • Add users to my QuickBooks license

  • Upgrade my QuickBooks product

  • Troubleshoot QuickBooks licenses

  • QuickBooks Software License Agreement


If you do not see Register QuickBooks on the Help menu

The Register QuickBooks option is available on the Help menu only if you have not yet registered your copy of QuickBooks. If it does not appear on the Help menu, then you have already registered this copy of QuickBooks.


Find your registration number

QuickBooks no longer uses registration numbers. The license number you received when you purchased QuickBooks takes the place of what was formerly known as a "registration" number.

You can find your license number on a sticker with your CD or by going to the Help menu and clicking About QuickBooks.

You can verify that your copy of QuickBooks is registered by pressing the F2 key when QuickBooks is open. The Product Information window displays either REGISTERED or UNREGISTERED based on the registration status.

See also

  • Register QuickBooks

  • Move your QuickBooks installation

  • Register QuickBooks if you are installing on a new computer


Register QuickBooks if you are installing on a new computer

re-register

re register

If you install QuickBooks on a new computer, you need to register again. To re-register, go to the Help menu and click Register QuickBooks.

When you re-register, you must provide the ZIP code and phone number used to register the original product.

Note: QuickBooks will prompt you to register if it is required. Not all situations require you to re-register (such as reinstalling QuickBooks on the same computer).

You can verify that your copy of QuickBooks is registered by pressing the F2 key when QuickBooks is open. The Product Information window displays either REGISTERED or UNREGISTERED based on the registration status.


Register QuickBooks

re-register

re register

Registration entitles you to many benefits including access to technical support and notification of product upgrades.

You can use QuickBooks up to 30 days without registering. After 30 days, you must register to continue using QuickBooks. There is no charge to register QuickBooks.

Note: QuickBooks no longer uses registration numbers.

To register QuickBooks

Note: Make a note of the address and phone number you use for registration. You will need this information again if you ever need to re-register your copy of QuickBooks.

Register a single-user license (or more than one single-user license)

  1. Go to the Help menu and click Register QuickBooks.

    If you do not see Register QuickBooks on the Help menu

    Register QuickBooks is available on the Help menu only if you have not yet registered your copy of QuickBooks. You can verify that your copy of QuickBooks is registered by pressing the F2 key when QuickBooks is open. The Product Information window displays either REGISTERED or UNREGISTERED based on the registration status.

  2. Choose your registration method:

    • To let QuickBooks check for the best method, click Begin Registration. You will be directed to either online or phone registration.

    • To call Intuit to register, click Skip online check and register by phone to see the phone number to use to register your QuickBooks.

  3. Follow the prompts to complete the registration process.

Register a 5-user license

  1. Register any one of the copies you installed by following the steps listed above for "Registering a single-user license (or more than one single-user license)".

  2. Once that copy is registered, register the remaining copies by opening each copy of QuickBooks and clicking Register QuickBooks from the Help menu.

  3. Choose your registration method:

    • To register online, click Begin Registration. QuickBooks will detect that you have already registered and you will be asked to provide the ZIP code and phone number you used when registering your first copy of QuickBooks.

    • To call Intuit to register, click Skip online check and register by phone to see the phone number to use to register your QuickBooks.

  4. Repeat steps 2 and 3 for each remaining copy of QuickBooks.

Register a 3-user license

  1. Register any one of the copies you installed by following the steps listed above for "Registering a single-user license (or more than one single-user license)".

  2. Once that copy is registered, register the remaining copies by opening each copy of QuickBooks and clicking Register QuickBooks from the Help menu.

  3. Choose your registration method:

    • To register online, click Begin Registration. QuickBooks will detect that you have already registered and you will be asked to provide the ZIP code and phone number you used when registering your first copy of QuickBooks.

    • To call Intuit to register, click Skip online check and register by phone to see the phone number to use to register your QuickBooks.

  4. Repeat steps 2 and 3 for each remaining copy of QuickBooks.

Common questions:

How do I change my registration information?

If you need to update your registration information, call 1-888-246-8848 (1-888-2INTUIT) and select the option for Customer Service.

How can I find out if QuickBooks is already registered?

Press the F2 key when QuickBooks is open. The Product Information window displays either REGISTERED or UNREGISTERED based on the registration status.

Where is my registration number?

QuickBooks no longer uses registration numbers. The license number you received when you purchased QuickBooks takes the place of what was formerly known as a "registration" number.

You can find your license number on a sticker with your CD or by choosing About QuickBooks from the Help menu.

What if I am registering QuickBooks after installing on a new computer?

Registering on a new computer

See also

  • Find your registration number

  • About QuickBooks licenses


Troubleshoot QuickBooks licenses

When using QuickBooks in multi-user mode, the licenses you used to install each copy of QuickBooks determine how many users can use a company file at the same time.

Resolving the message, "You've exceeded the maximum number of users who can access the company file at one time."

  1. On each computer that is accessing the company file, open QuickBooks (you do not need to open the company file) and press the F2 key on your keyboard. This opens the Product Information window.

  2. Write down the number of user licenses (will be 1 or 5) and the license number from the Product Information window.

  3. Write down the number of user licenses (will be 1 or 3) and the license number from the Product Information window.

  4. Repeat for each computer that accesses the company file.

  5. Compare the license information you wrote down for each computer.

    • For each computer that showed 1 user license, check the other license numbers on the other computers to make sure no other computer uses that same license number. If you used the same single-user license on more than one computer that is accessing the company file at the same time, you will need to resolve the license issue before gaining access to the company file simultaneously.

      More...

      You can install the same single-user license on more than one computer when those computers are used by the same individual. Because they are used by one individual, both computers will never access the company file at the same time. It is when the same single-user license is used on more than one computer being used by other users that will cause the 'exceeded max users' message to appear.

      To resolve this issue

      If you are using the same single-user license on more than one computer accessing the company file, reinstall QuickBooks using a different single-user license. Each computer accessing the company file at the same time will need a unique single-user license. If you do not have another single-user license, you will need to purchase one. See Adding users to my QuickBooks license.

    • For each computer that showed 5 user licenses, you can have up to 5 computers using the same 5-user pack license number. Verify that no more than five users are logging into a company file from those five computers at the same time.

      To resolve this issue

      If you are using a license with 5 user licenses, limit the number of users who access the company file at one time to five. If you have more than five users who need to use QuickBooks at the same time, QuickBooks Enterprise Solutions comes with a 5-user, 10-user, 15-user, or 20-user license.

      To learn more about Enterprise Solutions, Go online visit the Enterprise Solutions site.

    • For each computer that showed 3 user licenses, you can have up to 3 computers using the same 3-user pack license number. Verify that no more than three users are logging into a company file from those three computers at the same time.

      To resolve this issue

      If you are using a license with 3 user licenses, limit the number of users who access the company file at one time to three. If you have more than three users who need to use QuickBooks at the same time, you can add users to your QuickBooks license or consider QuickBooks Enterprise Solutions, which comes with a 5-user, 10-user, 15-user, or 20-user license.

      To learn more about Enterprise Solutions, Go online visit the Enterprise Solutions site.

See also

  • Add users to my QuickBooks license

  • About QuickBooks licenses


About Automatic Update

Automatic Update ensures that you have the latest improvements and updates. This feature is turned on by default; we recommend that you leave it on to help keep your software up to date.

Leaving Automatic Update on means that you agree to receive product updates automatically from Intuit. To learn more about Automatic Update or to turn it on or off, go to the Help menu and click Update Quickbooks.

For details on how Intuit respects your privacy, see the Quickbooks Privacy Statement.

See also

  • About updating QuickBooks


Please select a subentry for this keyword

Click the index subentry for the information you want to view.


QuickBooks tutorials

tutxxxx, tutxxxx

The tutorials in the QuickBooks Learning Center will help you get started right away. You'll get a "big picture" overview of important concepts in QuickBooks, as well as step-by-step instructions for key tasks.

To get back to the tutorials after leaving the Learning Center, go to the Help menu and click Learning Center Tutorials.


No Help topic available

A Help topic is not available for this window.


Some keywords can be synonymous.

Be sure to check for keywords that have similar meaning if you can't find what you want in the index.

adding: See also creating and setting up

creating: See also adding, recording, and setting up

entering: See also creating and recording

recording: See also creating and entering

setting up: See also adding and creating

editing: See also changing

changing: See also editing

modifying: See also changing and editing


Printing Help topics

If printing a help topic requires extra sheets of paper, don't use the Print tool on the Help toolbar. Instead, click the print icon to the right of the topic title, as shown below.


Troubleshoot QuickBooks in-product Help

In-product Help topics do not display the correct formatting

In rare cases, you may open help and note that all the formatting looks wrong. Symptoms could be any of the following:

  • Fonts are large

  • Graphics don't show

  • Bullets in lists are missing

  • Formatting (such as bolded text) doesn't look right

This can happen if your computer cache is too full. To correct the issue:

  1. Close QuickBooks.

  2. Open your Internet browser.

  3. Go to the Tools menu and click Internet Options.

  4. On the General tab and click the Delete Files button.

  5. Open QuickBooks and then click Help to try again.

In-product Help window always displays the index, contents, or search results.

If you would prefer to just see the selected topic, click the Hide button at the top of the Help window. To show the index again, click Show.


Industry-specific information

This page provides information about the sources of industry-specific information in the QuickBooks help.

Contractors

Accounting Consulting for Contractors

Intuit would like to sincerely thank Karen Mitchell and Online Accounting for their contributions. For information on products and services offered by Online Accounting, see Go online Accounting consulting for the construction industry.

Craftsman Estimating Software and Books for Contractors

Intuit would also like to thank the Craftsman Book Company for use of content from The Contractor's Guide to QuickBooks Pro. For information, see Go online Craftsman estimating software and books for contractors

Manufacturing and Wholesale

Intuit would like to sincerely thank Karen Mitchell and Online Accounting for their contributions. For information about business and accounting products and services offered by Online Accounting, see Go online the Online Accounting Web site.

Nonprofits

Unified Chart of Accounts (UCOA)

QuickBooks Nonprofit Edition includes the UCOA © (Unified Chart of Accounts), developed by the California Association of Nonprofits (CAN) and the National Center for Charitable Statistics (NCCS). This tool helps to categorize transactions for IRS Form 990 and for other nonprofit reports.

QuickBooks for Not-for-Profit Organizations Book

Looking for a detailed guide on how to set up and use QuickBooks for your nonprofit organization? Buy "QuickBooks for Not-for-Profit Organizations" by Christine L. Manor, CPA MBA of The Sleeter Group. For more information or to order, call 925-416-6300.

Grant Tracking and Fund Accounting in QuickBooks booklet

Need more information about how to do grant tracking and fund accounting with QuickBooks? Buy "Grant Tracking and Fund Accounting" from Reality Check. This booklet was written by Phyllis Panzeter, a Certified QuickBooks ProAdvisor. For more information or to order, call 888-822-1742.

Professional service businesses

Intuit would like to sincerely thank Karen Mitchell and Online Accounting for their contributions. For information on products and services offered by Online Accounting, see Go online Accounting consulting for professional service businesses.

Retail businesses

Intuit would like to sincerely thank Doug Sleeter and the Sleeter Group for their many contributions.


Converting your company data from a non-Intuit product

QuickBooks can convert data from other Intuit products, such as Quicken, as well as from some other non-Intuit accounting products, like Peachtree Accounting.

If you've been using another financial software product and you'd like to import information from that product into QuickBooks, you can do so if the product allows you to export to a spreadsheet or text file. You can import lists that correspond to QuickBooks lists, budgets, and individual transactions.

See also

  • Converting to QuickBooks from Quicken

  • Converting to QuickBooks from Peachtree

  • Reference Guide to Import Files

  • Creating an import file

  • Importing transactions to QuickBooks


Chart of accounts (IIF reference)

Chart of accounts (ACCNT)

Import and export files can contain complete information about your chart of accounts. The keyword for the chart of accounts is ACCNT.

Column headings

The following table shows the column headings for a chart of accounts. The NAME and ACCNTTYPE columns are required.

NAME | (Required) The name of an account in your chart of accounts. If the account is a subaccount, the account's name includes the names of the parent accounts, beginning with the highest level account. If you are creating an import file, use a colon (:) to separate subaccount names.
TIMESTAMP | (Export files only) A unique number that identifies the company file from which you exported the chart of accounts.
REFNUM | (Export files only) A unique number that identifies the account in the list.
ACCNTTYPE | (Required) The type of account. If you are creating an import file, use one of the keywords below to indicate the account type:
 | AP | Accounts payable
 | AR | Accounts receivable
 | BANK | Checking or savings
 | CCARD | Credit card account
 | COGS | Cost of goods sold
 | EQUITY | Capital/Equity
 | EXEXP | Other expense
 | EXINC | Other income
 | EXP | Expense
 | FIXASSET | Fixed asset
 | INC | Income
 | LTLIAB | Long term liability
 | NONPOSTING | Non-posting account
 | OASSET | Other asset
 | OCASSET | Other current asset
 | OCLIAB | Other current liability
OBAMOUNT | The opening balance of the account. Leave the amount blank and import the account without an opening balance. If the account must have an opening balance, use the TRNS keyword to create an opening balance transaction for the account.
DESC | A brief description of the account.
SCD | The tax line assigned to the account. To specify the tax line, enter its number (tax line numbers come from the file BUSTAX.SCD). If you don't know the correct number, leave this field blank. You can always assign the tax line later, after you import the chart of accounts into QuickBooks.
ACCNUM | The account number of the account.
EXTRA | Identifies an account as one of the special balance sheet accounts that QuickBooks automatically creates when the need for the account arises. If you are creating an import file, use one of these keywords to identify the account:
 | OPENBAL | Opening Balance Equity
 | RETEARNINGS | Retained Earnings
 | SALESTAX | Sales Tax Payable
 | UNDEPOSIT | Undeposited Funds


Budgets (IIF reference)

Budgets (BUD)

Import and export files can contain complete information about your budgets. The keyword for a budget is BUD.

Column headings

The following table shows the column headings for a budget. Only the ACCNT and AMOUNT columns are required.

ACCNT | (Required) The name of the account to which this budget applies. If the account is a subaccount, the account's name includes the names of the parent accounts, beginning with the highest level account. If you are creating an import file, use a colon (:) to separate subaccount names.
PERIOD | A keyword that identifies the time intervals within the budget. Because QuickBooks only allows one month intervals in a budget, an export file always shows the keyword MONTH. If you are creating an import file, type MONTH.
AMOUNT | (Required) The budget amounts. Because a QuickBooks budget covers an entire year, an export file shows 12 amounts, one for each month of the year. If you are creating an import file, each month's amount must have its own column.
STARTDATE | The starting date of the budget. If you are creating an import file, enter the date in MM/DD/YY format. For example, 1/30/06.
CLASS | The name of the class that the budget applies to. If the class is a subclass, the class name includes the names of the parent classes, beginning with the highest level class. If you are creating an import file, use a colon (:) to separate subclass names.
CUSTOMER | The customer that the budget applies to. If you are applying the budget to a specific job for the customer, the customer name includes the job name. The customer's name comes first, then a colon (:), then the job name.


Class list (IIF reference)

Class list (CLASS)

Import and export files can contain the list of classes you use in QuickBooks. The keyword for the Class list is CLASS.

Column headings

The following table shows the column headings for the Class list. Only the NAME column is required.

NAME | (Required) The name of the class. If the class is a subclass of another class, the name includes the name of the parent classes, beginning with the highest level class. If you are creating an import file, use a colon (:) to separate subclass names.
TIMESTAMP | (Export files only) A unique number that identifies the company file from which you exported the Class list.
REFNUM | (Export files only) A unique number that identifies an entry in the list.


Customer Type list (IIF reference)

Customer Type list (CTYPE)

Import and export files can contain the list of customer types you use in QuickBooks. The keyword for the Customer Type list is CTYPE.

Column headings

The following table shows the column headings for the Customer Type list. Only the NAME column is required.

NAME | (Required) The customer type. If the customer type is a subtype of another customer type, the name includes the name of the parent types, beginning with the highest level type. If you are creating an import file, use a colon (:) to separate subtype names.
TIMESTAMP | (Export files only) A unique number that identifies the company file from which you exported the Customer Type list.
REFNUM | (Export files only) A unique number that identifies an entry in the list.


Customers & Jobs list (IIF reference)

Customers & Jobs list (CUST)

Import and export files can contain all the information on your Customer:Job list. The keyword for the Customers & Jobs list is CUST.

Column headings

The following table shows the column headings for the Customers & Jobs list. Only the NAME column is required.

NAME

(Required) The name of the customer. If a job name is included, the customer name appears first. If you are creating an import file, use a colon (:) to separate the customer name from the job name.

TIMESTAMP

(Export files only) A unique number that identifies the company file from which you exported the Customers & Jobs list.

REFNUM

(Export files only) A unique number that identifies an entry in the list.

BADDR1

The first line of the customer's billing address.

BADDR2

The second line of the customer's billing address.

BADDR3

The third line of the customer's billing address.

BADDR4

The fourth line of the customer's billing address.

BADDR5

The fifth line of the customer's billing address.

SADDR1

The first line of the customer's shipping address.

SADDR2

The second line of the customer's shipping address.

SADDR3

The third line of the customer's shipping address.

SADDR4

The fourth line of the customer's shipping address.

SADDR5

The fifth line of the customer's shipping address.

PHONE1

The customer's phone number.

PHONE2

The customer's alternate phone number.

FAXNUM

The customer's FAX number.

CONT1

The name of your primary contact with the customer.

CONT2

The name of an alternate contact with the customer.

CTYPE

Your classification for the customer. (QuickBooks calls this a "customer type."). If you import a customer type that is not on your Customer Type list, QuickBooks adds the new customer type to the list.

TERMS

The customer's payment terms with your company.

TAXABLE

Indicates whether you can charge sales tax to the customer. If you are creating an import file, type one of the following in the TAXABLE field:

If you can charge sales tax to this customer.

If you cannot charge sales tax to this customer.

LIMIT

The customer's credit limit with your company. If you are creating an import file, enter the dollar amount.

RESALENUM

The customer's resale number.

REP

Specifies the sales representative who deals with the customer. The sales representative will be added to the Sales Rep list and either the Vendor list, Employee list, or Other Names list.

Enter the following items, separated by colons (for example, John Smith:2:JS).

Name:

(Required) First and last name of the sales representative.

ListID:

(Required) Number of the list to which the sales representative should be added.

  1. Vendor

  2. Employee

  3. Other Names

Initials:

(Required) Initials of the sales representative.

TAXITEM

The name of the tax item you have assigned to this customer. The name you enter must correspond to one of the sales tax items on your Item list.

NOTEPAD

Your notes about the customer. If you are creating an import file, the notes appear in the Notepad window for the customer.

SALUTATION

The customer's salutation, or title (Mr., Ms., Doctor, etc.).

COMPANYNAME

The name of the customer's company.

FIRSTNAME

The customer's first name.

MIDINIT

The customer's middle initial.

LASTNAME

The customer's last name.

CUSTFLD1
CUSTFLD2
.
.

CUSTFLD 7

The custom field entries for the customer (you can have up to 7 custom field entries). Custom fields let you track special information about the customer, such as the customer's birthday or email address. What you use custom fields for is entirely up to you.

JOBDESC

A short description of the job you are performing for the customer.

JOBTYPE

A word or phrase you want to use to categorize the job you are performing for the customer. You can create reports based on job types.

JOBSTATUS

The status of the job you are performing for the customer. QuickBooks uses these terms to indicate job status:

Pending
Awarded
In progress
Closed
Not awarded

JOBSTART

The starting date of the job you are performing for the customer.

JOBPROJEND

The projected ending date of the job you are performing for the customer.

JOBEND

The ending date of the job you performed for the customer.

NOTE

The name or number of the account you want to associate with this customer. QuickBooks requires an account number if you want to set up this customer as an online payee. The payee uses this number to identify you.


Employee list (IIF reference)

Employee list (EMP)

Import and export files can contain all the information in your Employee list. The keyword for the Employee list is EMP.

Column headings

The following table shows the column headings for the Employee list. The NAME and INIT columns are required.

NAME | (Required) The name of the employee.
TIMESTAMP | (Export files only) A unique number that identifies the company file from which you exported the Employee list.
REFNUM | (Export files only) A unique number that identifies an entry in the list.
INIT | (Required) The employee's initials.
ADDR1 | The first line of the employee's address.
ADDR2 | The second line of the employee's address.
ADDR3 | The third line of the employee's address.
ADDR4 | The fourth line of the employee's address.
ADDR5 | The fifth line of the employee's address.
SSNO | The employee's Social Security number.
PHONE1 | The employee's phone number.
PHONE2 | An alternate phone number for the employee.
NOTEPAD | Your notes about the employee. If you are creating an import file, the notes appear in the Notepad window for the employee.
FIRSTNAME | The employee's first name.
MIDINIT | The employee's middle initial.
LASTNAME | The employee's last name.
SALUTATION | The employee's salutation, or title (Mr., Ms., Doctor, etc.).
CUSTFLD1 CUSTFLD2 . . CUSTFLD7 | The custom field entries for the employee (you can have up to 7 custom field entries). Custom fields let you track special information about the employee, such as the employee's birthday or email address. What you use custom fields for is entirely up to you.
NOTE | The name or number of the account you want to associate with this employee. QuickBooks requires an account number if you want to set up this employee as an online payee. The payee uses this number to identify you.


Payroll record (IIF reference)

Employee payroll record (QBP EMPLOYEE)

Import and export files can contain the payroll records for your employees. Because of the complexity of payroll records, there are four keywords for payroll records: QBP EMPLOYEE, CUSTOMPI, HOURLYPI, LOCALPI. Each keyword has its own column headings. For each employee record, there is one QBP EMPLOYEE line (or row). Immediately following, there can be up to 10 CUSTOMPI lines, up to 8 HOURLYPI lines, and up to 2 LOCALPI lines. The keyword ENDQBPEMP (in a line by itself) indicates the end of an employee's record.

Columns for QBP EMPLOYEE

The following table shows the column headings for QBP EMPLOYEE. The NAME and PAYPERIOD columns are required.

NAME | (Required) The name of the employee.
TIMESTAMP | (Export files only) A unique number that identifies the company file from which you exported the Employee list.
REFNUM | (Export files only) A unique number that identifies an entry in the list.
SALARY | The employee's yearly salary. Omit this field if you pay the employee an hourly wage.
PAYPERIOD | (Required) A keyword that identifies the pay period for the employee. If you are creating an import file, use one of these keywords:
 | DAILY | You pay the employee each business day.
 | WEEKLY | You pay the employee once a week.
 | BIWEEKLY | You pay the employee every two weeks (26 times a year).
 | SEMIMONTHLY | You pay the employee twice each month (24 times a year).
 | MONTHLY | You pay the employee once a month (12 times a year).
 | QUARTERLY | You pay the employee once a quarter (4 times a year).
 | YEARLY | You pay the employee once a year.
CLASS | The name of the class that applies to the employee. If the class is a subclass, the class name includes the names of the parent classes, beginning with the highest level class. A colon (:) separates each class name.
NUMCUSTOM | The number of "custom" payroll items in the employee's payroll record. A custom payroll item can be either a deduction, addition, commission, or company contribution payroll item. If there are no custom payroll items in the employee's record, type 0.
NUMHOURLY | The number of hour wage payroll items in the employee's payroll record. If there are none, type 0.
HIREDATE | The date you hired the employee. The date is always in MM/DD/YY format. For example, 1/30/98.
RELASEDATE | The date you released the employee. The date is always in MM/DD/YY format. For example, 1/30/98.
FEDSTATUS | A keyword that indicates the employee's federal tax filing status. If you are creating an import file, use one of these keywords:
 | SINGLE | If the employee's filing status is "single."
 | MARRIED | If the employee's filing status is "married."
 | HEADOFHOUSE | If the employee's filing status is "head of household."
FEDALLOW | The number of federal allowances the employee claimed on his or her W-4 form. If the employee claimed no allowances, type 0.
FEDEXTRA | The amount of extra federal withholding for the employee. If you are not collecting extra federal withholding for the employee, type 0.
STATESWH | The two letter state abbreviation for the state for which the employee is subject to state withholding tax. If the employee is not subject to state withholding tax, type NONE.
STATESDI | The two letter state abbreviation for the state for which the employee is subject to state disability tax. If the employee is not subject to state disability tax, type NONE.
STATESUI | The two letter state abbreviation for the state for which the employee is subject to state unemployment insurance tax. If the employee is not subject to state unemployment insurance tax, type NONE.
PAYITEMSWH | The name of the payroll item that tracks state withholding tax for this employee. If the employee is not subject to state withholding tax, type NONE.
PAYITEMSSDI | The name of the payroll item that tracks state disability tax for this employee. If the employee is not subject to state disability tax, type NONE.
PAYITEMSSUI | The name of the payroll item that tracks state unemployment insurance tax for this employee. If the employee is not subject to state unemployment insurance tax, type NONE.
STATESTATUS | A keyword that indicates the employee's state tax filing status. If you are creating an import file, use one of these keywords:
 | SINGLE | If the employee's filing status is "single."
 | MARRIED | If the employee's filing status is "married."
 | HEADOFHOUSE | If the employee's filing status is "head of household."
STATEALLOW | The number of state allowances for the employee. If the employee claims no allowances, type 0.
STATEEXTRA | The amount of extra state withholding for the employee. If you are not collecting extra state withholding for the employee, type 0.
STATEMISC | The information that goes into the Misc field on the employee's state withholding form. For details on how to fill in this field for your state, see Appendix A of your "Installation and Conversion Guide."
FEDTAX | A keyword that indicates whether the employee is subject to federal income tax. If you are creating an import file, use one of these keywords:
 | Y | Yes.
 | N | No.
SSEC | A keyword that indicates whether the employee is subject to social security withholding tax. If you are creating an import file, use one of these keywords:
 | Y | Yes.
 | N | No.
MCARE | A keyword that indicates whether the employee is subject to Medicare withholding tax. If you are creating an import file, use one of these keywords:
 | Y | Yes.
 | N | No.
FUTA | A keyword that indicates whether the employee is subject to federal unemployment tax. If you are creating an import file, use one of these keywords:
 | Y | Yes.
 | N | No.

Columns for CUSTOMPI

The following table shows the column headings for CUSTOMPI (custom payroll items). Each employee record can have up to 10 custom payroll items. The PAYITEM column is required.

PAYITEM | (Required) The name of the deduction, addition, commission, or company contribution payroll item.
AMOUNT | The rate or amount of the payroll item. If you are creating an import file, be sure to include a percent sign if the item is based on a percentage rate. If the item is to be subtracted from employees' pay, include a minus sign before the rate or amount.
LIMIT | The annual limit, in dollars, of the payroll item. For deductions from pay, this is the maximum amount that can be deducted from an employee's pay in one year. For additions to pay, this is the maximum amount that can be added to an employee's pay in one year. If you are creating an import file, be sure to enter an minus sign for all deductions.

Columns for HOURLYPI

The following table shows the column headings for HOURLYPI (hourly wage payroll items). Each employee record can have up to 8 hourly wage payroll items. Both columns are required.

PAYITEM | (Required) The name of the hourly wage payroll item.
AMOUNT | (Required) The hourly rate for the employee.

Columns for LOCALPI

The following table shows the column headings for LOCALPI (local tax payroll items). Each employee record can have up to 2 local tax payroll items. The PAYITEM and LOCALITY columns are required.

PAYITEM | (Required) The name of the local tax payroll item.
AMOUNT | The rate or amount of the payroll item. If you are creating an import file, be sure to include a percent sign if the item is based on a percentage rate. If the item is to be subtracted from employees' pay, include a minus sign before the rate or amount.
LIMIT | The annual limit, in dollars, of the payroll item. For deductions from pay, this is the maximum amount that can be deducted from an employee's pay in one year. For additions to pay, this is the maximum amount that can be added to an employee's pay in one year. If you are creating an import file, be sure to enter an minus sign for all deductions.
LOCALITY | Identifies one of the local taxes on QuickBooks preset list of local taxes. If you are creating an import file, use one of these keywords:
 | INDIANA_ COUNTY (one word) | Indiana counties
 | MICHIGAN_ CITY (one word) | Michigan cities
 | NYC_NON_ RESIDENT (one word) | New York City nonresident
 | NYC_RESIDENT | New York City resident
 | OHIO_SCHOOL | Ohio school district
 | YONKERS_NON_ RESIDENT (one word) | Yonkers nonresident
 | YONKERS_ RESIDENT (one word) | Yonkers resident


Header information (IIF reference)

Header information (HDR)

An export file always begins with a header that shows the version and release numbers of the QuickBooks software used to create the file. The keyword for the header is HDR.

If you are creating a file to import, you do not need to include a header.

Column headings

The following table shows the column headings that appear in the header:

PROD | Identifies the Intuit product that created the export file.
VER | The version number of the QuickBooks software that created the export file.
REL | The release number of the QuickBooks software that created the export file.
IIFVER | The version number of the export file format (.IIF).
DATE | The date the export file was created.
TIME | The time the export file was created.


Item list (IIF reference)

Item list (INVITEM)

Import and export files can contain all the information on your Item list. The keyword for an entry in the list is INVITEM.

Column headings

The following table shows the column headings for the Item list. The NAME, INVITEMTYPE, and ACCNT columns are required.

NAME | (Required) The name of the invoice item.
TIMESTAMP | (Export files only) A unique number that identifies the company file from which you exported the Item list.
REFNUM | (Export files only) A unique number that identifies an entry in the list.
INVITEMTYPE | (Required) Indicates the type of invoice item. If you are creating an import file, use one of these keywords to indicate the item type.
 | COMPTAX | Sales tax item
 | DISC | Discount item
 | GRP | Group item (groups several invoice items into a single item)
 | INVENTORY | Inventory part item
 | OTHC | Other charge item
 | PART | Non-inventory part item
 | PMT | Payment item
 | SERV | Service item
 | STAX | Sales tax group item
 | SUBT | Subtotal item
DESC | A description of the item as you want it to appear in the Description column on invoices, credit memos, and sales receipts.
PURCHASEDESC | (Inventory part items only) A description of the item as you want it to appear on purchase orders.
ACCNT | (Required) The name of the income account you use to track sales of the item. The type of this account should be INC.
ASSETACCNT | (Inventory part items only) The name of the asset account you use to track the value of your inventory. The type of this account should be OASSET.
COGSACCNT | (Inventory part items only) The name of the account you use to track the cost of your sales. The type of this account should be COGS.
PRICE | (All item types except group, payment, and subtotal) The rate or price you charge for the item. If you are creating an import file, add a percent sign (%) if the amount is a percentage.
COST | (Inventory part items only) The unit cost of the item.
TAXABLE | (Discount, other charges, part, and service items only) Indicates whether the item is taxable. If you are creating an import file, enter one of these keywords in the TAXABLE field:
 | Y | Yes. The item is taxable.
 | N | No. The item is not taxable.
PAYMETH | (Payment items only) The payment method customers use (check, Visa, etc.).
TAXVEND | (Sales tax items only) The name of the agency to which you pay sales tax.
TAXDIST | (Sales tax items only) The name of your tax district.
TOPRINT | (Group items only) Indicates whether QuickBooks includes a list of the items in the group when you print an invoice, credit memo, or sales receipt. If you are creating an import file, enter one of these keywords in the TOPRINT field:
 | Y | Yes. QuickBooks lists each item.
 | N | No. QuickBooks adds a one line summary instead of listing the individual items.
PREFVEND | (Inventory part items only) The name of the vendor from whom you normally purchase the item.
REORDERPOINT | (Inventory part items only) The minimum quantity you want to keep in stock at any given time. When your inventory reaches this level, QuickBooks informs you that it is time to reorder the item.
EXTRA | Adds additional information about the invoice item. These keywords can appear in the EXTRA field:
 | AUTOSTAX | Identifies a sales tax item as the automatic tax rate you set up for your QuickBooks company.
 | REXPGROUP | Indicates that the item is a group of reimbursable expenses that you included on the invoice.
 | REXPSUBTOT | Indicates that the item is the subtotal amount for a group of reimbursable expenses you included on the invoice.
CUSTFLD1 CUSTFLD2 . . CUSTFLD5 | The custom field entries for the item (you can have up to 5 custom field entries). Custom fields let you track special information about the item, such as color, unit or measure, or size. What you use custom fields for is entirely up to you.
DEP_TYPE | (Payment items only) Indicates how you want QuickBooks to handle deposits of the payment item.
 | 1 | You want QuickBooks to deposit the payment in the bank account of your choice when you record the payment. The payment does not go into the Undeposited Funds account, and you do not have to use the Make Deposits window to deposit the payment.
 | 0 | You want QuickBooks to "hold" all the payments in a special account named Undeposited Funds. To move the payments to a bank account, you must use the Make Deposits window to group the payments into one deposit.
ISPASSEDTHRU | (Service, non-inventory part, and other charge items) Indicates whether you pass the item through as an expense to the customer.
 | Y | Yes. You pass the item through as an expense.
 | N | No. You do not pass the item through as an expense.


Customer Message list (IIF reference)

Customer Message list (INVMEMO)

Import and export files can contain the list of customer messages you use in QuickBooks. The keyword for the Customer Message list is INVMEMO.

Column headings

The following table shows the column headings for the Customer Message list. Only the NAME column is required.

NAME | (Required) The text of the customer message.
TIMESTAMP | (Export files only) A unique number that identifies the company file from which you exported the Customer Message list.
REFNUM | (Export files only) A unique number that identifies an entry in the list.


Other Names list (IIF reference)

Other Names list (OTHERNAME)

Import and export files can contain all the information in your Other Names list. The keyword for the Other Names list is OTHERNAME.

Headings for the Other Names list

The following table shows the column headings for the Other Names list. Only the NAME column is required.

NAME | (Required) A name or entry on the list.
TIMESTAMP | (Export files only) A unique number that identifies the company file from which you exported the Other Names list.
REFNUM | (Export files only) A unique number that identifies an entry in the list.
BADDR1 | The first line of the person's address.
BADDR2 | The second line of the person's address.
BADDR3 | The third line of the person's address.
BADDR4 | The fourth line of the person's address.
BADDR5 | The fifth line of the person's address.
PHONE1 | The person's phone number.
PHONE2 | The person's alternate phone number.
FAXNUM | The person's FAX number.
CONT1 | The name of your primary contact.
NOTEPAD | Your notes about this person. If you are creating an import file, the notes appear in the Notepad window for this person.
SALUTATION | The person's salutation, or title (Mr., Ms., Doctor, etc.).
COMPANYNAME | The name of the person's company.
FIRSTNAME | The person's first name.
MIDINIT | The person's middle initial.
LASTNAME | The person's last name.
NOTE | The name or number of the account you want to associate with this person. QuickBooks requires an account number if you want to set up this person as an online payee. The payee uses this number to identify you.


Payment Method list (IIF reference)

Payment Method list (PAYMETH)

Import and export files can contain the list of payment methods you use in QuickBooks. The keyword for the Payment Method list is PAYMETH.

Headings for the Payment method list

The following table shows the headings that QuickBooks recognizes in the Payment Method list. Only the NAME column is required.

NAME | (Required) The name of the payment method.
TIMESTAMP | (Export files only) A unique number that identifies the company file from which you exported the Payment Method list.
REFNUM | (Export files only) A unique number that identifies an entry in the list.


Ship Via list (IIF reference)

Ship Via list (SHIPMETH)

Import and export files can contain the list of shipping methods you use in QuickBooks. The keyword for the Ship Via list is SHIPMETH.

Column headings

The following table shows the column headings for the Ship Via list. Only the NAME column is required.

NAME | (Required) The name of the shipping method.
TIMESTAMP | (Export files only) A unique number that identifies the company file from which you exported the Ship Via list.
REFNUM | (Export files only) A unique number that identifies an entry in the list.


Terms list (IIF reference)

Terms list (TERMS)

Import and export files can contain all the information in your Terms list. The keyword for the Terms list is TERMS.

Headings for the Terms list

The following table shows the column headings for the Terms list. Only the NAME column is required.

NAME | (Required) Your name for the payment terms.
TIMESTAMP | (Export files only) A unique number that identifies the company file from which you exported the Terms list.
REFNUM | (Export files only) A unique number that identifies an entry in the list.
DUEDAYS | When TERMSTYPE = 0, the number of days in which payment is due. When TERMSTYPE = 1, the day of the month by which payment is due.
DISCPER | The discount percentage earned for early payment. If you are creating an import file, enter the percent number.
DISCDAYS | The number of days by which an early payment can earn the discount specified by DISCPER.
TERMSTYPE | Indicates the type of terms you are setting up. Type 0 for "standard terms" (payment to be made within a specific number of days), or type 1 for "date driven" terms (payment to be made by a certain date of the month).


Timer data (IIF reference)

Header for Timer data (TIMERHDR)

Data you export from or import to the QuickBooks Timer always begins with a header block. The keyword for the header is TIMERHDR. The header block can be followed by either activity data (TIMEACT) you are importing from the Timer, or list data (CUST, EMP, INVITEM, VEND, OTHERNAME, and CLASS) you are importing to the Timer.

Column headings

The following table shows the column headings that appear in the header:

VER | The version number of the QuickBooks Timer.
REL | The release number of the QuickBooks Timer.
COMPANYNAME | The name of your QuickBooks company. Enter the name as it appears in the Company Information window in QuickBooks.
FROMTIMER | Indicates whether you exporting data from the Timer or importing data to the Timer. Enter one of these values:
 | Y | If you are importing activity data from the Timer to QuickBooks.
 | N | If you are exporting list data from QuickBooks to the Timer.
COMPANYCREATETIME | A unique number that comes from your QuickBooks company file when you export lists to the Timer. The number identifies which company file the lists came from. You can see an example of this number by exporting your lists to the Timer and opening the .IIF file that QuickBooks creates.


Activities timed with the Timer (IIF reference)

Activities timed with the Timer (TIMEACT)

You can import data about the activities you time with the Timer to QuickBooks. The keyword for activity data is TIMEACT. Timer activity data must begin with the Timer header block (TIMERHDR).

Column headings

The following table shows the column headings for activity data:

DATE | The date the activity was performed. Enter the date in a MM/DD/YY format. For example, you would enter June 21, 1997 as 06/21/97.
JOB | The name of the customer (or job) for whom the activity was performed. If you're entering the name of a job, enter the customer's name followed by a colon followed by the name of the job. Both the customer and the job names must also be on your Customers & Jobs list (CUST).
EMP | The name of the employee who performed the activity. The employee's name must also be on your Employee list (EMP).
ITEM | The name of the service item assigned to the activity (a service item indicates the type of work performed). The service item must also be on your Item list (INVITEM).
PITEM | Leave blank. This field is not used in QuickBooks.
DURATION | The duration of the activity in hours and minutes. Enter the duration in an HH:MM format. For example, if the activity lasted 4 hours and 15 minutes, you would enter 4:15. The duration cannot be greater than 23:59.
PROJ | The QuickBooks class assigned to the activity (classes give you a way to group activities in meaningful ways in time reports). The Class must also be on your Class list (CLASS).
NOTE | Your notes about the activity. You may enter up to 1000 characters, but the characters must be on a single line within the field. To indicate a line break in the note, type /n.
BILLINGSTATUS | Indicates the billing status of the activity. Enter one of these values:
 | 0 | The activity is not billable to the customer or job specified in the Job field. Enter this value if the activity is part of your company overhead.
 | 1 | The activity is billable but has not yet been billed to the customer or job specified in the Job field.
 | 2 | The activity has already been billed to the customer or job specified in the Job field.


To Do list (IIF reference)

To Do list (TODO)

Import and export files can contain all the information on your To Do list. The keyword for the To Do list is TODO.

Column headings

The following table shows the column headings for the To Do list.

REFNUM | (Export files only) A unique number that identifies an entry in the list.
ISDONE | Indicates whether the task is complete. If you are creating an import file, enter one of these keywords in the ISDONE column:
 | Y | Yes.
 | N | No.
DATE | The date you want QuickBooks to place the task on your Reminders list.
DESC | Your notes about the task.


Transactions (IIF reference)

Transactions (TRNS and SPL)

Import files can contain information about transactions.

Note: You cannot export transactions from QuickBooks.

The keyword for a transaction is TRNS; the keyword for each distribution line is SPL.

The distribution lines appear immediately below the transaction. The keyword ENDTRNS appears after the last distribution line. In an import file, the first column for a transaction that has three distribution lines would look like this:

TRNS

SPL

SPL

SPL

ENDTRNS

Column headings for transactions

The following table shows the column headings for transactions. The TRNSTYPE, ACCNT, and AMOUNT columns are required.

TRNSID | A unique number that identifies the transaction.
TIMESTAMP | A second unique number that works with TRNSID to identify the transaction.
TRNSTYPE | (Required) A keyword that identifies the type of transaction. These keywords can appear in the TRNSTYPE field:
 | BEGINBALCHECK | Transactions that create a beginning balance in a balance sheet account
 | BILL | Bills from vendors
 | BILL REFUND | Refunds from a vendor
 | CASH REFUND | Cash refunds you give to customers
 | CASH SALE | Sales receipts
 | CCARD REFUND | Refunds you receive on credit card charges
 | CHECK | Checks
 | CREDIT CARD | Charges you make on a credit card
 | CREDIT MEMO | Credit you give to customers for merchandise they return
 | DEPOSIT | Bank or money market deposits
 | ESTIMATES | Estimates or bids
 | GENERAL JOURNAL | General journal transactions
 | INVOICE | Invoices
 | PAYMENT | Customer payments
 | PURCHORD | Purchase orders
 | TRANSFER | Transfers of funds from one balance sheet account to another
DATE | The date of the transaction. The date is always in MM/DD/YY format. For example, 1/30/94.
ACCNT | (Required) The name of the account assigned to the transaction.
NAME | The name of the customer, vendor, payee, or employee.
CLASS | The name of the class that applies to the transaction. If the class is a subclass, the class name includes the names of the parent classes, beginning with the highest level class. A colon (:) separates each class name.
AMOUNT | (Required) The amount of the transaction. Debit amounts are always positive, credit amounts are always negative.
DOCNUM | The number of the transaction. For checks, the number is the check number; for invoices, the number is the invoice number; etc.
MEMO | The memo text associated with the transaction.
CLEAR | Indicates whether the transaction has cleared. These keywords can appear in the CLEAR field:
 | Y | Yes. The transaction has cleared.
 | N | No. The transaction hasn't cleared.
TOPRINT | Indicates whether a check, invoice, credit memo, or sales receipt has been marked as "To be printed." These keywords can appear in the TOPRINT field:
 | Y | Yes
 | N | No
ADDR1 | The first line of the customer's, vendor's, payee's, or employee's address.
ADDR2 | The second line of the customer's, vendor's, payee's, or employee's address.
ADDR3 | The third line of the customer's, vendor's, payee's, or employee's address.
ADDR4 | The fourth line of the customer's, vendor's, payee's, or employee's address.
ADDR5 | The fifth line of the customer's, vendor's, payee's, or employee's address.
DUEDATE | (Bills and invoices only) The due date of the bill payment or invoice payment. The date is always in MM/DD/YY format. For example, 1/30/98.
TERMS | (Invoices only) The terms of the invoice.
PAID | (Invoices only) Indicates whether an invoice has been paid in full. These keywords can appear in the PAID field:
 | Y | Yes. The invoice has been paid in full.
 | N | No. The invoice is either partially paid or unpaid.
PAYMETH | (Sales receipts only) The method your customer used to pay for the merchandise.
SHIPVIA | (Invoices and sales receipts only) The method you used to ship the merchandise.
SHIPDATE | (Invoices and sales receipts only) The shipping date. If you are creating an import file, enter the date in MM/DD/YY format. For example, 1/30/94.
REP | (Invoices and sales receipts only) The initials of the sales representative or employee who made the sale.
FOB | (Invoices, credit memos, and cash sales only) The location where you delivered the merchandise—free of charge—to a carrier for shipment.
PONUM | (Invoices and credit memos only) The customer's purchase order number.
INVTITLE | (Invoices, credit memos, and sales receipts only) The title that appears on the invoice, credit memo, or sales receipt.
INVMEMO | (Invoices, credit memos, and sales receipts only) Your message to the customer—as it appears on the invoice, credit memo, or sales receipt.
SADDR1 | (Invoices and sales receipts only) The first line of the customer's shipping address.
SADDR2 | (Invoices and sales receipts only) The second line of the customer's shipping address.
SADDR3 | (Invoices and sales receipts only) The third line of the customer's shipping address.
SADDR4 | (Invoices and sales receipts only) The fourth line of the customer's shipping address.
SADDR5 | (Invoices and sales receipts only) The fifth line of the customer's shipping address.
NAMEISTAXABLE | (Invoices and sales receipts only) Indicates whether the customer whose name appears in the transaction is taxable.
 | Y | Yes. The customer is taxable.
 | N | No. The customer is not taxable.

Column headings for distribution lines

The following table shows the column headings for distribution lines:

SPLID | (Required) A unique number that identifies the distribution line in the transaction.
TRNSTYPE | A keyword that indicates the type of transaction. The keyword in this field must match the keyword in the TRNSTYPE field for the transaction. The keyword will be one of the following:
 | BILL | Bills from vendors
 | CHECK | Checks
 | DEPOSIT | Bank or money market deposits
 | INVOICE | Invoices
 | PAYMENT | Customer payments
DATE | The date of the transaction. The date in this field must match the date in the DATE field for the transaction.
ACCNT | (Required) The income or expense account to which you assigned the amount on the distribution line.
NAME | The name of the customer, vendor, payee, or employee.
CLASS | The name of the class that applies to the distribution amount. If the class is a subclass, the class name includes the names of the parent classes, beginning with the highest level class. A colon (:) separates each class name.
AMOUNT | (Required) The distribution amount. Credit amounts are negative.
DOCNUM | The number of the transaction. For checks, the number is the check number; for invoices, the number is the invoice number, etc.
MEMO | The memo text associated with the distribution line.
CLEAR | Indicates whether the distribution amount has cleared. These keywords can appear in the CLEAR field:
 | Y | Yes. The amount has cleared.
 | N | No. The amount hasn't cleared.
PRICE | The unit cost of the item.
QNTY | The number of items sold. This value is part of a line item on an invoice, credit memo, or sales receipt.
INVITEM | The type of items sold. This value is part of a line item on an invoice, credit memo, or sales receipt.
PAYMETH | On a sales receipt, indicates the method of payment (check, credit card, etc.) that the customer used.
TAXABLE | Indicates that a line item on an invoice, credit memo, or sales receipt is taxable.
REIMBEXP | Indicates the status of the distribution amount as a reimbursable expense. These codes can appear under REIMBEXP:
 | NONEED | Indicates that the distribution amount does not qualify as a reimbursable expense.
 | NOTHING | Indicates that the distribution amount can be billed to a customer as a reimbursable expense.
 | THISWAS | Indicates that the distribution amount is a reimbursable expense that appears on an invoice or sales receipt.
 | HASBEEN | Identifies a distribution amount on a check that has been billed to a customer as a reimbursable expense.
EXTRA | Adds additional information about the distribution line. These keywords can appear in the EXTRA field:
 | ENDGRP | (Invoices, credit memos, and sales receipts only) Indicates that the distribution line is the last item of an invoice item group.
 | AUTOSTAX | Identifies a sales tax item as the automatic tax rate you set up for your QuickBooks company.

VALDAJ

(Inventory) Indicates whether the amount in a detail line is an inventory value adjustment.

Y | Yes. The amount is an inventory value adjustment.
N | No. The amount is not an inventory value adjustment.


Vendor list (IIF reference)

Vendor list (VEND)

Import and export files can contain all the information in your Vendor list. The keyword for the Vendor list is VEND.

Column headings

The following table shows the column headings for the Vendor list. Only the NAME column is required.

NAME | (Required) The name of the vendor.
TIMESTAMP | (Export files only) A unique number that identifies the company file from which you exported the Vendor list.
REFNUM | (Export files only) A unique number that identifies an entry in the list.
PRINTAS | The name you would like checks to be made out to. This field allows you to make checks out to a different name than the name that appears on your Vendor list.
ADDR1 | The first line of the vendor's address.
ADDR2 | The second line of the vendor's address.
ADDR3 | The third line of the vendor's address.
ADDR4 | The fourth line of the vendor's address.
ADDR5 | The fifth line of the vendor's address.
VTYPE | Your classification for the vendor (QuickBooks calls this a "vendor type"). If you import a vendor type that is not on your Vendor Type list, QuickBooks adds the new vendor type to the list.
CONT1 | The name of your primary contact with the vendor.
PHONE1 | The vendor's phone number.
PHONE2 | The vendor's alternate phone number.
FAXNUM | The vendor's FAX number.
NOTE | A short note or phrase you want to associate with the vendor. QuickBooks automatically puts your note in the Memo field of checks you send to the vendor.
TAXID | The vendor's tax identification number.
LIMIT | Your credit limit with the vendor. If you are creating an import file, enter the dollar amount.
TERMS | Your payment terms with the vendor.
NOTEPAD | Your notes about the vendor. If you are creating an import file, the notes appear in the Notepad window for the vendor.
SALUTATION | The vendor's salutation, or title (Mr., Ms., Doctor, etc.).
COMPANYNAME | The name of the vendor's company.
FIRSTNAME | The vendor's first name.
MIDINIT | The vendor's middle initial.
LASTNAME | The vendor's last name.
CUSTFLD1 CUSTFLD2 . . CUSTFLD7 | The custom field entries for the vendor (you can have up to 7 custom field entries). Custom fields let you track special information about the vendor, such as the vendor's birthday or e-mail address. What you use custom fields for is entirely up to you.
1099 | Indicates whether you file a 1099-MISC form for this vendor. If you are creating an import file, enter one of these keywords in the 1099 field:
 | Y | Yes. You file a 1099-MISC form for this vendor.
 | N | No. You do not file a 1099-MISC form for this vendor.
NOTE | The name or number of the account you want to associate with this vendor. QuickBooks requires an account number if you want to set up this vendor as an online payee. The payee uses this number to identify you.


Vendor Type list (IIF reference)

Vendor Type list (VTYPE)

Import and export files can contain the list of vendor types you use in QuickBooks. The keyword for the Vendor Type list is VTYPE.

Column headings

The following table shows the column headings for the Vendor Type list. Only the NAME column is required.

NAME | (Required) The vendor type. If the vendor type is a subtype of another vendor type, the name includes the name of the parent types, beginning with the highest level type. If you are creating an import file, use a colon (:) to separate subtype names.
TIMESTAMP | (Export files only) A unique number that identifies the company file from which you exported the Vendor Type list.
REFNUM | (Export files only) A unique number that identifies an entry in the list.


Reference guide to import files

The files that QuickBooks exports and imports are text files. The best way to view an export or import file is to open it from a spreadsheet program—that way, you'll see the data laid out into rows and columns. If you don't have a spreadsheet program, you can also view an export file in a word processor.

When you view the file, you'll see keywords in capital letters that serve as row and column headings. The keywords that appear at the beginning of each row identify the type of information in that row. For example, the keyword CUST indicates that the row contains data about a customer on your Customers & Jobs list.

Rows that begin with the same keyword are grouped together. For example, all of the CUST entries from your Customer:Job list appear as a single block of rows in the file. Each block, in turn, has its own column headings that appear in capital letters in the cells of the first row in the block. The column headings identify the type of information that each column in the block contains.

For details about the column headings that belong to a particular block of information, click the keyword for that block in the list below:

ACCNT (chart of accounts) | PAYMETH (Payment Method list)
BUD (budgets) | SHIPMETH (Ship Via list)
CLASS (Class list) | SPL (Distribution lines)
CTYPE (Customer Type list) | TERMS (Terms list)
CUST (Customers & Jobs list) | TODO (To Do list)
EMP (Employee list) | TRNS (Transactions)
HDR (header information) | VEND (Vendor list)
INVITEM (Item list) | VTYPE (Vendor Type list)
INVMEMO (Customer Message list) | TIMERHDR (Header for Timer data)
OTHERNAME (Other Names list) | TIMEACT (activities timed with the Timer)

See also

  • Creating an import file

  • Importing transactions to QuickBooks


Creating an import file

Note: These instructions are rather long. You may want to print them instead of reading them onscreen. To print them, click the print button in this help file and choose Print the selected topic.

If you've been using another financial software product, and you'd like to import information from that product into QuickBooks, you can do so if the product allows you to export to a spreadsheet or text file.

This topic describes how to format information in a spreadsheet and save it as an import (IIF) file that QuickBooks can read. Using an IIF file, you can import information for your QuickBooks lists, budgets, and transactions. When formatting the IIF files, you may want to refer to the Reference Guide to Import Files.

If you already have a correctly formatted IIF file, go directly to step 10 below.

The easiest way to see and understand the format QuickBooks needs to import data is to export some of your QuickBooks lists to IIF files and view the resulting file in a spreadsheet. If you don't already have a QuickBooks company, you can export lists from the sample data (sample_product-based business.qbw or sample_service-based business.qbw).

  1. Open the spreadsheet that contains the data.

  2. Move the contents of all the cells in your spreadsheet one column to the right so that the first column is blank.

  3. Move the contents of all the cells down by one row so that the first row is blank.

  4. Check the structure of the spreadsheet. If it contains more than one type of list—or a mixture of lists, budgets, and transactions—make sure that each type of information has its own block in the spreadsheet. The blocks should follow each other vertically. Insert a blank row of cells to separate the blocks.

    For example, if you have a list of customers and a list of vendors, all the customer data should be in one block and all the vendor information should be in another block.

  5. In the first cell in the blank row above each block of information, enter one of the keywords shown in this table. Be sure to include the exclamation point (!).

    Type this text...

    If the block contains...

    !ACCNT

    Details about your chart of accounts.

    !CUST

    A customer address or phone list.

    !VEND

    A vendor address or phone list.

    !EMP

    A list of employees.

    !OTHERNAME

    A list of names you'd like to add to QuickBooks Other Name list.

    !BUD

    Budget details.

    !CLASS

    A list of general classifications you'd like to add to QuickBooks Class list.

    !CTYPE

    A list of customer classifications you'd like to add to QuickBooks Customer Type list.

    !INVITEM

    Details about the line items you use on sales and purchase forms.

    !INVMEMO

    Messages you'd like to add to QuickBooks Customer Message list.

    !PAYMETH

    A list of payment methods you'd like to add to QuickBooks Payment Method list.

    !SHIPMETH

    A list of shipping methods you'd like to add to QuickBooks Ship Via list.

    !TERMS

    A list of payment terms you'd like to add to QuickBooks Terms list.

    !TIMEACT

    Details about activities you timed with the QuickBooks Timer. Works with !TIMERHDR.

    !TIMERHDR

    QuickBooks Timer data.

    !TODO

    A list of upcoming "to do" tasks you want QuickBooks to remind you about.

    !TRNS

    Transactions.

    !VTYPE

    A list of vendor classifications you'd like to add to QuickBooks Vendor Type list.

    For example, if the spreadsheet contains a list of customers and a list of vendors, the structure of the spreadsheet would be as follows:

    41 !CUST

    42 [List of customers]

    43 !VEND

    44 [List of vendors]

  6. Fill in the remaining cells of the first column with the keyword you entered in the first row for each informational block. This time, omit the exclamation point.

    In our example, the first column would look like this:

    0 !CUST

    1 CUST

    2 CUST

    3 [etc.]

    4 !VEND

    5 VEND

    6 VEND

    7 [etc.]

  7. Complete the first row for each list by adding the headings that QuickBooks expects to find for that type of information. To see a list of the headings you can use, click the type of information you are importing:

    Chart of accounts

    Payment Method list

    Budgets

    Ship Via list

    Class list

    Terms list

    Customer Type list

    To Do list

    Customer:Job list

    Vendor list

    Employee list

    Vendor Type list

    Item list

    Transactions

    Customer Message list

    Distribution lines in transactions

    Other Names list

    Activities timed with the QuickBooks Timer

    For example, the first row for a list of vendor names, addresses, and phone numbers would look like this:

    30 !VEND NAME ADDR1 ADDR2 ADDR3 ADDR4 ADDR5 PHONE1 PHONE2

  8. Make sure that the content of the columns in each block matches the headings you just added:

    • If you have a vendor's entire address in one column, you need to break it up so that the first line of the address appears under the ADDR1 column, the second line under the ADDR2 column, and so on.

    • You may have some columns that are filled with information, but you could find no heading that matched the information. In this case, consider moving the material in those columns to the NOTES column.

  9. Save the spreadsheet as a text file. (The columns must be separated by tabs or commas.) Add an .IIF extension to the filename.

  10. Start QuickBooks. Go to the File menu, choose Utilities, choose Import, and click IIF Files. Enter the name and path of the file you just created. Click OK.

What happens

QuickBooks adds the data to your company file, updating any lists as needed. For example, if you have imported a list of vendors, QuickBooks adds the new vendor names to your Vendor list.

See also

  • Reference Guide to Import Files

  • Importing transactions to QuickBooks


Importing transactions to QuickBooks

Note: These instructions are rather long. You may want to print them instead of reading them onscreen. To print them, click the print icon in the upper right of this Help window.

You can import transactions to QuickBooks, provided that the transaction data is in a text file that conforms to QuickBooks import file format. This is a tab- or comma-delimited text file in which the transaction data appears in columns. Special keywords identify the beginning and end of each transaction and provide headings that indicate the type of information in each column. (If you have already created such a file, go directly to step 7 below.)

  1. If the transaction data is already in a file, open that file. Otherwise, create a new file in either a word processor or a spreadsheet.

    Important: If you are using a spreadsheet, it must be capable of saving the file as a tab-delimited text file (most spreadsheets can). If you are using a word processor, it must be capable of saving the file as a text file without embedded formatting codes. In either case, your end result is a file in which tab characters separate blocks of transaction data.

  2. Set up the first column. This column is reserved for special keywords that identify the beginning and end of each transaction. Follow the guidelines that apply to the type of program you are using:

    • Spreadsheets: Use the first (leftmost) column in the spreadsheet. The first three cells in the column must read as follows:

      !TRNS

      !SPL

      !ENDTRNS

      For now, leave the remaining cells in the column blank.

    • Word processors: The first three lines of the file must begin as follows:

      !TRNS <tab>

      !SPL <tab>

      !ENDTRNS <tab>

      Note: <tab> indicates that you press the Tab key after entering the text. Do not type "<tab>".

  3. Add the headings for the other columns. (For a model, use the two examples below.) In general, follow these guidelines:

    • For a list of the keywords you can use for column headings, see the keyword reference.

    • The keywords must appear at the beginning of the file, before any of the transaction data. In a spreadsheet, put the keywords in the first two rows, like this:

      !TRNS

      TRNSTYPE

      DATE

      ACCNT... etc.

      !SPL

      TRNSTYPE

      DATE

      ACCNT... etc.

      In a text file, put the keywords in the first two lines. Press Tab after each keyword:

      !TRNS <tab>

      TRNSTYPE <tab>

      ACCNT <tab>... etc.

      !SPL <tab>

      TRNSTYPE <tab>

      ACCNT <tab>... etc.

    • The first row of keywords covers general information that appears in each transaction (the date of the transaction, the customer's name, the vendor's name, the transaction total, and so on). The second row of keywords applies specifically to the distribution lines of the transaction (the amount of each distribution, the income or expense account to which you assigned the distribution, and so on). In some cases, the same keyword can apply to both the transaction as a whole and to a distribution line.

    • Use only the keywords that apply to your transactions—you do not have to use all the keywords listed in the keyword reference. For example, if you do not include payment terms on your invoices, you do not need a Terms column in the import file.

    Only three keyword columns are required for transactions—all others are optional. The required keywords are:

    TRNSTYPE

    Indicates the type of transaction.

    ACCNT

    For the transaction as a whole: the name of the balance sheet account to which you assigned the transaction.

    For a distribution line: the name of the income or expense account to which you assigned the distribution line.

    AMOUNT

    For the transaction as a whole: the transaction total.

    For a distribution line: the amount of the distribution.

  4. Enter the specific details of each transaction. (Again, use the two examples in Step 3 as a model.) In general, follow these steps:

    • Start at the beginning of the first row or line after !ENDTRNS. This is row 4 in a spreadsheet and line 4 in a text file.

    • Type the keyword TRNS to indicate the beginning of the first transaction. If you are using a text file, press Tab after TRNS.

    • Go to the beginning of the next row or line and enter the keyword SPL to indicate the first distribution line of the transaction. If you are using a text file, press Tab after SPL.

    • If the transaction has more than one distribution line, repeat the last step for each distribution line. Use a separate row or line for each distribution line.

    • Type the keyword ENDTRNS in the first row or line after the last distribution line. If you are using a text file, press Tab after ENDTRNS.

    • Fill in the transaction details. General information about the transaction goes into the row or line that begins with the keyword TRNS. Information about the distribution lines goes in the rows or lines that begin with SPL. If you are using a text file, press Tab after each item of information.

    Note: The column headings you added in Step 3 indicate where to put each item of information. For example, transaction dates go into the DATE column.

    • Transaction amounts require special attention. See Step 5 below.

    • The names of accounts that you enter must be the names of accounts in the chart of accounts of your QuickBooks company. If they are not, you can set up the accounts in the import file. The account information must precede the first transaction in the import file.

    • You cannot create a link between two transactions. For example, if one transaction is an invoice and another transaction is a payment for the invoice, you cannot indicate in the import file that the payment is to be applied to the invoice. To apply the payment, you must wait until you have imported the transactions into QuickBooks. Then, go to the Receive Payments window and apply the payment from there.

    • Repeat this process for each additional transaction.

  5. In the Amount column, enter the transaction amounts. For each transaction, do the following:

    • Enter the total amount of the transaction in the Trns row of the Amount column.

    • Enter the distribution line amounts in the SPL rows of the Amount column.

    • Important: Follow these guidelines for making an amount positive or negative:

      If the amount is in...

      Make the amount

      An asset account
      (like accounts receivable)

      Positive—if it increases your assets. (Example: an invoice.)

      Negative—if it decreases your assets. (Example: a credit memo.)

      A liability account
      (like accounts payable)

      Negative—if it increases your liabilities. (Example: a bill from a vendor.)

      Positive—if it decreases your liabilities. (Example: a credit from a vendor.)

      A capital or equity account

      Negative—if it increases your equity or capital.

      Positive—if it decreases your equity or capital.

      An income account

      Negative—if it increases your income.

      Positive—if it decreases your income.

      An expense account

      Positive—if it increases your expenses.

      Negative—if it decreases your expenses.

    • As a final check, add up all the amounts. For each transaction, the amounts should total zero.

  6. When you've entered all the data, save the import file. Follow the guidelines that apply to the type of program you are using:

    • Spreadsheets: Save the file as a tab-delimited text file.

    • Word processors: Save the file as a text file.

  7. In QuickBooks, go to the File menu, choose Utilities, choose Import, and then click IIF Files.

  8. Enter the location and name of the import file.

  9. Click OK to import the transactions.

Check example

The following example shows a check in QuickBooks import file format. To see the entire example, you may have to widen this Help window. You can also print the example by right-clicking in this window and choosing Print Topic.

Because there are too many columns of information to show, we have split the check into two parts. Here are the first seven columns:

!TRNS | TRNSTYPE | DATE | ACCNT | NAME | AMOUNT | DOCNUM
!SPL | TRNSTYPE | DATE | ACCNT | NAME | AMOUNT | DOCNUM
!ENDTRNS |  |  |  |  |  |
TRNS | CHECK | 3/31/94 | Checking | Koepplinger Landowners | -550.00 | 1985
SPL | CHECK | 3/31/94 | Rent |  | 500.00 |
SPL | CHECK | 3/31/94 | Utilities |  | 50.00 |
ENDTRNS |  |  |  |  |  |

Here are the remaining columns. If we had not split up this example, these columns would appear to the right of the first seven columns:

MEMO | CLEAR | TOPRINT | ADDR1 | ADDR2 | ADDR3
MEMO | CLEAR | QNTY | INVITEM |  |
April rent | N | N | Koepplinger Landowners | 876 West Paul Avenue | Sycamore, CA
 | N |  |  |  |
 | N |  |  |  |

Notes

  • This example could have been created in either a spreadsheet or a text file. In a spreadsheet, each item of information would have a cell of its own. In a text file, tab characters would separate the data columns.

  • The check is made out to Koepplinger Landowners for the amount of 550.00. The import file shows the amount as a negative number (-550.00) because a check decreases the value of a company's assets. This is purely for QuickBooks internal accounting purposes. If you viewed this check in QuickBooks, the check amount would be 550.00, not -550.00.

    The check also has two distribution lines (designated SPL in the import file). The first distribution line assigns 500.00 of the check to an expense account named Rent. The second distribution line assigns 50.00 of the check to an expense account named Utilities. Here, the amounts are positive because they represent increases to the company's expenses. Note that the detail amounts and the check amount add up to zero.

  • The import file also contains other information about the check. The check number (1985) is in the DOCNUM column. A memo to the payee ("April rent") appears in the MEMO column.

  • The TRNSTYPE column identifies the type of transaction—check, invoice, bill, etc. The keyword to use for checks is CHECK. It must appear in each line of data—the SPL lines as well as the TRNS line.

  • The accounts (Checking, Rent, Utilities) must be either in the chart of accounts of your QuickBooks company or defined in the import file. When neither is the case, QuickBooks creates the accounts when you import the transactions, making each account a bank account. If you are using the import file to set up the accounts, the account information must precede the first transaction in the file.

Invoice example

The following example shows an invoice in QuickBooks import file format. To see the entire example, you may have to widen this Help window. You can also print the example by right-clicking in this window and choosing Print Topic.

Because there are too many columns of information to show, we have split the invoice into two parts. Here are the first nine columns:

!TRNS | TRNSTYPE | DATE | ACCNT | NAME | AMOUNT | DOCNUM | MEMO | CLEAR
!SPL | TRNSTYPE | DATE | ACCNT | NAME | AMOUNT | DOCNUM | MEMO | CLEAR
!ENDTRNS |  |  |  |  |  |  |  | N
TRNS | INVOICE | 3/31/94 | Accounts Receivable | Lisa Yee | 669.62 | 679 | Light fixtures | N
SPL | INVOICE | 3/31/94 | Sales Income |  | -456.92 |  | Light Fixtures | N
SPL | INVOICE | 3/31/94 | Labor Income |  | -175 |  | Labor | N
SPL | INVOICE | 3/31/94 | Sales Tax Payable | Tax Board | -37.70 |  | Sales Tax | N
ENDTRNS |  |  |  |  |  |  |  |

Here are the remaining columns. If we had not split up this example, these columns would appear to the right of the first nine columns:

TOPRINT | ADDR1 | ADDR2 | ADDR3 | DUEDATE | TERMS | PAID | SHIPDATE | INVTITLE | INVMEMO | EXTRA
 | INVITEM |  |  |  |  |  |  |  |  |
Y | Lisa Yee | 541 Surf Road | Sycamore, CA | 4/30/94 | 1%10 Net 30 | Y | 3/31/94 | Invoice | Thank you! | AUTOSTAX
 | Resale |  |  |  |  |  |  |  |  |
128 | Labor |  |  |  |  |  |  |  |  |
 | Auto Tax |  |  |  |  |  |  |  |  |

Notes

  • This example could have been created in either a spreadsheet or a text file. In a spreadsheet, each item of information has a cell of its own. In a text file, tab characters separate the data columns.

  • The invoice is made out to Lisa Yee at 541 Surf Road, Sycamore, CA. The invoice total (669.62) is a positive number because an invoice increases the value of a company's assets.

    The invoice contains three line items (designated SPL in the import file). The first line item is for a light fixture (-456.92), the second is for labor hours (-175.00), and the third is for sales tax on the light fixture (-37.70). The amounts are negative because they are increases, either to the company's income (as in the case of the light fixture and the labor hours), or to the company's liabilities (as in the case of the sales tax). The negative amounts are necessary for QuickBooks internal accounting purposes. If you viewed this invoice in QuickBooks, the line item amounts would all be positive. Note that the invoice total and the line item amounts all add up to zero.

  • The import file also contains other information about the invoice. The payment terms for the invoice (1%10 Net 30) appear under TERMS. A message to the customer ("Thank you!") appears under INVMEMO (QuickBooks will print this message at the bottom of the invoice). A notation that the invoice is yet to be printed (Y) appears under TOPRINT. All of this is information that QuickBooks stores with the invoice.

  • The TRNSTYPE column identifies the type of transaction—invoice, check, bill, etc. The keyword to use for invoices is INVOICE. It must appear in each line of data—the SPL lines as well as the TRNS line.

  • The accounts (Accounts Receivable, Sales Income, Labor Income, Sales Tax Payable) must be either in the chart of accounts of your QuickBooks company, or defined in the import file. When neither is the case, QuickBooks creates the accounts when you import the transactions making each account a bank account. If you are using the import file to set up the accounts, the account information must precede the first transaction in the file.

  • The EXTRA column contains the keyword AUTOSTAX, which creates a sales tax line on the invoice. You must enter AUTOSTAX even if you do not charge sales tax.

See also

  • Reference Guide to Import Files

  • Creating an import file


Software License Agreement

Software License Agreement

Read the QuickBooks Software License Agreement.


Resolve error 6123

This error indicates that QuickBooks did not receive a reply when it tried to contact the computer where the company file is located.

To do this task

  1. On the computer where the company file is stored, verify that the computer is powered on and is not in Standby or Hybernate mode.

  2. If you use firewall software, verify that the firewall settings are correct.

    Change firewall settings

  3. Try to open the company file again.


Resolve error 6130

This error indicates that QuickBooks was not able to disconnect from the computer where the company file is located.

To do this task

  1. If you use firewall software, verify that the firewall settings are correct.

    Change firewall settings

  2. If you have McAfee® Privacy Service® installed, verify that the Block Web Bugs on this computer option is cleared.

    1. Open McAfee® Security Center®.

    2. Click the Privacy Service tab.

    3. Click Configure Privacy Service Options.

    4. Click Options and then click the Block Info tab.

    5. Verify that the Block Web Bugs on this computer option is cleared (not selected).

  3. Try to open the company file again.


Resolve error 6175

This error indicates that QuickBooks could not contact the computer where the company file is located.

To do this task

  1. On the computer where the company file is stored, verify that the computer is powered on and is not in Standby or Hybernate mode.

  2. If you use firewall software, verify that the firewall settings are correct.

    Change firewall settings

  3. Try to open the company file again.


Resolve error 6176

This error indicates that QuickBooks could not translate the path to the company file.

These steps will be performed on the computer where the company file is located. Use the print icon in the top right corner to print this topic for reference.

To do this task

Note: Microsoft® Windows® administrator permissions are required to complete this task.

  1. Go to the computer where the company file is located.

  2. Go to the Start button, click Programs, click QuickBooks, and then click QuickBooks Database Server Manager.

  3. Click the Scan Folders tab.

  4. Click the Add Folder button.

  5. Select the folder that contains QuickBooks company files and then click OK. Click the Add Folder button again to add additional folders. (If you're not sure where files are stored, you can select an entire disk.)

  6. Click the Scan button to begin the scan. The display will indicate which folders are being scanned.

  7. Once the scan is complete, click Close.

Return to your computer and try to open the file again.


Resolve error 6177

This error indicates that QuickBooks could not use the path to the company file.

These steps will be performed on the computer where the company file is located. Use the print icon in the top right corner to print this topic for reference.

To do this task

Note: Microsoft® Windows® administrator permissions are required to complete this task.

  1. Go to the computer where the company file is located.

  2. Go to the Start button, click Programs, click QuickBooks, and then click QuickBooks Database Server Manager.

  3. Click the Scan Folders tab.

  4. Click the Add Folder button.

  5. Select the folder that contains QuickBooks company files and then click OK. Click the Add Folder button again to add additional folders. (If you're not sure where files are stored, you can select an entire disk.)

  6. Click the Scan button to begin the scan. The display will indicate which folders are being scanned.

  7. Once the scan is complete, click Close.

Return to your computer and try to open the file again.


About hosting multi-user access

About multi-user QuickBooks

By answering Yes, you are allowing other users to open company files that are located on this computer as long as they have valid user names and passwords. To protect your company information from unauthorized access, Intuit recommends that you set up permissions.

Expanded text

To provide other QuickBooks users with continuous access to company files located on this computer, you must leave this computer on. However, you can close QuickBooks.

See also

  • About setting up multi-user QuickBooks


About stopping the hosting of multi-user access

About multi-user QuickBooks

This computer is currently set up to host multi-user access to company files. It may be hosting multi-user access to local files only (those located on this computer) or local and remote company files (those located on this computer, as well as those that you open on other computers).

If you stop hosting multi-user access, you will prevent other users from opening these company files in multi-user mode. If other users are currently working on company files, you must wait until those users have closed QuickBooks.

See also

  • About setting up multi-user QuickBooks


Change your firewall settings

In multi-user environments, QuickBooks uses the Internet protocol TCP/IP for data communication. If your company's network is protected by a firewall, you may need to reconfigure your firewall software to allow QuickBooks to communicate using TCP/IP.

Most firewall applications allow you to configure them to allow specific programs access.

To allow QuickBooks access, configure your firewall application as follows:

File | Traffic | Port
FileManagement.exe | Incoming and Outgoing | 10172
QBDBMgrN.exe | Incoming and Outgoing | 10172
QBGDSPlugin.exe | Incoming and Outgoing | 10172
QBW32.exe | Incoming and Outgoing | 10172

If you receive errors while in multi-user mode, you can search for the error online (you will need to minimize this Help topic to view these pages in QuickBooks) at Go online QuickBooks Support Site, contact technical support by using Access Support Resources, or review Troubleshooting multi-user problems.

See also

  • About multi-user QuickBooks


About choosing recommended or alternate setup

About multi-user QuickBooks

There are two ways to set up QuickBooks to host multi-user access:

  • Recommended setup: For the most reliable multi-user setup, Intuit recommends that you install QuickBooks or the QuickBooks Server on the same computer as the company file and set up that computer to host multi-user access.

    What are the steps for the recommended setup?

    Does the recommended setup require an additional user license?

    Expanded text

  • Alternate setup: If you cannot install QuickBooks or the QuickBooks Server on the same computer as the company file, you can use one computer to host multi-user access to company files. Click the Alternate Setup button to have QuickBooks set up hosting for you on your computer.

What's the difference between the recommended and alternate setup?

Note: If you have already set up multi-user QuickBooks but you still can't open the company file, review the troubleshooting information.


About hosting multi-user access to local and remote company files

To provide other QuickBooks users with continuous access to the company file, you must leave your computer on and remain logged in to Windows. However, you can close QuickBooks.

Once you start hosting multi-user access, company files on this computer and company files that you open on other computers can be opened by other users as long as they have valid user names and passwords. To protect your company information from unauthorized access, Intuit recommends that you set up permissions.

Expanded text

Will the same computer always host multi-user access?

Expando text about hosting prompt

What if more than one computer is set up to host multi-user access?

Expando text about actual host

See also

  • About setting up multi-user QuickBooks


About setting up access to remote company files

You must set up a computer to host multi-user access to the company file. Choose the type of setup you want to perform.

  • Recommended setup: For the most reliable multi-user setup, Intuit recommends that you install QuickBooks or the QuickBooks Server on the same computer as the company file and set up that computer to host multi-user access. Click the Recommended Setup button and follow the installation and setup instructions.

    How does the recommended setup work?

  • Alternate setup: If you cannot install QuickBooks or the QuickBooks Server on the same computer as the company file, you can use your computer to host multi-user access to company files. Click the Alternate Setup button to have QuickBooks set up hosting for you on your computer.

    How does the alternate setup work?

You can also resolve the problem by moving the company file to your computer.

Note: If you have already set up multi-user QuickBooks but you still can't open the company file, review the troubleshooting information.

See also

  • Install the QuickBooks Server

  • About setting up multi-user QuickBooks

  • Does the recommended setup require an additional user license?


About hosting multi-user access to local and remote company files

To provide other QuickBooks users with continuous access to the company file, you must leave your computer on and remained logged into Windows. However, you can close QuickBooks.

What if my computer isn't available on a particular day?

Expando text about hosting prompt

What if more than one computer is set up to host multi-user access?

Expando text about actual host

Once you start hosting multi-user access, company files on this computer and company files that you open on other computers can be opened by other users as long as they have valid user names and passwords. To protect your company information from unauthorized access, Intuit recommends that you set up access permissions.

When setting up access permissions, be sure to enter an administrator password. Do not leave the administrator password blank.

See also

  • About setting up multi-user QuickBooks

  • Who is the QuickBooks administrator?


Client-server networks (definition)

Client-server networks

Client-server networks are networks in which at least one computer is dedicated to sharing files, printers, or other resources. This computer is usually not used by individuals to do their daily work. Examples of client-server network operating systems are Novell Netware® and Microsoft® Windows NT® Server.

QuickBooks offers a Server Installation for file servers.


What is multi-user mode? (definition)

What is multi-user mode?

Multi-user mode lets more than one person work with your company file at the same time. You must purchase multiple QuickBooks licenses to permit multiple users. See your license agreement for further details.

See also

  • Buying additional licenses for additional users

  • Switching to multi-user mode

  • Improving performance in multi-user mode


Peer-to-peer networks (definition)

Peer-to-peer networks

Peer-to-peer networks do not use a dedicated file server. This means that all computers on the network can share their resources, including files. An example of a peer-to-peer network would be two or more connected computers running Microsoft® Windows® 2000.


Single-user mode (definition)

What is single-user mode?

Single-user mode limits access to your company file to one person at a time. If other people are working in the file, they must close the file or exit QuickBooks before you can switch to single-user mode.

Why switch to single-user mode?

Some tasks can only be done in single-user mode. These include:

  • File operations such as backing up, cleaning up, or exporting data

  • Some types of changes to lists (deleting a list item, for example)

  • Activities involving Accountant's Copy

  • Some types of setup tasks (setting up finance charges, for example)

If you are working in multi-user mode and try to do something that can only be done in single-user mode, QuickBooks warns you that you need to switch modes.

Switching to single-user mode also makes time-consuming tasks go faster. For example if you have some big reports to run, you can create them faster in single-user mode.

When is the best time to switch?

Any time other people don't need access to your company file. If you need to work in single-user mode for an extended period of time, you might want to do it when other people aren't in the office, such as early in the morning or at the end of the day.

Learn more about Go online the multi-user feature available in QuickBooks Enterprise Solutions.

See also

  • Switching to single-user mode


Hosting company files

Specify Help Topic Heading

Please contact technical support.


What if more than one computer is set up to host multi-user access?

More than one computer can be set up to host multi-user access. On a particular day, the first computer to open the file in multi-user mode is the one that is hosting multi-user access.


Is an additional QuickBooks license required?

No additional license is required for the computer that contains the company file, as long as the QuickBooks software on that computer is used only to host multi-user access to the company file. Refer to your QuickBooks license agreement for more information.


Will the same computer always host multi-user access to the company file?

No, the hosting computer can change for each multi-user session. The first person to open the company file in multi-user mode will host multi-user access.


What's the difference between the recommended and alternate setup?

In a multi-user environment, QuickBooks uses a database server to manage access to the company file. Whenever users want to work with the company file, their QuickBooks software communicates with the database server, which in turn communicates with the company file.

  • In the recommended multi-user setup, the database server is run by QuickBooks or the QuickBooks Server that is installed on the same computer as the company file.

  • In the alternate multi-user setup, QuickBooks or the QuickBooks Server is not installed on the same computer as the company file. This means that the database server must be run by a copy of QuickBooks that is installed on a user's computer. The hosting computer can differ during each multi-user session, depending on which user first opens the company file in multi-user mode.

Recommended setup

The graphic below shows how the recommended setup works.

  1. When the user on Computer 1 performs any QuickBooks operation, QuickBooks sends requests to the database server on Computer 2, where the company file is located.

  2. The database server reads data from and writes data to the company file, and returns any requested information to the user on Computer 1.

Alternate setup

The graphic below shows how the alternate setup works when Computer 2 (a user's computer) is set up to host multi-user access to the company file.

  1. When the user on Computer 1 performs any QuickBooks operation, QuickBooks sends requests to the database server on Computer 2.

  2. The database server on Computer 2 reads data from and writes data to the company file on Computer 3 and then returns any requested information to the user on Computer 1.


About the database service, user, and processes

QuickBooks uses a database server to manage access to the data in the company file. When running, the database server can create the following service, user, and processes.

Important: In order to maintain access to the company file, the following should not be deleted or stopped.

  • Service: QuickBooksDB17.

  • User: QBDataServiceUser17.

  • Processes: QBDBMgr.exe and QBDBMgrN.exe.


About multi-user QuickBooks

multiuser

multi user

adding users

With multi-user QuickBooks, more than one user can work on the company file at the same time.

Installation and setup

  • Decide where to store your company file

  • Set up multi-user QuickBooks

  • Install the QuickBooks Server

  • Add licenses for additional users

Using multi-user QuickBooks

With multi-user QuickBooks, you can do all the same activities that you would normally do in QuickBooks. When more than one user needs to use the company file, you can open in or switch to multi-user mode. Once the file is in multi-user mode, the other users you set up can now open that same file from another computer.

Some activities, such as backing up a file, can be done only when a single user is working on the company file. QuickBooks makes it easy to switch to single-user mode for those activities and then switch back to multi-user mode.

  • Add users and giving them access

  • Open a company file in multi-user mode

  • Switch to multi-user mode

  • Switch to single-user mode

  • Improve performance in multi-user mode

See also

  • Protect your QuickBooks data

  • Troubleshoot multi-user problems

  • Refresh the chart of accounts (multi-user mode)


Set up multi-user QuickBooks

multiuser

multi user

adding users

There are two ways to set up multi-user QuickBooks.

  • Recommended multi-user setup: For the most reliable multi-user setup, Intuit recommends that you install QuickBooks or the QuickBooks Server on the same computer as the company file and set up that computer to host multi-user access to company files.

    Does the recommended setup require an additional user license?

    Expanded text
  • Alternate multi-user setup: If you cannot install QuickBooks or the QuickBooks Server on the same computer as the company file, you can use the alternate setup.

What's the difference between the recommended setup and alternate setup?

See also

  • Change installation type

  • Install the QuickBooks Server

  • About multi-user QuickBooks

  • Overview of QuickBooks licenses

  • Change the setup for multi-user QuickBooks


How does the alternate multi-user setup work?

QuickBooks uses a database server to manage access to the company file.

In the alternate multi-user setup, the company file is located on a computer that does not have QuickBooks or the QuickBooks Server installed. This means that the QuickBooks software on a user's computer must run the database server that manages multi-user access to the company file.

The graphic below shows how the alternate setup works when Computer 2 is set up to host multi-user access to the company file.

  1. When the user on Computer 1 performs any QuickBooks operation, QuickBooks sends requests to the database server on Computer 2 (a user's computer).

  2. The database server on Computer 2 reads data from and writes data to the company file on Computer 3 and then returns any requested information to the user on Computer 1.

See also

  • Install the QuickBooks Server

  • About setting up multi-user QuickBooks

  • Alternate setup for multi-user QuickBooks


How does the recommended multi-user setup work?

In the recommended multi-user setup, QuickBooks or the QuickBooks Server is installed on the same computer as the company file. This copy of QuickBooks runs a database server, which hosts multi-user access to the company file.

The graphic below shows how the recommended setup works.

  1. When the user on Computer 1 performs any QuickBooks operation, QuickBooks sends requests to the database server on Computer 2, where the company file is located.

  2. The database server reads data from and writes data to the company file, and returns any requested information to the user on Computer 1.

See also

  • Install the QuickBooks Server

  • About setting up multi-user QuickBooks

  • Recommended setup for multi-user QuickBooks


Error 6500

Error 6501

Contact technical support.


Error 6501

Contact technical support.


Error 6502

Contact technical support.


Error 6503

Contact technical support.


Error 6504

Contact technical support.


Error 6505

Contact technical support.


Refresh the chart of accounts (multi-user mode)

If you are using QuickBooks in multi-user mode and another user changes the chart of accounts, you can refresh the chart of accounts to see the latest changes.

To do this task

  1. Go to the Lists menu and click Chart of Accounts.

  2. Go to the View menu and click Refresh Account List.


Start or stop multi-user hosting

QuickBooks will prompt you as needed to set up a computer to host multi-user access to company files. However, if you need to start or stop hosting on a particular computer, you can do so in QuickBooks.

How can I find out whether my computer is already hosting multi-user access?

Go to the File menu and click Utilities. If your computer is already set up to host multi-user access, you will see the menu item Stop hosting multi-user access.

If you have installed the QuickBooks Server, refer to the QuickBooks Database Server Manager.

Note: Microsoft® Windows® administrator permissions are required to complete this task.

Starting hosting

  • Go to the File menu, choose Utilities, and then click Host multi-user access.

Stopping hosting

  • Go to the File menu, choose Utilities, and then click Stop hosting multi-user access.

See also

  • About multi-user QuickBooks

  • Change installation type

  • About setting up multi-user QuickBooks

  • Troubleshooting multi-user problems


Switch to multi-user mode

Multi-user mode lets more than one person work with your company file at the same time. Before switching to multi-user mode for the first time, make sure that you have set up multi-user QuickBooks.

To do this task

  1. Go to the File menu and click Switch To Multi-User Mode.

  2. If there are other people in your office who are waiting to work with the company file, tell them that they can log in.

See also

  • About multi-user QuickBooks

  • Open a file in multi-user mode


Open a company file in multi-user mode

To do this task

  1. Go to the File menu and click Open or Restore Company.

  2. Select Open a company (.QBW) and click Next.

  3. In the Open a Company window, select Open in multi-user mode and then select the file you want to open.

    If you accidentally open the file in single-user mode, you can switch to multi-user mode.

See also

  • About multi-user QuickBooks


Change the setup for multi-user QuickBooks

You can change the setup for multi-user QuickBooks by:

  • Move the company file

  • Switch to the recommended multi-user setup

  • Change installation type

Note: In rare cases, you might also want to start or stop hosting multi-user access on a particular computer.

See also

  • About setting up multi-user QuickBooks

  • Troubleshoot multi-user problems


Set up multi-user QuickBooks (alternate setup)

About setting up multi-user QuickBooks

To do this task

  1. If you haven't already done so, install QuickBooks on the computers of all users who will be working on the company file.

  2. Decide which computer should host multi-user access to the company file, then open QuickBooks on that computer.

    How do I decide?

    When choosing which computer to use, be aware that the user must be logged in to Windows with the computer turned on for other users to access the company file.

    What if I don't set up a computer?

    The first person to open the company file in multi-user mode will be prompted to set up multi-user access to the company file.

  3. From the computer you selected in step 2, open the company file in multi-user mode.

    Expando text for opening in multi-user mode

  4. When prompted to set up multi-user access to the company file, click Alternate Setup.

  5. To protect your company information from unauthorized access, Intuit recommends that you set up permissions.

    Access permissions definition

Additional information

In the alternate setup, to provide other QuickBooks users with continuous access to the company file, the computer that is hosting multi-user access to the company file must be left on and the user must remain logged in to Windows. However, QuickBooks can be closed.

Once you turn on hosting, all company files on this computer and company files that you open on other computers on the network can be opened in multi-user mode as long as users have valid user names and passwords.

Expanded text

Will the same computer always host multi-user access?

Expando text about hosting prompt

What if more than one computer is set up to host multi-user access?

Expando text about actual host

See also

  • About multi-user QuickBooks

  • Troubleshoot multi-user problems


Set up QuickBooks for multi-user access (recommended setup)

Steps to verify an existing setup

Note: Microsoft® Windows® administrator permissions are required to change hosting modes.

  1. Go to the computer where the company file is located.

  2. Open QuickBooks. (If you installed the QuickBooks Server on the computer where the company file is located, see Use the QuickBooks Database Server Manager.)

  3. Open the company file you're trying to access.

  4. Go to the File menu, click Utilities, and then click Host Multi-User Access. If you see Stop Hosting Multi-User Access, you're already hosting multi-user access and can continue to the next step.

  5. Go to the File menu and click Switch to Multi-user Mode. If you see Switch to Single-user Mode, you're already in multi-user mode and can continue to the next step.

  6. Leave this computer powered on and close QuickBooks if no one is using it on this computer.

  7. Try to open the company file from the remote computer.

Important: These steps apply to the computer where the company file is located.

Step 1: Install QuickBooks (Refer to the printed "Startup and Reference Guide" for detailed installation steps.)

  1. Go to the computer where the company file is located.

  2. Install QuickBooks and choose the Multi-User Host Installation. (Use the Standard Installation for each additional installation on computers that do not share company files.)

    Note: QuickBooks also offers a Server Installation option for file servers. For steps to install the QuickBooks Server, see Install the QuickBooks Server.

Step 2: Host multi-user access

Note: Microsoft® Windows® administrator permissions are required to change hosting modes.

  1. Open QuickBooks.

  2. If you are prompted to update your company file, update your file to the new version.

  3. Go to the File menu, click Utilities, and then click Host Multi-User Access.

    If you see Stop Hosting Multi-User Access, you're already hosting multi-user access and can continue to the next step.

Step 3: Configure the company file for multi-user access

  1. Open the company file in which you want to allow multi-user access.

  2. If you are prompted to update your company file, update your file to the new version.

  3. Go to the File menu and click Switch to Multi-user Mode.

  4. Open each company file you want to allow multi-user access to and repeat step 3. If you have more than a few company files, you can configure multiple files with the QuickBooks Database Server Manager.

Step 4: Prepare the company file for additional users

  1. Add users and give them access to the company file.

  2. To protect your company information from unauthorized access, Intuit recommends that you set up passwords.

Step 5: Have other users log in to the company file

  1. Open QuickBooks on another computer on your network.

  2. Open the company file and log on. Be sure to browse to the computer where the company file is stored when you open the company file.

Additional information

In the recommended setup, to provide other QuickBooks users with continuous access to the company file, the computer that is hosting multi-user access must be left on. However, QuickBooks can be closed.

See also

  • About multi-user QuickBooks

  • Overview of QuickBooks licenses

  • Troubleshoot multi-user problems


Improve performance in multi-user mode

If you have a multi-user version of QuickBooks, some situations cause QuickBooks to run slowly when two or more users are working in your company file.

Important: For the best performance in multi-user mode, be sure to install QuickBooks or the QuickBooks Server on the same computer where the company file is located and set up that computer according to the recommended multi-user setup.

For tips on what you can do to improve slow performance, see these topics:

Where to store your company file

Tips for day-to-day operations

Tips for reports

Tips for printing

QuickBooks Enterprise Solutions offers Go online enhanced multi-user performance.

See also

  • Install the QuickBooks Server

  • About multi-user QuickBooks


Choose a computer to store your company file on

Where to store your company file in a multi-user environment

You can store your company file on any computer that is connected to your network.

For the best performance, consider these tips when choosing which computer to store the company file on:

  • Whenever possible, place your company file on a computer that has QuickBooks installed. For more information, refer to the recommended multi-user setup.
  • Select a computer that meets or exceeds the recommendations for processor, memory, and disk space, as defined in the printed Startup and Quick Reference Guide. The amount of RAM on the computer can significantly affect performance.
  • Select a computer with the least amount of non-QuickBooks activity.
    For QuickBooks Enterprise Solutions, consider using a dedicated computer that is not used for other purposes.

See also

  • Choose a folder to store data files in

  • About improving performance in multi-user mode

  • Move your company file


Performance tips for day-to-day operations

You can do most day-to-day tasks in multi-user mode without noticing much difference in performance.

Tasks that take a long time to complete, such as running large reports, can affect performance for other users. A few tasks, like finding transactions, temporarily prevent other users from working on the company file. Consider doing these tasks when other users are not working in the company file. For the best performance when completing these tasks, use the computer where you store your company file. If that computer is not available to you, use the fastest computer connected to the network.

You can also improve the performance of day-to-day tasks by modifying your QuickBooks preferences.

  • In the Reminders preferences, select "Don't Remind Me" for tasks for which you don't need a reminder.

  • In the Reports & Graphs preferences, select "Prompt me to refresh" or "Don't refresh." Refreshing reports automatically can slow performance.

  • For QuickBooks Enterprise Solutions, you can modify the General preferences to optimize multi-user performance for certain tasks.

QuickBooks Enterprise Solutions offers Go online enhanced multi-user performance.

See also

  • About improving performance in multi-user mode

  • Modifying preferences


Performance tips for printing

When you have checks, business forms, or reports to print, we suggest the following:

  • If you are printing more than 50 checks or forms at once, break the printing job into two or more smaller jobs. For example, if you have 60 invoices to print, print them in two groups of 30.

  • Don't print a large report when others are working in the company file. Wait until other users have logged out and then print the report. For the best performance, print the report from the computer where you store your company file. If the file is on a network server that is unavailable to you, use the fastest computer connected to the server.

  • Make sure print spooling is turned on.

For Windows 2000: Go to the Start menu, choose Settings, and then click Printers. Select your printer. Go to the File menu and click Properties. Click the Advanced tab. Select Spool print jobs so program finishes printing faster.

For Windows XP: Go to the Start menu, choose Settings, and then click Printers and Faxes. Select your printer. Go to the File menu and click Properties. Click the Advanced tab. Select Spool print jobs so program finishes printing faster.

See also

  • About improving performance in multi-user mode


Performance tips for reports

Running a very large report can prevent other users from working in your company file while QuickBooks creates the report. For large reports, we suggest the following:

  • Wait until other users have logged out of the company file before you run the reports. For the best performance, run the reports on the computer where you store your company file. If the file is on a network computer that is unavailable to you, use the fastest computer connected to the network.

  • Be aware that some reports require more time to create than others. The slowest reports are journal reports and cash basis transaction reports.

  • In the Reports & Graphs preferences, consider selecting "Prompt me to refresh" or "Don't refresh." Refreshing reports automatically can slow performance.

  • Refresh a report or graph only when you are ready to work with its data. If (Refresh needed) appears in the toolbar of a report or graph and you are not working with the report or graph, leave the report or graph unrefreshed.

For larger data files, QuickBooks Enterprise Solutions can provide Go online improved performance in a number of key reports.

See also

  • About improving performance in multi-user mode

  • What refreshing does to reports and graphs

  • Modifying preferences


Switch to single-user mode

In single-user mode, only one person at a time can access and work with your company file.

To do this task

  1. If other people are working with the company file, ask them either to close the file or exit QuickBooks.

  2. Go to the File menu and click Switch To Single-User Mode.

See also

  • More about single-user mode


Troubleshoot multi-user problems

multiuser

multi user

If you don't see your particular problem in the list below, check the Go online QuickBooks Support site on the Web.

Before trying these troubleshooting suggestions, make sure that you have set up multi-user QuickBooks.
  • I installed QuickBooks on the same computer as the company file (recommended), but I still can't open the company file in multi-user mode.

    Go to the computer where the company file is located and open the company file in multi-user mode. If asked whether you want to use that computer to host multi-user access to the company file, click Yes. Then, go to another computer and try opening the company file in multi-user mode.

  • I chose the alternate multi-user setup, but now multiple computers are set up to host multi-user access to the company file.

    Expando text about actual host
  • My firewall software is preventing me from opening the company file in multi-user mode.
    Expando for firewall information

  • I set up the company file on a network server, but not all users have permission to the folder where the company file is located.

  • Troubleshoot QuickBooks licenses

  • Improve performance in multi-user mode


Setting Windows folder permissions

To work with a QuickBooks company file, you must have Windows permissions to the folder where the company file is located.

If you receive an error that you do not have sufficient permissions to the folder, ask your system administrator to make sure that the folder is shared on the network and to give all users permissions to change the files in the folder.

To do this task

Note: This procedure can be performed only by a user with administrator privileges to the computer where the company file is located.

  1. Right-click the folder where the company file is located and choose Properties.

  2. Select the Sharing tab and set the appropriate permissions.

    For Windows 2003 Server or Windows XP:

    1. Select Share this folder on the network.

    2. Select Allow network users to change my files.

    For Windows 2000 Server or Windows 2000

    1. Select Share this folder.

    2. Click the Permissions button.

    3. On the Share Permissions tab, make sure that the user or the user's group has permissions to access the folder.

    4. Select the checkboxes to allow the user or user's group to Change or Read files in the folder.

  3. If the folder is on a drive that is formatted for NTFS, click the Security tab and give the user or the user's group Read and Write permissions to the folder.

  4. Click the Apply button.


Purchases and accounts payable

This permission gives a user the ability to:

  • Enter and pay bills.

  • Enter reimbursable expenses.

  • Write purchase orders. Receive against purchase orders.

  • Enter credit card charges.

  • Pay sales tax.

  • Access vendor information in the Vendor Center.

  • Use the accounts payable register.

  • Customize the look of sales and purchase forms.

  • Maintain the Vendor Type and Purchase Order lists.

  • Print 1099 forms. To allow printing, you must select either Full Access or "Create and print transactions" under Selective Access.

  • Create accounts payable, purchase, and vendor reports. To allow access to these reports, you must select either Full Access or "Create transactions and Create Reports" under Selective Access.

Important: This permission does not provide the ability to change or delete previously-recorded transactions. You can assign permission to change and delete transactions when you come to the window titled "Changing or Deleting Transactions."


Sales and accounts receivable

This permission gives a user the ability to:

  • Enter sales (invoices, sales receipts).

  • Create estimates and generate invoices from estimates.

  • Apply reimbursable expenses to sales.

  • Do progress billing.

  • Receive and deposit customer payments.

  • Process credit cards (QuickBooks Merchant Service).

  • Enter returns (credit memos).

  • Apply finance charges to late payments.

  • Access customer and job information in the Customer Center.

  • Access customer and job information in the Customer Center.

  • Maintain the Customer Type, Job Type, Customer Messages, Payment Method, and Ship Via lists.

  • Use the accounts receivable register and individual customer registers.

  • Customize the look of sales forms.

  • Print sales forms and mailing labels. To allow printing, you must select either Full Access or "Create and print transactions" under Selective Access.

  • Create accounts receivable, sales, and customer reports. To allow access to these reports, you must select either Full Access or "Create transactions and Create Reports" under Selective Access.

  • Enter statement charges and prepare statements. To allow this, you must select either Full Access or "Create and print transactions" under Selective Access.

  • See and print all associated sales and accounts receivable information in the Customer Center and Vendor Center.

Important: This permission does not provide the ability to change or delete previously-recorded transactions. You can assign permission to change and delete transactions when you come to the window titled "Changing or Deleting Transactions."


Checking and credit cards

This permission gives a user the ability to:

  • Write checks for expenses (but not payroll checks).

  • Void checks.

  • Make deposits.

  • Pay bills.

  • Pay sales tax.

  • Enter credit memos and create credit memo refund checks.

  • Enter credit card charges.

  • Print checks and deposit slips. To allow printing, you must select either Full Access or "Create and print transactions" under Selective Access.

Important: This permission does not provide the ability to change or delete previously-recorded transactions. You can assign permission to change and delete transactions when you come to the window titled "Changing or Deleting Transactions."


Changing or deleting transactions

This permission gives a user the ability to change and delete transactions in areas where he or she has access. For example, if a person has access to sales only, that person can change invoices, credit memos, and sales receipts, but not transactions that originate in other areas (for example, paychecks).

Note: If you do not give a user permission to delete transactions, he or she can still delete a transaction they create as long as it was created during the same QuickBooks session.

Before your closing date. To protect your books, you may want to deny access to transactions entered on or before your last closing date. If you don't want a user to have access to these transactions, select No in response to the question about the closing date. (Anyone who does have access privileges will also need to know the closing date password.)


Summary of access rights

This window shows the access rights you granted to this user.

If you want to make a change

  1. Click Prev to open the relevant screen.

  2. Make the change and click Next to return to this screen.

If you're done

  • Click Finish.


Sensitive accounting activities

This permission gives a user the ability to:

  • Use online banking. Any access to sensitive accounting gives the user online banking access if the user also has PIN access.

  • Maintain your company's chart of accounts.

  • Work in the register for any balance sheet account, including the register for undeposited funds.

  • Transfer funds between accounts.

  • Reconcile accounts.

  • Create budgets.

  • Make general journal entries.

  • Clean up the company data file.

  • Use Accountant's Review.

  • Create the payroll report that is available when the "Payroll reports only" preference is selected in the Payroll Preferences window (this is a different report than those that are available when payroll is fully turned on). To allow access to these reports, you must select either Full Access or "Create transactions and Create Reports" under Selective Access.

  • Print registers. To allow printing, you must select either Full Access or "Create and print transactions" under Selective Access.

Important: With the exception of the Payroll Info report, this permission does not provide the ability to create reports or to change and delete previously-recorded transactions. You can assign permission to create sensitive financial reports on the next screen. And you can assign permission to change and delete transactions on the screen following the next screen.


Inventory

This permission gives a user the ability to:

  • Write purchase orders. Receive against purchase orders.

  • Make adjustments to inventory.

  • Maintain your list of inventory items.

  • Enter bills.

  • Edit an item's history.

  • Print purchase orders. To allow printing, you must select either Full Access or "Create and print transactions" under Selective Access.

  • Create inventory, purchase, and vendor reports. To allow access to these reports, you must select either Full Access or "Create transactions and Create Reports" under Selective Access.

Important: This permission does not provide the ability to change or delete previously-recorded transactions. You can assign permission to change and delete transactions when you come to the window titled "Changing or Deleting Transactions."


User name and password

  • User name: The name you enter here becomes the name this user must enter each time he or she logs into QuickBooks. The name also appears in the User list.

  • Password: A password is optional. If you assign passwords, write them down and keep the list in a secure place.

What if I forgot my password?


Payroll

This permission gives a user the ability to:

  • Write and view paychecks.

  • Pay payroll-related liabilities.

  • Set up year-to-date amounts.

  • Make adjustments to payroll liabilities.

  • Access the payroll service.

  • Prepare Forms 940 and 941.

  • Prepare Forms W2 and W3.

  • Maintain the Employee Center information.

  • Maintain payroll-related information about employees (example: social security numbers)

  • Print paychecks, paystubs, and forms W2, W3, 940, and 941. To allow printing, you must select either Full Access or "Create and print transactions" under Selective Access.

  • Create payroll reports. To allow access to these reports, you must select either Full Access or "Create transactions and Create Reports" under Selective Access.

Important: This permission does not provide the ability to change or delete previously-recorded transactions. You can assign permission to change and delete transactions when you come to the window titled "Changing or Deleting Transactions."


Access for...

You can choose which areas (sales, purchases, payroll, etc.) a user has access to in QuickBooks, or you can give a user access to all areas. If you want to limit this user to specific activities or information, click "Selected areas of QuickBooks." A sequence of questions guides you through the process of selecting the areas.

Granting access to all areas doesn't give a user your privileges as QuickBooks Administrator. These are the activities that only the QuickBooks Administrator can perform:

  • Set up passwords and permissions for new users.

  • Export or import data.

  • Change setup information about your company (company name, address, fiscal year, tax year, and so on).

  • Change preference settings that appear on the Company tab. These settings apply to the company as a whole, not individual users.


Sensitive financial reports

This permission lets a user create all reports and graphs.

Important: This permission does not provide the ability to change or delete transactions displayed in the reports. If you want the user to be able to change or delete these transactions, you need to give the user permission to access an area (for example, A/R transactions), and to change and delete transactions (on the next screen).


Time tracking

This permission gives a user the ability to:

  • Prepare weekly timesheets

  • Enter time for single activities

  • Export and import Timer data

  • Print timesheets. To allow printing, you must select either Full Access or "Create and print transactions" under Selective Access.

  • Create time reports. To allow access to these reports, you must select either Full Access or "Create transactions and Create Reports" under Selective Access.

Important: This permission does not provide the ability to change or delete previously-recorded transactions. You can assign permission to change and delete transactions when you come to the window titled "Changing or Deleting Transactions."


Who is the QuickBooks Administrator?

The QuickBooks Administrator sets up the company file and assigns passwords and access privileges to other users. The QuickBooks Administrator has unlimited access to all areas of QuickBooks.

Here are some of the tasks that only the administrator can do:

  • Disable the Login window in a company file

    If you know the administrator's password and would prefer not to have to log in to the file each time you open it, you can make changes to users and passwords so that the Login window does not display.

    Important: Disabling the Login window will allow full, unprotected access to your company data.

    1. Log in to the company file as the administrator.

    2. Go to the Company menu and click Set Up Users.

    3. For each user that does not show (Admin) next to their user name, highlight the user in the list and click "Delete User". Click Yes to verify you want to delete the user.

    4. After all non-administrator users have been deleted, highlight the administrator and click "Edit User".

    5. Delete the password by removing the entry for both the "Password" and "Confirm Password" fields and click Next.

    6. In the message that follows, click "No", that you do NOT want to set up a password, and then click Finish.

    From now on, anytime you open this company file, QuickBooks will recognize that there is only an administrator set up without a password and will no longer display the Login window when you open the file.

  • Change a user's access permissions

  • Import and export data

  • Apply for the QuickBooks Merchant Service

  • Change company-related information such as the company name, address, or fiscal year

If you need to do one of these tasks, have your QuickBooks Administrator do it for you.

See also

  • What if I forgot my administrator password?

  • What if I never had a password?


Access permissions (definition)

Access permissions protect a QuickBooks data file from unauthorized access by requiring each user to enter a unique user name and password to open the data file.

Based on the user's name and password, access can be restricted to selected areas of QuickBooks (for example, allowing the user to run reports but not view payroll information).

The first person to set up users has the ability to set up the QuickBooks Administrator, a special user who has abilities that no other user can be granted such as setting up other users.

When setting up permissions, be sure to enter an administrator password. Do not leave the administrator password blank.

If you are the QuickBooks Administrator, you can add users and give them access.


Access permissions in QuickBooks

set up permissions

permissions

roles

The QuickBooks Administrator can give a user access to any or all of these areas when he or she sets up the user's password:

  • Sales and accounts receivable

  • Purchases and accounts payable

  • Checking and credit cards

  • Inventory

  • Time tracking

  • Payroll

  • Sensitive accounting activities

  • Sensitive financial reports

For each of these areas, the QuickBooks Administrator can also give a user the ability to Change or delete transactions

See also

  • Who is the QuickBooks Administrator?

  • Setting up the QuickBooks Administrator

  • Adding users and giving them access

Access permissions in QuickBooks Enterprise Solutions

set up permissions

permissions

roles

Watch a 7-minute tutorial about permissions

QuickBooks Enterprise Solutions enables you to create users and assign roles to them. Users are people in your company who access the company file. Roles are permission sets that can be created or modified, then assigned to users. Roles allow flexibility and offer customization of access levels for different users in your company.

Learn about roles

QuickBooks Enterprise Solutions comes with 14 predefined roles that can be modified or duplicated. You can also create new roles as necessary.

Example

Here are some of the permissions that are preset for a predefined role called Sales:

Access to Estimates, Invoices, Sales Orders, and Sales Receipts. Access to Sales Reports and Customer Lists. Within each of these areas a user can be granted the right to view, create, modify, print, or delete.

Once a role has been created, it can be assigned to one or more users in the company. Conversely, a user can be assigned multiple roles.

See also

  • Adding a new user

  • Creating a role

  • About predefined roles

  • How permissions transfer from an older version of QuickBooks


Why are passwords important?

Passwords limit access to your company data. To open a file protected by passwords, each person must enter not only his or her user name but also a unique secret password. Note: Passwords are case-sensitive.

Until you set up users in your QuickBooks company file, any person who accesses the company file will have full access, just as they always have. However, no two people can access the company file simultaneously.

Important: If you have QuickBooks software for multiple users and want more than one user to access the company file simultaneously, you must set up users.

Assign a unique user name and case-sensitive password to each person who uses the company file. Each person should have a unique user name and password for both Windows and QuickBooks. QuickBooks, like any Windows application, relies on security features within Windows. These features are most effective when each user on the system can be accounted for.

The first person to set up users has the ability to set the password for the QuickBooks Administrator, who is a special user and has abilities that no other user can be granted like setting up other users.

See also

  • Setting up new users

  • Assigning passwords to new users

  • Changing passwords

  • Other security precautions you should take


What's important about the Change Closing Date Password window

Anyone who attempts to edit or delete a closed transaction will be prompted to enter the closing date password. If you are changing the password, be sure to inform any one who needs to know the new password.

Recommendations

  • Use at least six characters. The password can be up to 16 characters long.

  • Don't worry about mixing uppercase and lowercase characters. To QuickBooks, these are the same password:

    marigold
    Marigold
    MARIGOLD

To remove the password

  • Clear the New Password and the Confirm New Password fields.


Working with the QuickBooks Login window

The QuickBooks Login window is displayed when users have been set up in the company file you are opening.

If you see a Login window when you open a company file, it means there was at least one user set up in that company file at some time.

If the Login window only asks for a password, you must enter the administrator password to continue. If the Login window asks for both a user name and a password, you can enter any user name/password that was set up in that company file. User names and passwords are created for company files, not for the QuickBooks application itself.

Some tasks require the administrator to log in, such as updating the file to a new version.

Passwords are case-sensitive.

Troubleshooting password issues

  • Forgotten passwords

    "Forgotten passwords"

  • Known password is no longer working

    There are three main causes of known passwords not working:

    • The login screen is requiring the Administrator password and you are using a non-Administrator password

      In certain circumstances, QuickBooks will automatically display a Login window that only asks for a password and does not ask for a user name. That password is the Administrator's password.

      If you have been successfully logging in to a company file by typing your user name and password and now the Login window does not ask for a user name, you may not be set up as the administrator. Therefore, your password will not work in this scenario.

      To resolve this issue, determine if an administrator was set up in the file and use that password. If you do not know the administrator's password, see Resetting forgotten administrator passwords.

    • You have accidentally opened a different company file

      The name of the company of the file you are opening is displayed in bold above the field to enter your user name or password. Make sure that company name matches the name set up for the file you are trying to open:

      1. Verify that you are opening the correct company file by clicking Cancel on the login screen.

      2. Go to the File menu and click "Open Previous Company".

      3. Review the list of files you've previously opened. Try opening the file from that list and see if your password works in that file.

      4. If that fails, see Resetting forgotten administrator passwords.

    • There is some list damage in the company file

      If you are certain you are using the administrator password when required, are using a valid user name and password for the correct file, yet QuickBooks is not accepting the password, you may have list damage in the file.

      To resolve this issue, you will need to reset the administrator password. See Resetting forgotten administrator passwords.

  • Company file is suddenly requiring a password

    "Suddenly asking for password"

Tasks associated with the Login window

  • Disabling the Login window in a company file

    If you know the administrator's password and would prefer not to have to log in to the file each time you open it, you can make changes to users and passwords so that the Login window does not display.

    Important: Disabling the Login window will allow full, unprotected access to your company data.

    1. Log in to the company file as the administrator.

    2. Go to the Company menu and click Set Up Users.

    3. For each user that does not show (Admin) next to their user name, highlight the user in the list and click "Delete User". Click Yes to verify you want to delete the user.

    4. After all non-administrator users have been deleted, highlight the administrator and click "Edit User".

    5. Delete the password by removing the entry for both the "Password" and "Confirm Password" fields and click Next.

    6. In the message that follows, click "No", that you do NOT want to set up a password, and then click Finish.

    From now on, anytime you open this company file, QuickBooks will recognize that there is only an administrator set up without a password and will no longer display the Login window when you open the file.

  • Adding/removing user names and passwords

    "Setting up users"

  • Changing passwords

    "Changing passwords"

Understanding users and passwords

  • Understanding why and when QuickBooks asks for only a password

    If the Login window asks only for a password, it is the administrator password that is required. This may be because you are performing a task that requires the administrator password or because you have set up only the administrator and no additional users.

  • Understanding the difference between login passwords and closing date passwords

    If you are prompted for a password when you open a company file, you need to enter the user's password. If you're prompted for a password when you're saving a transaction, you need to enter the closing date password.

    The closing date password is set up separately from the login passwords. To change the closing date password, see Changing the closing date password.

  • The importance of the user "Administrator"

    "Importance of Administrator"

  • Why passwords are important

    "Importance of passwords"

  • User and password limitations

    "User and password limitations"

If you don't see your particular problem in the list above, check the Go online QuickBooks Support site on the Web.


Set up QuickBooks Administrator

The QuickBooks Administrator is the only user who has access to all activities in QuickBooks. It is the administrator who assigns passwords and access privileges to other users. Because the administrator has the central role in QuickBooks security system, we recommend that the administrator be someone who is usually available in your office.

Administrator's name: This is the name that the administrator uses to log into QuickBooks. Although QuickBooks suggests "Admin" as the name, you can change the name if you want.

Administrator's password: Although a password is optional, we recommend that you create one if you're concerned about security. Remember, someone who logs in as QuickBooks Administrator has access to all parts of QuickBooks, and your company data, without restriction.


What's important about the User list

The list shows who is allowed to work with your company data:

  • To add a new user, click Add User.

You can add an unlimited number of users. The number that can have access at the same time, however, depends on your QuickBooks license agreement.

  • To change what a user can do, select a name and click Edit User.

  • To change a user's password, select the user's name and click Edit User.

  • To remove a user from the list, select the user's name and click Delete User.

  • To view a user's access permissions, select the user's name and click View User.

Closing Date: Click this button to set a password-protected closing date for your company file. This protects your records against changes that would alter balances for closed accounting periods.


What's important about the Set Closing Date Password window

The closing date password limits access to transactions entered on or before the closing date. Anyone who attempts to edit or delete a closed transaction will be prompted to enter the password.

Recommendations

  • Use at least six characters. The password can be up to 16 characters long.

  • Don't worry about mixing uppercase and lowercase characters. To QuickBooks, these are the same password:

    marigold
    Marigold
    MARIGOLD


Protect your QuickBooks data

In addition to setting up users and passwords, you can provide additional security for your QuickBooks company file. Here are some suggestions to make your company data more secure:

  • Install a network-based or PC-based firewall: If you install a firewall on your Internet connection, you can reduce the likelihood that uninvited persons will use the Internet to access systems on your network. Firewall products will help you to ensure that your computers only conduct the traffic you allow. You can find out more about industry-certified products from the sites listed in the table. Many of the sites listed contain references for further information.

  • Find out more about Windows security and Windows Update services from Microsoft: Go online http://www.microsoft.com/security/

  • Install anti-virus software and keep it up-to-date: Find out more about anti-virus software, computer viruses and related information from the sites listed in the table below.

  • Configure QuickBooks access controls appropriate for your business: QuickBooks enables you to configure access controls to several classes of information and capabilities. You can restrict access to Accounts Receivable, Accounts Payable, Payroll, Online Banking, and critical accounting functions, so that only the people you select will be able to perform those functions. These restrictions will also apply to applications that use the QuickBooks SDK that run under each user's account.

  • Back up your data file frequently: Keep backups of your data file in a safe location. Keep your backups in a fireproof safe, or at a business records management facility.

  • Keep your business running when disaster strikes: Appropriate people in your company should perform administrative tasks for QuickBooks. If a temporary employee installs and sets up QuickBooks, they may not be capable of supporting you in critical situations. Plan for situations where your accountant or bookkeeper is unavailable. If your data file is damaged, or the QuickBooks administrator password is lost, and you purchase data recovery services from Intuit, Intuit may need to contact the owner of the business to recover your company data file, for security reasons.

Further information

Intuit does not endorse or specifically recommend any of the products listed in the links below. Security recommendations should take into account relevant factors that may be unique to your business. No single product or security technique by itself will assure complete protection of your data. Combinations of the products and practices listed here will help to protect your QuickBooks data.

Additional information may be obtained by using your favorite search engine to search for anti-virus and firewall products.

Security Web Site | Description
Go online www.staysafeonline.info | A government-industry sponsored site to educate the public about computer security. Look for advice for small businesses under the "Beginners Guides" section.
Go online www.consumerreports.org | Consumer Reports has issued ratings on personal firewalls and anti-virus software; search for "firewalls" and "anti-virus" for details.
Go online www.cisecurity.org | This site is for IT professionals looking for best practices documents for system configuration.
Go online www.cert.org/homeusers | This is a set of guidelines issued by the Computer Emergency Response Team at Carnegie Mellon University for home users. Look in the "Home Computer Security" section for information.

See also

  • Setting up new users

  • Assigning passwords to new users

  • Changing passwords


What the closing date password does

QuickBooks requires the password to make any changes that would alter balances for the accounting period you have closed. This includes editing or deleting transactions entered on or before the closing date, and entering new transactions dated on or before the closing date.


Passwords for admins

Although a password is optional, we recommend that you create one if you're concerned about security. Remember, if you do not enter a password, anyone can log in as Admin and access or modify anything in QuickBooks or your company data, without restriction.


Levels of user access

  • No access: Denies access of any kind to the area.

  • Full access: Provides general access to the area, letting the user do everything except edit and delete transactions. You'll be asked near the end of the setup process if you also want the user to edit and delete transactions.

  • Selective access: Provides a more limited access to the area than full access. Select this option if you want the user to have access, but not be able to do a particular activity. For example, you can allow someone to enter transactions but prevent them from printing them.


Giving the user access to areas of QuickBooks

  • Selected areas of QuickBooks: Lets you choose which areas (sales, purchases, payroll, and so on) the user can access in QuickBooks. A sequence of questions helps you select the areas.

  • All areas of QuickBooks: Gives the user access to all areas. The user can do everything except a few special activities reserved exclusively for the QuickBooks Administrator. Activities the user won't be able to do are:

    • Setting up passwords and permissions

    • Importing and exporting data

    • Changing company setup information

    • Changing company-specific preferences


Editing and deleting

Yes. Allows editing and deleting of transactions in all areas where the user has access.

No. Restricts editing and deleting of transactions to those the user entered in the current QuickBooks session.

Closing date

Yes. Lets the user edit and delete transactions entered on or before your current closing date. This privilege is also password-controlled. A user who has the privilege must know the closing date password to gain access to closed transactions.

No. Prevents the user from editing or deleting closed transactions, even if the user knows the closing date password. This protects your records against changes that would alter balances for closed accounting periods.


Changing the name of the QuickBooks Administrator

To do this task

  1. Log into QuickBooks as the QuickBooks Administrator.

    • If you are not logged in as the administrator, reopen the company file and enter the administrator's user name and password.

    • If you have forgotten the administrator's name, log in as ADMIN.

  2. Go to the Company menu and click Set Up Users.

  3. In the User List window, select the administrator's name. Click Edit User.

  4. Enter the new administrator's name.

  5. (Optional) Change the password.

  6. Click Next and then click Finish.

See also

  • Setting up the QuickBooks Administrator


Setting up a QuickBooks Administrator

password; password

Only the QuickBooks Administrator can assign access permissions and passwords to other users.

To do this task

  1. Decide who the administrator will be. Choose someone who is usually available in your office.

  2. Go to the Company menu and click Set Up Users.

  3. In the User List window, select Admin and click Edit User.

  4. Enter the name of the person who will be the Admin.

    (Optional) Enter a password in the Administrator's Password field. Enter the password again in the Confirm Password field.

    Why we recommend creating a password

  5. Click Next and click Finish.

See also

  • Changing the QuickBooks Administrator

  • Protecting your QuickBooks data


Change the closing date password

Only the QuickBooks Administrator can do this task.

If you need to, you can change the closing date password that provides access to closed accounting periods.

To do this task

  1. Open the accounting preferences.

    Opening accounting preferences

  2. Click the Company Preferences tab.

  3. In the Closing Date section, click the Set Date/Password button.

  4. Enter the new password in both the Password and Confirm Password fields.

  5. Click OK.

See also

  • Work with QuickBooks login window

  • Close your books

  • Reopen your books


Clear the closing date

Clearing the closing date reopens the closed accounting period.

To do this task

  1. Open the accounting preferences.

    Opening accounting preferences

  2. Click the Company Preferences tab.

  3. In the Closing Date section, click the Set Date/Password button.

  4. Delete the date shown in the Closing Date field.

See also

  • Set the closing date and closing date password


Opening the company file and logging on

To do this task

  1. In QuickBooks, go to the File menu and choose Open or Restore Company.

  2. Click Open a company file and then click Next.

  3. Browse to the location of the company file you want to open. If you can't find the company file, see Finding a file on a computer running Windows.

  4. Select the company file and click Open.

  5. If QuickBooks asks you to log in to the file, use the user name and password assigned to you by the QuickBooks Administrator.

See also

  • About multi-user access

  • Changing your password

  • More about access permissions

  • Learn how users and roles work together


Changing passwords

See one of these topics:

  • Changing someone else's password

  • Changing your own password

  • Changing the closing date password


Changing another user's password

Only the QuickBooks Administrator can do this.

When changing a password, try to use password setting "best practices" such as the following:

  • Include a combination of upper and lower case letters. QuickBooks passwords are case-sensitive.

  • Include a combination letters and numbers.

  • Make the password at least six characters long.

  • Do not allow blank passwords.

  • Do not allow passwords to be obvious, such as the user's name or the word "password."

  • Change passwords on a regular, periodic basis to protect your data.

To change a user's password

  1. Go to the Company menu and click Set Up Users.

  2. Select the user whose password you want to change.

  3. Click Edit User.

  4. Enter the new password, first in the Password field and then in the Confirm Password field.

  5. Click Next twice. Click Finish.

  1. Go to the Company menu, choose Users, and then click Set Up Users and Roles.

  2. In the User List tab, select the user and click Edit.

  3. Enter the new password, first in the Password field and then in the Confirm Password field.

  4. Click OK.


Changing your password

You can change your QuickBooks password at any time. Be aware that passwords are case-sensitive, so note whether or not you have your Caps Lock key on.

To do this task

  1. Go to the Company menu and click Change Your Password.

  2. Enter your current password in the Enter Old Password field.

  3. Enter the new password: first in the New Password field and then in the Confirm New Password field.

  4. Click OK.

The next time you log into the company file, QuickBooks asks you to enter your new password.


Deleting passwords

See one of these topics:

  • Deleting someone else's password

  • Deleting your own password


Deleting someone else's password

Only the QuickBooks Administrator can do this.

If someone has asked you to delete his or her password, keep in mind the implications of doing so. It is much easier for unauthorized users to access your QuickBooks data when there are no passwords. Carefully consider which type of access privileges this user has before deleting the password.

To do this task

  1. Go to the Company menu, choose Users, and then click Set Up Users and Roles.

  2. Select the user whose password you want to delete.

  3. Click Edit User.

  1. Go to the Company menu, choose Users, and then click Set Up Users and Roles.

  2. Click the User List tab and select the user whose password you want to delete.

  3. Click Edit.

  4. Remove the current password from the Password and the Confirm Password fields.

    The current password appears as a row of asterisks (******) in these two fields. When you finish, the fields should be blank.

  5. Click Next.

  6. (Optional) Change the access permissions for the user.

  7. Click Next and click Finish.


Deleting your own password

To do this task

  1. Go to the Company menu and click Change Your Password.

  2. Enter your current password in the Enter Old Password field.

  3. Leave the New Password and the Confirm New Password fields blank.

  4. Click OK.


Resetting the administrator password

multiuser

multi user

To change non-administrator passwords, see either Changing another user's password or Changing your own password.

If you cannot log in to your company file because your administrator password is not working, you can use the tips below to try to remember the password on your own, or you can reset the administrator password with Intuit's online service.

Tips for passwords that are not working

  • The most common cause of incorrect passwords is you have accidentally opened a different company file.

    The name of the company of the file you are opening is displayed in bold above the field to enter your user name or password. Make sure that company name matches the name set up for the file you are trying to open:

    1. Verify that you are opening the correct company file by clicking Cancel on the login screen.

    2. Go to the File menu and click Open Previous Company.

    3. Review the list of files you've previously opened. Try opening a file from that list and see if your password works in that file.

  • If prompted for a user name, type Admin in the User Name field and click OK without typing a password.

  • Check to see if you have the Caps Lock or the Num Lock keys on. Passwords are case-sensitive, so try your password with these keys both on and off. Try capitalizing just the first letter of the password.

  • Add a space before and/or after the password.

  • Type the password in Notepad to be sure the keyboard is working.

  • Try all passwords you may have used for other QuickBooks files or for other password-protected functions.

  • If there is only a small amount of data in the company file, consider creating a new file and re-entering the information.

  • If you made a backup copy of the file prior to adding the password, restore the backup copy. Any data that was added after the backup was made must be entered manually. To safely restore the backup, first move the password-protected company file to a new location on your hard disk so that it's not overwritten by the backup. You'll want to keep the password-protected file separate in case you need to send it to Intuit for password removal services.

  • Verify that QuickBooks is not asking for a closing date password. If you're prompted for a password when you're saving a transaction, you need to enter the closing date password. This is not the same as the Login window that displays when opening a company file.

Resetting the administrator password

If the tips above failed, you can use Intuit's Password Removal Service (see link below) to reset the administrator password. Removal options as well as detailed instructions for the removal process are on the Web site. You will be required to verify your QuickBooks registration information.

After you click the link, you may need to minimize this Help topic to view the site in QuickBooks.

Go online Intuit Password Removal Service

See also

  • Working with the QuickBooks Login window

  • What if the QuickBooks file never had a password?

  • Changing another user's password


Company file is suddenly asking for a password

When the company file you are opening is suddenly asking for a password, one of these things may be occurring:

  • You installed a new version of QuickBooks

    When opening a company file for the first time in a newer version of QuickBooks, the company file must be updated and the administrator login window is automatically displayed. You must enter the administrator password when updating a file.

    Because the administrator is only required when updating a file, you may have been logging in to the file all along with a non-administrator user name and password, but now that the file is being updated, you must use the administrator's password.

    To resolve this issue, determine if an administrator was set up in the file and use that password. If you do not know the administrator's password, see Resetting forgotten administrator passwords.

  • You accidentally opened a different company file

    The name of the company of the file you are opening is displayed in bold above the field to enter your user name or password. Make sure that company name matches the name set up for the file you are trying to open:

    1. Verify that you are opening the correct company file by clicking Cancel on the login screen.

    2. Go to the File menu and click Open Previous Company.

    3. Review the list of files you've previously opened. Try opening the file from that list and see if your password works in that file.

  • QuickBooks is asking for a closing date password

    If you are prompted for a password when you open a company file, you need to enter the user's password. If you're prompted for a password when saving a transaction, you need to enter the closing date password.

    The closing date password is set up separately from the login password. To change the closing date password, see Changing the closing date password.

See also

  • Working with the QuickBooks Login window

  • Resetting the administrator password

  • Changing another user's password


Assigning passwords to new users

Only the QuickBooks Administrator can do this.

When assigning a new password, try to use password setting "best practices" such as the following:

  • Include a combination of upper and lower case letters.

  • Include a combination of letters and numbers.

  • Make the password at least six characters long.

  • Do not allow blank passwords or spaces.

  • Do not allow passwords to be obvious, such as the user's name or the word "password".

  • Change passwords on a regular, periodic basis to protect your data.

See also

  • How users and roles work together


Set a closing date and closing date password

You must be in single-user mode to do these tasks.

About closing your books at year-end

You close your books by setting a closing date. You can also limit access to the closed accounting period by setting a closing date password.

If you decide to set a password, QuickBooks requires the password for changes that would alter balances for the accounting period you have closed. This includes adding, editing, or deleting transactions dated on or before the closing date. You can change the password at any time.

To do this task

  1. Open the accounting preferences.

    Opening accounting preferences

  2. Click the Company Preferences tab.

  3. In the Closing Date section, click the Set Date/Password button.

  4. In the Date section, select the date through which you want your books to be closed.

  5. (Optional, but recommended) Enter a password in both the Password and Confirm Password fields to limit access to the closed accounting period.

  6. Click OK.

See also

  • Reopen your books

  • Clear the closing date

  • Change the closing date password

  • Closing date exceptions


Reopen your books

To do this task, you must be in single-user mode.

"Switching to single-user mode" topic goes here

To reopen your books, you must clear the current closing date. This gives anyone with the proper permissions full access to transactions entered on or before the closing date. If you have QuickBooks Premier or QuickBooks Enterprise, you can see a history of your closing date changes in the Closing Date Exceptions report.

To do this task

  1. Open the accounting preferences.

    Opening accounting preferences

  2. On the Company Preferences tab, delete the date in the Closing Date section.

  3. Click OK.

See also

  • Closing your books

  • Closing date exceptions


Add users and give them access

Only the QuickBooks Administrator can do this task.

To do this task

  1. Go to the Company menu, click Users, and then click Set Up Users and Roles.

  2. Click the User List tab and then click New.

  3. In the User Name field, enter the name of the person.

  4. Enter a password in the Password field and again in the Confirm Password field.

  5. Next you can either click OK to finish adding the new user or you can assign roles to the new user.

To do this task

  1. Go to the Company menu and click Set Up Users.

  2. Click Add User.

  3. Assign a user name and password:

    1. Enter the name of the person in the User Name field.
    2. (Optional) Enter a password in the Password field and again in the Confirm Password field.
    3. Click Next.

  4. Choose whether this person will have access to selected areas of QuickBooks or all areas of QuickBooks.

    What do these choices mean?

    External expando to popup_user_add_scope.html goes here

  5. Click Next.

    • If you granted access to all areas of QuickBooks, you have no more selections to make. Click Yes to confirm that you want this person to have full access. Click Finish to complete the setup process.

    • If you are selecting the areas the user has access to, make your selections in the window. Click Next to go to the next window.

      What do the access levels mean?

      External expando to popup_user_add_bucket.html

  6. When the Changing or Deleting Transactions window opens, click Yes to the first question if you want the user to be able to edit and delete transactions in addition to creating them, and then indicate whether you want the user to have access to transactions from prior accounting periods.

    What do my responses mean?

    This is an external expando

  7. In the last window, review the table that summarizes the access rights you granted. If you need to make a change, click Prev to return to the appropriate window.

  8. Click Finish to complete the setup process.

QuickBooks Enterprise Solutions offers more advanced options to customize Go online user permissions.

See also

  • About multi-user access

  • Assigning passwords to new users

  • Can more than one user access the company file at the same time?


Giving your accountant full access

Only the QuickBooks Administrator can do this.

To do this task

  1. Go to the Company menu and click Set Up Users.

  2. In the User List window, click Add User.

  3. Assign a user name and password:

    • Enter the name of your accountant in the User Name field.

    • Enter the password: first in the Password field and then in the Confirm Password field.

    • Click Next.

  4. Select All areas of QuickBooks and click Next.

  5. Click Yes to confirm that your accountant is to have access to all areas of QuickBooks.

  6. Click Finish.

  1. Go to the Company menu, choose Users, and then click Set Up Users and Roles.

  2. On the User List tab, click New.

  3. Assign a user name and password:

    • Enter the name of your accountant in the User Name field.

    • Enter the password: first in the Password field and then in the Confirm Password field.

  4. In the Available Roles list, highlight "Accountant" and click Add. "Accountant" appears in the list of Assigned Roles. You've now assigned the role of Accountant to your accountant.

    What permissions are allowed in the Accountant role?

  5. Click OK.

See also

  • About access permissions


Adding a new user

Only the QuickBooks Administrator can do this.

To do this task

  1. Go to the Company menu, choose Users, and then click Set Up Users and Roles.

  2. Select the User List tab and click New.

  3. Enter the name of the person in the User Name field.

  4. Enter a password, first in the Password field and then in the Confirm Password field.

  5. Next, you can click OK to finish adding the new user.

  6. Or you can assign roles to the new user

See also

  • Assigning passwords to new users

  • Changing passwords


Changing a user’s permissions

Only the QuickBooks Administrator can do this task.

To do this task

  1. Go to the Company menu and click Set Up Users.

  2. Select the user whose permissions you want to change.

  3. Click Edit User.

  4. Enter your changes in the screens that appear. Click Next to go to the next screen.

  5. When the last screen appears, check the table that summarizes the user’s new access rights. If you need to make a change, click Prev to return to the appropriate screen.

  6. Click Finish to complete the setup process.

QuickBooks Enterprise Solutions offers more advanced options to customize Go online user permissions.


Welcome to QuickBooks Help

If you're new to QuickBooks

  • Let the Learning Center introduce you to QuickBooks. The tutorials will help you get started right away. You'll get a "big picture" overview of important concepts in QuickBooks, as well as step-by-step instructions for key tasks. Go to the Help menu and click QuickBooks Learning Center.

If you've upgraded to a newer version of QuickBooks

  • Let the New Features topics introduce you to the changes we've made to features and services in the latest version of QuickBooks. Go to the Help menu, choose QuickBooks Learning Center, and then click the What's New tab.

For Help while using QuickBooks

  • For information about common tasks, use the How Do I menu on the window where you are having problems.

  • For information about the fields or controls in a window, press the F1 key.

  • For Help on a specific subject, look in the Help Index or search the Help topics.

    • To use the index, go to the Help menu, click QuickBooks Help, and then click Index.

    • To search for information, click in the search field on the window title bar, enter your question, and then click Ask.

If you need more assistance

  • Go to the Support Resources page to learn about product assistance, technical support, training, and other resources for your business. Go to the Help menu and click Support Resources.


What's important about the Integrated Applications Preferences window

Only the QuickBooks Administrator can do this.

This window enables you to set preferences that govern the rights integrated applications have to access the current QuickBooks company file. The preferences set in this window apply to all integrated applications seeking to access this company file. You can permit or deny access to individual applications by clicking in the Allow Access column of the "Applications that have previously requested access" table. You can set other preferences for individual applications using the Properties window.

Checkboxes

Don't allow any applications...

Don't allow any applications...

Notify the user before running...

Notify the user before running...

Window regions

Applications that have previously requested access to this company file

Applications that have previously requested access to this company file

Buttons

Properties

Properties

Remove

Remove

Default

Default

See also

  • Integrating QuickBooks with other software

  • Learning about applications that integrate with QuickBooks

  • Allowing integrated applications to access QuickBooks files

  • Letting an application access files automatically

  • Restricting permissions for an application


Integrate QuickBooks with other software

You can integrate key QuickBooks data with a variety of QuickBooks-compatible software solutions. This means that in some cases you can use these software solutions designed for your type of business or industry with QuickBooks data. Sales, customer, and other financial data can be shared between QuickBooks and certain QuickBooks-compatible software.

Integration will help save time, reduce data entry, and increase accuracy so you can focus on more important activities, like growing your business.

Data transfer is much more secure than manual importing and exporting, and QuickBooks validates the shared data. Some applications may be able to run even when no one is working in QuickBooks.

We recommend that you back up your QuickBooks data prior to installing any QuickBooks-compatible software. Control of these software solutions will remain in your hands. You must give the application permission before it can access your QuickBooks files. You can also set permissions on these software solutions by using the user permissions feature.

Visit the QuickBooks Solutions Marketplace for more information about QuickBooks-compatible software.

See also

  • Learn about software solutions that integrate with QuickBooks

  • Allow software solutions to access QuickBooks files

  • Let QuickBooks-compatible software access files automatically

  • Restricting permissions for a software solution


Opening the time tracking preferences

Opening integrated applications preferences

  1. Go to the Edit menu and click Preferences.

  2. In the Preferences window, click Integrated Applications in the list on the left.

  3. Click the Company Preferences tab.


What's important about the Properties window (integrated applications preferences)

What's important about the Properties window

Only the QuickBooks Administrator can access this.

This window enables you to set properties that govern the way the selected integrated application is allowed to access the current QuickBooks company file.

Access Rights

Allow this application to read (and modify) this company file

Allow this application to read and modify this company file

Note: Exact wording depends on whether the application requests read-only access or read and modify access.

Prompt before allowing access

Prompt before allowing access

Allow this application to log in automatically

Allow this application to log in automatically

Details

Name

Name

Developed by

Developed by

First accessed

First accessed

Last accessed

Last accessed

Developer identity verified by

Developer identity verified by

Expiration Date

Expiration Date

See also

  • Integrating QuickBooks with other software

  • Learning about applications that integrate with QuickBooks

  • Allowing integrated applications to access QuickBooks files

  • Letting an application access files automatically

  • Revoking data access

  • Restricting permissions for an application


The Application Calls Itself...

The application reports its name to QuickBooks, and this is where QuickBooks passes on the name. If the application does not have a certificate or has an expired or revoked certificate, QuickBooks can report the name but cannot verify it.


Certificate Information

Gives the name of the certificate authority—the organization that issued the verifying certificate. For details and questions about the trustworthiness of a particular certificate authority or digital certificate, please consult the certificate authority's Web site.


Certificate Information

Gives the name of the certificate authority—the organization that issued the verifying certificate. For details and questions about the trustworthiness of a particular certificate authority or digital certificate, consult the certificate authority's Web site.

In this case, the information that the certificate is expired is also displayed. The expiration of the certificate does not necessarily affect the safety of the application. However, certificate authorities will not provide any assurances for applications whose certificates have expired.


Application name and developer

Gives the name and developer of the application, as reported by the application itself to QuickBooks. QuickBooks cannot necessarily verify this information; however, if you are seeing this information, then your QuickBooks Administrator has authorized this application to access the current company file after prompting you for permission.


Certificate Information

When the application does not have a valid certificate, QuickBooks notifies you.


Don't allow any applications...

Prevents all integrated applications from accessing the current company file. When this box is checked, neither the administrator nor the user will see access screens or be able to authorize applications to access the company file. Unchecking the box will permit administrators and users (if permitted by the administrator) to authorize access.


Notify user before running...

Tells QuickBooks to show the user the Expired Certificate window if an application attempts to access a company file after the application's certificate has expired. The user can then determine whether the application should be allowed to access the company file.

A certificate is not invalid because it expires nor does the application itself change when the certificate expires.


Applications that have previously requested access to this company file

A list of all applications that have been given access to the current company file. The checkmark in the left column indicates that the application is currently allowed to access the company file. Click the checkmark to remove it, or remove the application by selecting it and clicking Remove.


Default

Restores the "Don't allow access..." and the "Notify user..."checkboxes to their default state, which is unchecked. It does not affect checkmarks in the Allow Access column of the applications list.


Properties

Enables you to see and modify QuickBooks properties associated with the selected application. These properties control how the application accesses the current QuickBooks company file.


Remove

Removes the selected application from the list of applications that have been granted access to the current company file.


Revoking access to personal data

If you authorized a signed application to access personal data and now want to revoke that access, you can do so in one of two ways:

  • If you are prompted each time the application tries to access your company file, the next time this occurs you can refuse access.

  • If you are the QuickBooks Administrator, you can edit the Integrated Applications preferences in QuickBooks.

See also

  • Learning about applications that integrate with QuickBooks


Allow this application to log in automatically

Allows the application to log in to QuickBooks without a user being in attendance to authorize access, and whether or not QuickBooks is running. You cannot select this option and have the "Prompt before allowing access" option remain in effect.

If you select this option and your company file has multiple users, you must also select a valid user that the application can log in as. The application's access will be the same as that of the user you select.


Developed by

The name of the developer who created the application. This name may not be available to QuickBooks if the application does not have a certificate.


Name

The name of the application.


Expiration date

The date on which the certificate for the application expires.


First accessed

The date and time the application first accessed the current company file.


Developer identity verified by

Gives the name of the certificate authority—the organization that issued the verifying certificate for this application.


Last accessed

The most recent date and time the application accessed the current company file.


Prompt before allowing access

When selected, you will be prompted each time the application attempts to access the current company file. This is checked automatically if you selected "Yes, This Time" or "Yes, prompt each time" on an access window for this application. If this is selected, you cannot choose to allow the application to log in automatically.


Allow this application to read (and modify) this company file

Allows the selected application to access the current company file. A check in this box is mirrored by a check in the Allow Access column in the Integrated Applications Preferences window. If this is not checked, you can't set other properties.

Note: The application itself determines whether it needs read-only access or read and modify access, and you can only permit or deny the level of access requested. You cannot okay read-only access if the application requests read and modify access.


What is a certificate?

A certificate is a digital signature indicating:

  • Third-party verification of the identity of the application's developer.

  • That the application has not been tampered with since it was created.

Developers of QuickBooks integrated applications have the option of digitally signing their code and providing certificates, but they may not always do so. The absence of a signature and certificate does not necessarily mean that something is wrong with the application or that you should prevent it from accessing your files. It simply means the source of the application is not verified by a certifying agency. However, an application with no certificate may have been altered from its original form, may have been modified to perform functions that are not visible to the user, may contain computer viruses, or may not be from the developer who appears to have created it.

If you obtained the application from a non-secure source, the absence of a certificate should concern you more than if you purchased the application directly from a reputable vendor or developer.

Certificates are not issued by Intuit or QuickBooks and do not indicate the ability of an application to integrate with QuickBooks.


Yes, prompt each time

Allows the application to access your QuickBooks file during this QuickBooks session only. Any future requests by the application to access your QuickBooks files will still need authorization, but once this option has been selected, anyone logged into this particular QuickBooks file can authorize access.


Yes, always...

Allows the application to access your QuickBooks files at any time (unless QuickBooks has a different QuickBooks company file open). If QuickBooks is not running the application will launch QuickBooks in the background and automatically log in.

If you select this option and your company file has multiple users, you must also select a valid user that the application can log in as. The application's access will be the same as that of the user you select.


Allow this application....

Allows the application access to personal data; for example, you may require an application to access employee data to assist with expense reporting or time tracking.

Use great care when authorizing third-party applications to access personal data.


Yes, whenever...

Allows the application to access the current company file whenever that file is open. If the application attempts to read and modify a different company file, you must again choose whether to authorize access.


No

Prevents the application from accessing your QuickBooks files on this occasion. It may request access again at some future time.


Protecting company data

What is a signed application?

A signed application is a program that the developer has digitally "signed." Each signature is associated with a certificate that includes the application developer's name and other information. If the certificate is valid and the application has not been modified since it was signed, the administrator will see the application's name, the developer's name, and the name of the certificate authority (the agency that issued the certificate). For questions and details regarding the trustworthiness of a particular certificate authority or digital certificate, please consult the certificate authority's website.

You might be able to get additional information about the application and its developer from the QuickBooks Solutions Marketplace. We recommend that you always use signed applications and make this preference known to application developers.

You can go to the Integrated Applications Preference to set or modify permissions or restrictions on an integrated application without waiting for the authorization window to appear.

See also

  • Integrating QuickBooks with other software

  • Learning about applications that integrate with QuickBooks

  • Letting an application access files automatically

  • Restricting permissions for an application

  • How do I revoke access privileges?


What's important about the Expired Certificate window

Only the QuickBooks Administrator will see this.

If you have specified that a particular application with a valid certificate must be given permission each time it accesses a QuickBooks company file, this window will appear—in place of the Application Certificate window—after the certificate has expired.

Note: Although the expiration of the certificate does not necessarily impact the safety of the application, you might want to check QuickBooks Solutions Marketplace to see if a more recent version of the application is available.

Window regions

The Application Calls Itself

The Application Calls Itself

Certificate Information

Certificate information

Choices

No

No

Yes, prompt each time

Yes, prompt each time

Yes, whenever this QuickBooks company file is open

Yes, whenever this QuickBooks company file is open

Yes, always; allow access even if QuickBooks is not running

Yes, always; allow access even if QuickBooks is not running

Allow this application to access personal data such as Social Security numbers and credit card information

Allow this application to access personal data such as Social Security numbers and credit card information

See also

  • Integrating QuickBooks with other software

  • Learning about applications that integrate with QuickBooks

  • Allowing integrated applications to access QuickBooks files

  • Letting an application access files automatically

  • Restricting permissions for an application


What's important about the Invalid Certificate window

Only the QuickBooks Administrator will see this.

This window indicates that an application with an invalid certificate wants to access one of your QuickBooks company files.

An invalid certificate can mean that someone has tampered with the application since it was created. A revoked certificate can mean that the developer of the application is not who he or she claims to be, and therefore, the third-party certification authority has revoked the certificate previously issued. QuickBooks will not let applications with invalid or revoked certificates access your QuickBooks files.

Before you attempt to use the application again, your QuickBooks Administrator should contact the application's developer for a copy with a valid certificate.

You might be able to get additional information about the application and its developer by going to the QuickBooks Solutions Marketplace.

Window regions

The Application Calls Itself

The application calls itself

Certificate information

Certificate Information

See also

  • Integrating QuickBooks with other software

  • Learning about applications that integrate with QuickBooks

  • Allowing integrated applications to access QuickBooks files

  • Letting an application access files automatically

  • Restricting permissions for an application


What's important about the Application with No Certificate window

Only the QuickBooks Administrator will see this.

This window indicates that an application with no certificate wants to access one of your QuickBooks company files.

This is probably a normal part of your efforts to integrate a third-party application with QuickBooks. However, an application with no certificate may have been altered from its original form, may have been modified to perform functions that are not visible to the user, may contain computer viruses, or may not be from the developer who appears to have created it.

If you got this application from a vendor that you trust and are trying to use it to read or modify QuickBooks data, you can click the appropriate "Yes" choice below.

If you are not sure of the source of the software, if you weren't expecting this application to access QuickBooks, or if you're not sure this application will work as advertised, you should be very careful about allowing it to access your data. You can click "No," and then, after getting more information about the application, authorize it to access a QuickBooks company file by modifying the Integrated Applications preferences.

Window regions

The Application Calls Itself...

The application calls itself...

Certificate Information

Certificate information

Choices

No

No

Yes, prompt each time

Yes, This Time

Yes, whenever this QuickBooks company file is open

Yes, whenever

Yes, always; allow access even if QuickBooks is not running

Yes, always

Allow this application to access personal data such as Social Security numbers and credit card information

Personal data

See also

  • Integrating QuickBooks with other software

  • Learning about applications that integrate with QuickBooks

  • Allowing integrated applications to access QuickBooks files

  • Letting an application access files automatically

  • Restricting permissions for an application


Allowing access to personal data

Allow access to personal data in your company file with caution. Personal data can include:

  • employee social security numbers

  • any field related to an employee's salary

  • anything related to credit card numbers or bank account numbers

Why would I want to provide access to this data?

You might need to use an application that provides expense reporting for your company and require an employee ID for one of the fields. Or, you may be using an application that provides job tracking for your business. Perhaps you want an application to help you do time tracking for your employees. Such applications might require access to personal employee data.

Before you allow access to personal data...

  • Always use signed applications or inform the application developer that you prefer to use only signed applications.

  • Investigate the application to verify the type of data it accesses before you provide access.

  • Make sure your employees are alerted that you will be using an application that accesses certain types of personal data.

Giving an integrated application authorization to access personal data will allow that application to access any personal data in your company file until you revoke access.

See also

  • Learning about applications that integrate with QuickBooks

  • Revoking access to personal data


What's important about the Access to QuickBooks company file window

This window tells you that an application is attempting to access one of your company files, but the QuickBooks Administrator has specified that QuickBooks must always ask before allowing access to this application.

Window regions

Application Name and Developer

Application Name and Developer

Buttons

No

No

Yes, This Time

Yes, This Time

See also

  • Integrating QuickBooks with other software

  • Learning about applications that integrate with QuickBooks

  • Allowing integrated applications to access QuickBooks files

  • Letting an application access files automatically

  • Restricting permissions for an application


What's important about the Application Certificate window

Only the QuickBooks Administrator will see this.

This window indicates that an application with a valid certificate wants to access one of your QuickBooks company files.

This is probably a normal part of your efforts to integrate QuickBooks data with a third-party application. To do so, click the appropriate "Yes" choice below.

We recommend that you back up your data prior to installing any third-party application.

Window regions

The Application Calls Itself

The Application Calls Itself

Certificate Information

Certificate information

Choices

No

No

Yes, prompt each time

Yes, prompt this time

Yes, whenever this QuickBooks company file is open

Yes, whenever this QuickBooks company file is open

Yes, always; allow access even if QuickBooks is not running

Yes, always; allow access even if QuickBooks is not running

Allow this application to access personal data such as Social Security numbers and credit card information

Allow this application to access personal data such as Social Security numbers and credit card information

See also

  • Integrating QuickBooks with other software

  • Learning about applications that integrate with QuickBooks

  • Allowing integrated applications to access QuickBooks files

  • Letting an application access files automatically

  • Restricting permissions for an application


Troubleshooting an integrated application that isn't responding

QuickBooks attempted to launch an application, but cannot determine if the application is responding. If the application responds, simply ignore this message. Otherwise, try to resolve the problem using one of the following solutions:

  • An error may have occurred with the application. If the application is currently running, restarting it may fix the problem. If the error persists, you may need to reinstall the application or contact the developer of the application.

  • An error may have occurred with your system. Try restarting your computer.

  • If you are not able to resolve the problem, the QuickBooks Administrator can remove the application from QuickBooks.

    Only the QuickBooks Administrator can do this task.

    Open the integrated applications preferences.

    Opening integrated applications preferences

    Note that removing the application in this manner will remove all integration between the application and QuickBooks.

Go online QuickBooks Solutions Marketplace provides information about software that can exchange data with QuickBooks.

See also

  • Integrating QuickBooks with other software

  • Allowing integrated applications to access QuickBooks files

  • Letting an application access files automatically

  • Restricting permissions for an application


Allow QuickBooks-compatible software to access QuickBooks files

 Allow integrated applications to access QuickBooks files 10

Allow QuickBooks-compatible software to access QuickBooks

Only the QuickBooks Administrator can do this.

You can extend the capabilities of QuickBooks by using integrated applications. When you do so, you can define how the application accesses your company file and how much information you want to share between the application and QuickBooks. The first time an application tries to access a company file, you will see an authorization window. You can then decide whether to authorize the application to:

  • Access the file that time only (by clicking “Yes, prompt each time”).

  • Access that company file in the future without asking (by clicking “Yes, whenever this QuickBooks company file is open”).

  • Access that company file at any time without asking (by clicking “Yes, always; allow access even if QuickBooks is not running”) if no other company file is open.

  • Deny the application permission to access the file (by clicking No).

Note: The application itself can specify certain levels of access to QuickBooks that it requires in order to run effectively. It can specify:

  • Level of read-and-modify access: Whether the application only requires read access of your QuickBooks data, or whether it must be able to read and modify your QuickBooks data. If the application requires the ability to modify your data and you don’t want to authorize it, you can deny the application access to the data.

  • Automatic login access: Whether or not the application requires the ability to automatically log in to the QuickBooks company file (even if the file is password-protected). If the application requires automatic login access and you don’t want to authorize it, you can deny the application access to the data.

  • Access to personal data: Whether or not the application requires access to personal data, such as employee Social Security numbers or customer credit card numbers. If the application requires access to personal data and you don’t want to authorize it, you can deny the application access to the data.

In some cases, the application developer may digitally "sign" the application. Associated with the signature is a certificate; if the certificate is valid and the application has not been modified since it was signed, the administrator will see the application’s name, the developer’s name, and the name of the certificate authority (the agency that issued the certificate). For questions and details regarding the trustworthiness of a particular certificate authority or digital certificate, consult the certificate authority’s Web site.

You might be able to get additional information about the application and its developer by going to the QuickBooks Solutions Marketplace.

You can also set or modify permissions or restrictions for an integrated application via the Integrated Applications preferences, without waiting for the authorization window to appear.

See also

  • Integrate QuickBooks with other software

  • Learn about applications that integrate seamlessly with QuickBooks

  • Let an application access files automatically

  • Restrict permissions for QuickBooks-compatible software


Learn about applications that integrate with QuickBooks

 Learn about applications that integrate with QuickBooks 20

Learn about software solutions that integrate with QuickBooks

Go online QuickBooks Solutions Marketplace provides information about other software that can exchange data with QuickBooks.

At this site you can:

  • Find QuickBooks-compatible software designed for your type of business or industry that integrate data with QuickBooks.

  • Use search to find and compare up to three software solution on one screen.

  • Read application reviews written by QuickBooks customers and ProAdvisors.

  • Read customer success stories.

  • Learn about product features.

  • Rate and review QuickBooks-compatible software.

  • See technical reviews and specifications.

  • Find developers who can create custom applications.

  • Make suggestions for applications you would like to see developed.

See also

  • Integrate QuickBooks with other software

  • Allow QuickBooks-compatible software to access QuickBooks files

  • Let a software solution access files automatically

  • Restrict permissions for a QuickBooks-compatible application


Restrict permissions for QuickBooks-compatible software

Only the QuickBooks Administrator can do this.

If you want to permit applications to access QuickBooks files automatically, you might also want to restrict what those applications can do. You can do this by:

  • Using the Integrated Applications preferences to restrict an application’s ability to access QuickBooks files.

  • Creating a user specifically for the application login as and restricting the access permissions of that user.

See also

  • Integrate QuickBooks with other software

  • Learn about applications that integrate seamlessly with QuickBooks

  • Allow QuickBooks-compatible software to access QuickBooks files

  • Let QuickBooks-compatible software access files automatically


Let QuickBooks-compatible software access files automatically

Only the QuickBooks Administrator can do this.

There may be instances in which you want an integrated application—one designed to share data with QuickBooks—to access QuickBooks files without requiring authorization from a user. For example, you might want a particular application to run at night when no one else is accessing the company file.

To enable an integrated application, add the application to the Integrated Application list.

To add an application to the Integrated Application list

  1. Run the application while the QuickBooks file is open.

  2. Read the documentation for your application to find out if it can integrate with QuickBooks. If so, follow the instructions specific to your application to reach its access point to share data with QuickBooks.

  3. When you choose to share data with QuickBooks through your application, you are asked whether to allow access. Select Yes, always; allow access even if QuickBooks is not running and click Continue.

  4. If the application is not signed the Confirm to Proceed window appears. Click Yes to accept the unsigned application.

  5. The Access Confirmation window will list the application and the file you want to access. If this information is correct, click Done. The application will appear in your list of integrated applications in QuickBooks.

  6. (Optional) If a timing feature is available in your specific integrated application, set it to communicate with QuickBooks at the time you want. Refer to your application's documentation for more information about its timing features.

    This requires leaving your computer on. If you leave the computer unattended, it should be in a locked room or otherwise physically secured.

Once the application has been added to the list, your QuickBooks Administrator may need to modify the way the application communicates with Quickbooks. For example, the QuickBooks Administrator may select or change the login user in the Integrated Applications preferences.

To modify the way an application communicates with QuickBooks

  1. Go to the Edit menu, choose Preferences, and then click Integrated Applications.

  2. Click the Company preferences tab. Make sure that the Don't allow any applications to access this company file checkbox is not checked.

    The Notify the user before running any applications whose certificate has expired checkbox can be checked. If it is, however, automatic access will be suspended if the application's certificate expires.

  3. Select the appropriate application and click Properties.

  4. Change any of the options.

  5. If the company file has multiple users and Allow this application to login automatically is checked, select a user for the application to log in as.

    Although you can permit the application to log in as any user you want, you may want to create a user specifically for the application. This lets you control the type of data the application can access.

  6. If necessary, using whatever mechanism is available in the third-party application, set it to communicate with QuickBooks at your chosen time.

See also

  • Integrating QuickBooks with other software

  • Learn about applications that integrate seamlessly with QuickBooks

  • Allow QuickBooks-compatible software to access QuickBooks files

  • Restrict permissions for an application


Use Preferences to restrict access by QuickBooks-compatible software

  1. Open the integrated applications preferences.

    Opening integrated applications preferences

    You can now check or uncheck the box that prevents any applications from accessing the current company file.

    You can also check or uncheck the box that requires QuickBooks to notify the user before running an application with an expired certificate.

  2. To modify the access of one specific application, select it from the list. You can permit or deny access to a single application by clicking in the "Allow Access" column next to the application's name. For more options, click Properties.

    In Properties you can check or uncheck boxes that allow the application to access QuickBooks company files, that require a prompt before letting the program access QuickBooks files, and that allow the application to log in automatically.

    Note: If the company file has more than one user ID, then when selecting "allow the application to log in automatically," also select the user to log in as.

  3. Click OK before exiting these screens or the changes you have made will not be applied.

See also

  • Integrate QuickBooks with other software

  • Learn about applications that integrate seamlessly with QuickBooks

  • Allow QuickBooks-compatible software to access QuickBooks files

  • Let a software solution access files automatically

  • Restricting permissions for an application


What's important about the Options page

What's important about the Options tab

Use the Options tab of the Update QuickBooks window to:

  • Select the updates that you want QuickBooks to download automatically.

  • Turn the Automatic Update option on or off.

  • Turn the Share Download option on or off.

Important Buttons

Mark All

Mark All

Unmark All

Unmark All

Save

Save

Revert

Revert

See also

  • Updating QuickBooks Automatically

  • Turning on Automatic Update

  • Turning off Automatic Update

  • Sharing updates in a multi-user environment

  • What can I do with the Update QuickBooks window?


What's important about the Update page

What's important about the Update Now tab

You can use the Update Now tab of the Update QuickBooks window to select and download updates immediately, and to check the status of a download.

If you receive an error during the update, find a solution by searching for the error at Go online QuickBooks Support. (After you click the link, you may need to minimize this Help topic to view the page in QuickBooks.)

Important Columns

Updates

Updates

Last Checked

Last Checked

Last Results

Last Results

Important Buttons

Reset Update

Reset Update

Get Updates

Get Updates

Stop Update

Stop Update

See also

  • Updating QuickBooks immediately

  • Determining which updates have been downloaded

  • What can I do with the Update QuickBooks window?


About downloading updates from the Internet

Periodically, Intuit provides updates to QuickBooks that you can download from the Internet. These updates can include:

  • A new feature

  • A new service

  • Timely information that could be relevant to your business

  • A maintenance release

    "What is a maintenance release?"

There are two ways to download updates from the Internet. You can:

  • Update QuickBooks automatically

    QuickBooks is initially configured to automatically download updates from the Intuit server to your computer. It periodically checks for new updates and downloads them when your Internet connection isn’t being used by another process or application.

  • Update QuickBooks immediately

    You can always update QuickBooks immediately, even if it’s configured to update automatically.

After the download is complete

After the download is complete, it's installed on your computer. If you downloaded a maintenance release, the next time you open QuickBooks, you can choose to install the update now or install it later.

See also

  • About updating QuickBooks

  • What do I need to update QuickBooks?

  • Installing an update in QuickBooks

  • Viewing a description of an update


Why can't I open my company file?

To support new features, each major release of QuickBooks changes the data structure for company files. Because of this, once you work with a company file in a new release, you cannot open that file from an earlier release. Occasionally this problem also occurs with the incremental updates you apply between major releases.

If you cannot open your company file, it could be because:

  • Your accountant made changes to the file by using a more recent update or a later release of QuickBooks.

  • You work in a multiuser environment and someone else changed the file after updating their copy of QuickBooks.

  • You reinstalled QuickBooks after updating it. If you reinstall QuickBooks, you nullify any updates you have downloaded.

Solutions

  • Always try updating QuickBooks first. To do this, open one of the sample company files and choose Update QuickBooks from the File menu.

  • If you have a backup of your company file, try restoring it.

  • As a last resort, upgrade your copy of QuickBooks to the latest released version.


About QuickBooks updates

Intuit sometimes creates a maintenance release for an existing version of QuickBooks. This occurs when a problem is discovered and fixed after the version has been distributed to users. The QuickBooks Update Service provides an easy way for you to download these maintenance releases from within QuickBooks.

Product upgrades or new versions of products are not available for downloading.

You can also download:

  • A new feature

  • A new service

  • Timely information that could be relevant to your business

See also

  • Learn more about how to update QuickBooks

  • Downloading updates from the Internet


Updating QuickBooks

update QuickBooks

download update

The Update QuickBooks window provides an easy way for you to update your version of QuickBooks. From this window, you can complete the following tasks:

For information about updating the QuickBooks Server, see Update the QuickBooks Server.

  • Downloading updates from the Internet

  • Choosing an updating method

  • Updating QuickBooks automatically

  • Updating QuickBooks immediately

  • Determining which updates have been downloaded

  • Turning on Automatic Update

  • Turning off Automatic Update

  • Sharing updates in a multiuser environment


Unmark All

Click to clear your update selections.


Last Results

Displays the status of the download attempt listed in the Last Checked column.

Click the text in the Last Results column for additional information about the download.


Get Updates

Click this button to initiate the immediate download of your selected updates.


Last Checked

Displays the date and time that QuickBooks last checked to see if new information was available from the Intuit server.


Maintenance release (definition)

What is a maintenance release?

Intuit sometimes creates a maintenance release for an existing version of QuickBooks. This can occur when a problem is discovered and fixed after the version has been distributed to users. The Update QuickBooks window provides an easy way for you to download these maintenance releases.

See also

  • About QuickBooks updates

  • Determining your current version and release of QuickBooks


Displaying the Update QuickBooks window

Opening the Update QuickBooks window

Go to the Help menu and click Update QuickBooks.


Reset Update

Clears all previously downloaded data and restarts the update the next time you click Get Updates.


Revert

Click to return your update selections to those selected when you last clicked Save.


Save

Click Save so that your update options from the Options page will be applied.


Mark All

Click to select all the available updates.

A check mark next to the update means it is selected.


Stop Update

Click to stop the download of updates.

If the update selections remain the same, QuickBooks will resume downloading your updates when you click Get Updates again.


Updates

Displays a list of updates downloaded from the Internet or available for downloading.

To select an update, click the check box next to its name.

To get a description of the update, click its name.


What is a maintenance release?

Intuit sometimes creates a maintenance release (patch) for an existing version of QuickBooks. This occurs when a problem is discovered and fixed after the version has been distributed to users. To download these maintenance releases, go to the Help menu and click Update QuickBooks.


How long will it take to update QuickBooks immediately?

The time required to update QuickBooks depends on your connection speed and the size of the update. Slower connection speeds and large updates will take longer to download.


What do I need to update QuickBooks?

To update QuickBooks, you will need access to the Internet, either through a modem or some other connection.

The first time you use a QuickBooks feature that uses the Internet, QuickBooks will prompt you to identify your Internet Service Provider (ISP).


Cancel a manual update

You can only cancel updates that you started manually. To cancel an update:

  1. Go to the Help menu and click Update QuickBooks. The Update QuickBooks window opens.

  2. Click the Update Now tab.

  3. Click Stop Updates.

  4. To resume the download, click Get Updates again.


Determine which updates have been downloaded

  1. Go to the Help menu and click Update QuickBooks. The Update QuickBooks window appears.

  2. Click the Update Now tab.

    The Last Checked column displays when each update was last downloaded.

  3. Click the underlined text in the Status column to see more information about an update.

See also

  • Update QuickBooks immediately


Find which release of QuickBooks you are running

 Find out which release I have 40

Find which version and release of QuickBooks you are running

Full QuickBooks installation

  1. With QuickBooks running, press CTRL+1 or press the F2 key.

  2. In the Product Information window, find the version and release in the top line (XX is the release you have installed).

QuickBooks Server installation

  1. Go to the Start button, click Programs, click QuickBooks, and then click QuickBooks Database Server Manager.

  2. Click the Updates tab.

  3. The version of the QuickBooks Database Server Manager is listed in the first line of text.


Share updates in a multi-user environment

Sharing updates does not apply to the QuickBooks Server. For information about updating the QuickBooks Server, see update the QuickBooks Server.

To share QuickBooks updates in a multi-user environment, users must have access to the same directory in which updates are downloaded. Before performing the update, make sure that you have done the following:

  • Ensure that your computer is properly networked. Refer to your networking software documentation for instructions.

  • Configure each computer to share files across the network. Refer to Windows onscreen help or documentation on sharing files.

All users must complete the following steps to enable the sharing of downloaded updates:

  1. Open the shared data file (usually a company file).

  2. Go to the Help menu and click Update QuickBooks. The Update QuickBooks window opens.

  3. Click the Options tab.

  4. For the Shared Download option, click Yes.

  5. Click Save.

Once all users have completed these steps, they can update their copies of QuickBooks with the downloaded information.

Note: When the Share Download option is enabled, QuickBooks downloads updates to the location in which the shared company data file resides. When the option is disabled, QuickBooks downloads updates to a location relative to the directory or folder where your copy of QuickBooks is installed.

See also

  • Update QuickBooks automatically

  • Update QuickBooks immediately


Turn off Automatic Update

  1. Go to the Help menu and click Update QuickBooks. The Update QuickBooks window opens.

  2. Click the Options tab.

  3. For the Automatic Update option, click No.


Turn on Automatic Update

  1. Go to the Help menu and click Update QuickBooks. The Update QuickBooks window opens.

  2. Click the Options tab.

  3. For the Automatic Update option, click Yes.


Choose a method for updating QuickBooks

QuickBooks provides two methods for updating QuickBooks. You can use these methods concurrently, and both require an Internet connection.

Update QuickBooks automatically

With this method, updates of your choice are automatically downloaded from the Intuit server to your computer. QuickBooks periodically checks the Intuit server for new updates, and proceeds to download information gradually at times when your open Internet connection is not being used by another process or application.

Advantages of updating QuickBooks automatically:

  • Updates are downloaded to your computer unobtrusively, without interrupting a QuickBooks session or other tasks that you perform with your computer.

  • You can disconnect from the Internet at any time. When you reconnect to the Internet, QuickBooks resumes downloading updates at the point where it was previously halted.

QuickBooks continues to download updates automatically until you turn off the Automatic Update option. When the Automatic Update option is on, you can still download any or all available updates immediately..

Update QuickBooks immediately

With this method, updates of your choice are downloaded immediately from the Intuit server to your computer. You can use this method at any time.


Update QuickBooks automatically

To do this task

  1. Go to the Help menu and click Update QuickBooks. The Update QuickBooks window opens.

  2. Click the Options tab.

  3. For the Automatic Update option, click Yes.

  4. To select an update you want QuickBooks to automatically download, click the checkbox to the left of the update name.

  5. Click Save.


Update QuickBooks immediately

QuickBooks is initially configured to automatically download updates from the Intuit server to your computer. You can always update QuickBooks immediately, even if it's configured to update automatically.

How long will it take to update QuickBooks immediately?

How long will it take to update QuickBooks immediately?

To do this task

  1. Go to the Help menu and click Update QuickBooks.

  2. Click the Update Now tab.

  3. Select the updates to download and click Get Updates.

When QuickBooks finishes downloading an update, it displays the date and time of the download in the Last Checked column. Click the text in the Status column for additional details about the download.

Note: Maintenance releases cannot be installed automatically. To install a maintenance release, close and reopen QuickBooks and then click Install Now when prompted.

See also

  • Canceling an update in progress

  • Downloading updates from the Internet

  • Finding out what version of QuickBooks you are using

  • About updating QuickBooks


Update the QuickBooks Server manually

Updates to the QuickBooks Server can be downloaded from the Internet. Because the QuickBooks Server is not a full QuickBooks application, updates must be downloaded and installed manually.

You can either download the update file on the server or you can download the update file using another computer. If you use another computer, you copy (or save) the update file to the server and then complete the installation steps on the server itself.

Important: Only users with Windows Administrator permissions can install updates.

The installation steps are done on the server. You can print this topic for reference by clicking the print icon in the top right corner.

To do this task

  1. Use the following link to view QuickBooks Product Updates:
    Go online www.quickbooks.com/support/index/ndxw_16_updates.html.

  2. Click Download the update file to your computer.

  3. In the File Download window, click Save.

  4. In the Save As window, choose the location to save the update file:

    • If you are using the server, save the update file to a location on the server that you can easily find again.

    • If you are using another computer to download the update file and want to save the update file directly to the server, browse in the Save As window to a location on the server to be updated. Make a note of the location you choose.

    • If you are using another computer to download the update file and want to manually copy the update file to the server, save the file to a location on that computer that you can easily find again.

  5. Once the update file has been downloaded:

    • If you saved the update file to the server, proceed to step 6.

    • If you saved the update file to a different computer (not the server), copy the file to the server computer.

  6. On the server computer, double-click the update file.

  7. In the QuickBooks Update Utility window, click the drop-down arrow and then click the version of QuickBooks you are updating.

  8. Click Install to start the update installation.


When should I update QuickBooks?

QuickBooks is configured to download updates automatically from the Intuit server.

If you choose not to update QuickBooks automatically, you should update your copy of QuickBooks about once a month.

See also

  • Updating QuickBooks automatically

  • Updating QuickBooks immediately

  • Turning off Automatic Update


View a description of an update

  1. Open the Update QuickBooks window.

  2. Click Update.

  3. On the Update page, click the Update Now tab and select a name in the Updates column. A description of the update opens in a separate browser window.

  4. After viewing the description, close the browser window.


Install an update in QuickBooks

In most cases, QuickBooks automatically installs updates once it downloads them from the Intuit server to your computer.

Maintenance releases require that you authorize the update before it's installed.

Important: Only users with Windows Administrator permissions can install updates.

To install a maintenance release, close and reopen QuickBooks. You will be prompted to install the update:

  • Click Install Now to start the installation of the maintenance release.

  • Click Install Later to open QuickBooks without installing the maintenance release.

See also

  • Viewing a description of an update


Unlocking a new edition of QuickBooks

Unlocking QuickBooks

upgrade

upgrading QuickBooks

QuickBooks upgrade

You can start using a new edition of QuickBooks simply by unlocking the edition that meets your needs.

You will only need your validation code later if you need to unlock another installation of QuickBooks. For example, if you unlock the version of QuickBooks you use at the office and you need to unlock the same installation you used for your laptop at home, you will use the same validation code to unlock each installation.

You can start using a full edition of QuickBooks simply by unlocking your trial version.

You will only need your validation code later if you need to unlock another installation of QuickBooks. For example, if you unlock the version of QuickBooks you use at the office and you need to unlock the same installation you used for your laptop at home, you will use the same validation code to unlock each installation.

  1. Go to the Help menu and click Buy QuickBooks.

  2. Follow the onscreen instructions to receive the unlock code and turn the trial into a full version.

If you have a trial edition of QuickBooks

  1. Go to the Help menu and click Buy QuickBooks.

  2. Follow the onscreen instructions to receive the unlock code and turn the trial into a full version.

If you already have a full version of QuickBooks and want to unlock an edition with more advanced features or that is designed for your type of business

  1. Go to the Help menu and click Buy QuickBooks Premier Edition.

  2. Choose an unlock method:

    • If you unlock by phone, you will receive a new Product number from the sales representative. You may also receive a validation code to register your new edition of QuickBooks at the same time. If you do not use the validation code during unlock, you will need to register your new edition of QuickBooks later. You will also receive a CD for your new edition to use on additional installations.

    • If you unlock online, QuickBooks will automatically store your new Product number. QuickBooks will reopen in the edition you unlocked and you will need to register your new edition of QuickBooks. You will also receive a new CD for your new edition to use on additional installations.

To obtain a new edition of QuickBooks Premier or QuickBooks Enterprise Solutions, call Intuit Direct Sales.

Restrictions:

  • To unlock a multi-user QuickBooks installation, call Intuit Direct Sales.

  • Unlocking is not available if you have added additional user licenses within QuickBooks.

  • Unlocking a new edition of QuickBooks is not available in QuickBooks Premier.

  • QuickBooks Enterprise Solutions is not available through unlocking. Go online Learn more about QuickBooks Enterprise Solutions, our top-of-the line QuickBooks product.


This feature is available only in the Premier and Enterprise Solutions editions

The following features are available only in the Premier and Enterprise Solutions editions:

  • Screen sharing with a remote computer

  • Exporting report templates

  • Reverse journal entries

  • Autofill for memos on journal entries

  • Previous reconciliation reports

  • Discrepancy reports (for reconciliation)

  • Closing date exception reports

For information about ordering the QuickBooks Premier or Enterprise Solutions editions, call Intuit Direct Sales or learn about unlocking a new version.


This report is available only in the Premier and Enterprise Solutions editions

This report is only available in the Premier and Enterprise Solutions editions

You must have one of the Premier or Enterprise Solutions editions to create reports about:

  • Previous reconciliations

  • Discrepancies with your bank statement

  • Changes made in a prior accounting period after you have closed your books

For information about ordering the QuickBooks Premier or Enterprise Solutions editions, call Intuit Direct Sales.


Tracking consignment sales

For information about consignment sales, consider unlocking a QuickBooks Retail Edition.

Specifically designed for retailers, QuickBooks Retail Edition contains reports, tools, and information to help you manage your business finances more effectively.

If you have a QuickBooks Retail Edition, see the information on handling consignment sales.


QuickBooks New Business Checklist

Find helpful information, resources, and links for new businesses by using the QuickBooks New Business Checklist.

It includes information about:

  • Local, state, and federal requirements.

  • Making decisions between incorporation, partnership, etc.

  • Necessary forms, permits, and licenses.

  • Finding funding.

  • Taxes and insurance.

  • Managing business finances, such as cash flow and receivables.


What's New in QuickBooks

tutxxxx

For details about new and improved features in QuickBooks 2007, click the What's New tab in the QuickBooks Learning Center.


All your information in one place

tutxxxx

Start with the Home page

The Home page gives you one-click access to all of your most important QuickBooks activities, all in one place—from invoicing and writing checks to making deposits and reconciling bank accounts. It presents a big picture view of how everything fits together, with arrows to guide you from one task to the next. QuickBooks previously showed these activities in multiple navigators, but the new Home page consolidates key activities in one place. The Home page also lets you see account balances, updated automatically as you work. And if you want to hide these balances for privacy, just click the minus button next to the Account Balances list.

Customize your work area

With QuickBooks 2007, you can customize your work area to see just what you need to perform your daily tasks. Click Customize QuickBooks on the Home page to set preferences for your desktop view. You can also learn about other available services by clicking the links in the Learn About Services area.

How do you prefer to see QuickBooks windows? Your new version of QuickBooks opens in multiple window mode so that you can open several forms or windows at once and arrange them for easy access on your screen. Windows can be tiled or cascaded so that you can easily move between tasks or compare data in different windows. To show just one window at a time, you can simply change this option in the View menu.

You may have previously used the Open Windows list to move from one window to the next. Now, you can either:

  • Use the Window menu to see your list of open windows.

  • Turn on the Open Windows list by displaying View menu and clicking Open Windows list.

If you'd like more room on the Icon Bar for your favorite icons, you can now move it to a position below the Navigation Bar by dragging and dropping it.


New QuickBooks Centers

tux

Key information is easy to find

The QuickBooks Centers consolidate all the key information about your customers, vendors, and employees.

From the Centers, you can:

  • Click on a name to get immediate access to contact information for customers, vendors, or employees.

  • View and edit transaction information in the same window, such as open invoices, unpaid bills, or paychecks.

  • See a summary list of customers, vendors, or employees, or click the maximize button to see more columns.

  • View and edit notes about the customer, vendor, or employee while you are viewing other relevant information.

Do all this and more in a single location, rather than having to run separate reports to get the information. It's never been easier to manage business relationships with your customers, vendors, or employees.


Google Desktop Search and marketing tools

tutxxxx

Google Desktop Search

Search in QuickBooks uses Google Desktop technology to quickly find your QuickBooks data, such as customer, vendor, or financial information. You can even extend you search to look at other files on your computer including e-mails, documents, and files. Simply enter a few words or phrases to search for a list of the most likely matches. Once you've identified the information you want, you can click the link to go directly to the data in QuickBooks or to the file on your desktop. Intuit installs a customized version of Google Desktop to ensure your privacy and makes your computer information available only to authorized users on your desktop.

Google Marketing Tools

Quickbooks provides you with easy access to marketing tools, provided by Google. You can use these tools to promote your business.

Google AdWords makes it possible for you to promote your business on Google and to acquire new customers interested in your services and products. If you don’t currently have a Web site, a Google hosted site can be created for your business when you sign up for AdWords.

Google Maps makes it easier for your prospects and customers to locate your business when they search for local info.

The QuickBooks Product Listing Service allows you to create an online store that is linked to your inventory in QuickBooks. Publishing products to an online store allows local online shoppers to discover your store and your products on Google and local shopping sites such as Froogle. This is not e-commerce; customers can find your store online then visit to make purchases, or you can link the online store to an already existing Web site. You can add additional information such as photos and detailed descriptions to your product listings.


Contact management synchronization

tutxxxx

If you use Microsoft Outlook (2000, 2002, or 2003) to manage contact information, you can synchronize your contact data with QuickBooks. Synchronization saves you from having to enter names, addresses, and other contact information a second time.

How synchronization works

Normally, synchronization simultaneously updates data in both your contact manager and QuickBooks. Suppose a customer's phone number changes and you enter the new number in your contact manager but not in QuickBooks. Suppose also that a vendor's address changes and you enter that change in QuickBooks but not your contact manager. When you synchronize, the phone number gets updated in QuickBooks and the address gets updated in your contact manager. This brings QuickBooks and your contact manager up to date with each other.

With QuickBooks Contact Synchronization, you can synchronize:

  • Customer contact information with your Customers & Jobs list

  • Vendor contact information with your Vendor list

  • Any kind of contact information with your Other Names list

When you synchronize, names are never deleted from QuickBooks. If you delete a name from your contact manager and then synchronize your data, the name remains in QuickBooks even though it is no longer in your contact manager records.


Improved expense classification

Simplified bill paying

tutxxxx

Several improvements have been made to the windows associated with "money out" activities, like paying your bills. These improvements include:

  • Automatic account selection and auto population save you time and result in fewer clerical errors. If you consistently use the same expense account for a particular vendor, QuickBooks now automatically selects that account when you specify that vendor and automatically populates the account when you enter the bill.

  • The Payment Summary window displays a list of the bills you've successfully paid and alerts you of any bills that didn't go through. This window also provides shortcuts to print your checks or pay more bills.


Transfer billable time and costs to your sales forms

tutxxxx

Whenever you create an invoice or sales receipt for a customer or job with outstanding billable time, expenses, mileage, or other items, QuickBooks will now automatically ask if you want to display the Choose Billable Time and Costs window to pass along some or all of those costs.

If you prefer QuickBooks to just automatically display the Choose Billable Time and Costs window every time billable time or costs exist, you can set a preference to do that. Or if you prefer to never be prompted at all, you can set a preference to turn that off. You can still easily pass along any billable time and costs, whether or not you have QuickBooks prompt you that they exist.


Payroll-related improvements

tutxxxx

The Payroll Center in QuickBooks 2007 guides you through payroll processing

The QuickBooks 2007 Payroll Center provides an end-to-end view of your most important payroll tasks, from paying employees to paying taxes and filing your forms. The improved Payroll Center reminds you when to run your scheduled payroll, and tells you when to pay your taxes and other liabilities. Additionally, for Direct Deposit and QuickBooks Assisted Payroll subscribers, the due date will reflect the 48-hour processing time that Intuit needs to process paychecks.

Redesigned Pay Employees workflow

The redesigned Pay Employees workflow guides you every step of the way, from entering pay period data to reviewing pay stubs. The new Scheduled Payroll Groups feature lets you create groups of employees with the same pay frequency, then schedule for easy batch processing. QuickBooks will automatically pre-select the employees to be paid. You simply review and approve, or make adjustments if needed. QuickBooks Payroll will confirm your transaction, and guide you to the next step.

Special features for accountants

QuickBooks Enhanced Payroll for Accountants has now been tailored to meet the unique requirements of accountants performing payroll for clients. Two key new features are After-the-Fact Payroll and Client-Ready Payroll Reports.

The After-The-Fact Payroll feature gives you an efficient method for entering past payroll data from paychecks that clients have prepared themselves. The Client-Ready Payroll Reports feature helps you provide clients with professional-looking payroll reports and analyses. QuickBooks 2007 is required for these features, which are available only in QuickBooks Enhanced Payroll for Accountants.


New Donor Contribution Summary Report

tutxxxx

This report summarizes how much money was contributed by each donor or grant. You can view this report using cash basis, which will show how much donors have already paid, or you can view this report using accrual basis, which will show how much donors have pledged.

To create this report, click Report Center, click Nonprofit in the Reports category list, and then click Donor Contribution Summary.

Note: The nonprofit reports are now all standard reports. This means they are directly available from the Report Center or the Reports menu, and not just from Memorized Reports.


Track subcontractor insurance expiration dates

If you hire subcontractors, you can now easily track the expiration date for their Worker's Compensation and General Liability insurance. When you add or edit a vendor, fill in the Work Comp Expires and Gen Liability Expires fields on the Additional Info tab. Then when you create a purchase order, enter a bill, or write a check for that subcontractor, QuickBooks will notify you if their insurance has expired.


Specify Help Topic Title

Specify Help Topic Heading

Placeholder for What's New topic.


Unlimited list capacity for your growing business

You can now add tens of thousands of inventory items, customer, and vendors to match your company's growth.**

** Performance testing was optimized at 100,000 list elements. You may see performance degradation as you add more than 100,000 items, customers or vendors.


Manage inventory costs and streamline your workflows

You can buy and sell products in exactly the same way that your vendors and customers prefer. You have the flexibility to buy the same item in one unit of measure, stock it in another, and sell that item in yet another unit of measure.

You can also now apply different units of measure to your purchase orders and sales orders for the same item. Other advanced inventory tools like the Available to Promise window and Sales Order Fulfillment worksheet will be visible in the sales units of measure you assign.


Use Electronic Data Interchange (EDI) with QuickBooks Enterprise Solutions

Use Electronic Data Interchange (EDI) with Enterprise Solutions

Now you can exchange transactions with your larger customers by implementing the EDI system many use for their orders. Save time and effort plus meet customer requirements with a comprehensive EDI solution from TrueCommerce. Your product-based customers might require a suite of solutions to perform various jobs. TrueCommerce Electronic Data Interchange offers a front office solution that is easy to set up and easy to use. If you ever need help with your customer information or transactions, you can get free, unlimited phone support from knowledgeable EDI professionals


Use price levels on estimates

Use price levels on your estimates and convert easily to sales orders and invoices. How price levels appear on your forms depend on what columns are displayed on your forms.

  • When the Markup column is displayed, price levels are used to adjust the amount in the Markup column and the price level pull-down appears in the Markup column.

  • When the Markup column is not displayed, price levels are used to adjust the amount in the Rate column and the price level pull-down appears in the Rate column.

If the customer selected for the estimate has a price level associated with them in the Customer list, a price level is applied to calculate the rate charged for a line item.

If the Markup column is turned on in the estimates form, the Rate column becomes the Cost column, which shows the unit cost, not the unit price (rate).


New audit trail and closing date exception reports

Accountants now have powerful bookkeeping, write-up, and financial reporting tools to help them work efficiently with clients. Use the all new Accountant's Copy to simplify how you exchange, review, adjust and manage client's prior period accounting data. Preserve your changes by limiting access to prior period data with a password. Accountant Edition includes powerful accounting features like the enhanced Financial Statement Designer and Working Trial Balance to simplify your client reporting and review work.


Placeholder for What's New topic.


Manage customer payments faster

Speed through payment acceptance in less time with fewer steps! Automatically handle refunds or write-offs when customers over or under pay with just one click! You can now choose to have payment amounts automatically filled in when you select invoices and apply credits. Onscreen reminders help ensure accuracy when handling overpayments, underpayments, discounts, and credits and can even handle write-offs or refunds. You can now apply credits (and remove them) directly from credit memos and invoices. Plus, the improved Find function helps you easily locate the invoice you want to pay (by invoice or account number) if you don't have the customer name.


Create and print letters in Microsoft®Word

It's now easier to create and print letters/envelopes in Microsoft Word using data stored in QuickBooks*. Simply select a group of customers, vendors, or employees and the appropriate QuickBooks data will be automatically included in a Word letter for each recipient. In addition, you can now turn an invoice into a personalized letter with fewer clicks, and you can use Word to print standard envelopes from your QuickBooks invoices, estimates, or letters.

*Word integration requires Microsoft Word 2000, 2002, or 2003. Microsoft Word sold separately.

See also

  • Prepare letters with envelopes


More improvements

You ask, we listen!

QuickBooks listens to customer suggestions to make improvements. Some efficiency improvements for QuickBooks 2005 include:

  • "Find" remembers your preferred settings. Now when you use the Find feature, QuickBooks remembers the settings of your last search. For example, it will now remember whether you used Simple or Advanced search and default to that option.

  • Resizing column widths is easier. Now you can easily resize the column widths in lists simply by clicking and dragging the column dividers. You can also move and add or remove columns by right-clicking on a list and selecting "Customize Columns".

  • Viewing item descriptions is easier. Now when you display drop-down lists, you can easily resize the drop-down list to show more information on your screen. Also, you can hover over an item in a list whose description is truncated and a tool-tip will appear that displays the entire description.

  • Selecting items is faster. Now when you begin typing in a drop-down field on a form, QuickBooks narrows the list as you type so that you can quickly find what you're looking for.


Easy to use in-product Help

QuickBooks in-product Help is easy to use—simply type a question in your own words to receive help, tips, and troubleshooting information.

In response to customer requests, we've added key Help topics to better support your needs. We've also improved Search. It now produces more relevant search results so you can find the information you need faster.

See also

  • Getting the most out of QuickBooks Help


Manage payroll processing and direct deposit

Process payroll within QuickBooks—optional direct deposit

QuickBooks offers you three efficient and cost-effective solutions for processing payroll in-house: QuickBooks Standard Payroll, QuickBooks Enhanced Payroll and QuickBooks Enhanced Payroll for Accountants.

Standard Payroll includes:

  • Up-to-date federal and state payroll tax table to help you stay compliant with payroll tax regulations

    .

  • The latest federal forms, automatically filled in with your QuickBooks data—just print, sign and mail.

  • Print paychecks from your computer or use Direct Deposit* to pay employees.

Enhanced Payroll includes all the features in Standard Payroll, plus:

  • The latest state forms automatically filled in with your QuickBooks data—just print, sign and mail.

  • More efficiency with workers compensation tracking, net-to-gross calculations and paying employees using payroll schedules.

Enhanced Payroll for Accountants includes all the features in Enhanced Payroll, plus:

  • Process payroll for up to 50 different companies (EINs) with a single subscription.

*Additional fees apply

Find out how to sign up by displaying the QuickBooks Payroll web site.

QuickBooks Payroll web site


Instantly find and generate reports

Go to the Reports menu and click Report Center to find the exact report you need quickly and easily–from easy-to-understand report descriptions, sample reports, detailed help, and easier report groupings. In addition, the Learning Center provides useful tips for using and customizing reports so you can easily create reports that focus on the specifics of your business.

See also

  • Finding the report you need


Print packing slips and shipping labels

Print shipping labels

You can now use QuickBooks Shipping Manager to ship using UPS, in addition to FedEx*, directly from QuickBooks. You can also display a shipping address on Estimates and generate shipping labels from a Sales Receipt.

*Optional service—Fees required to use FedEx/UPS. No additional fees from using within QuickBooks. Registration and agreement to terms and conditions required.

See also

  • Overview of Shipping Manager